<?php

namespace app\modules\api\components;

use Yii;
use app\modules\user\models\User;
use app\components\BaseRestController;
use app\modules\user\models\UserAppLog;

/**
 * Class Controller extends default \yii\web\Controller adding some additional functions
 * @package app\components
 */

class BaseMobileApiController extends BaseRestController {

    public function beforeAction($action){

        if (!parent::beforeAction($action)) {
            return false;
        }
        return true; // or false to not run the action
    }

    public function afterAction($action, $result) {

        $result = parent::afterAction($action, $result);

        if(isset($_SERVER[HTTP_APPTYPE])) {

            $appType = trim($_SERVER[HTTP_APPTYPE]);

            switch ($appType) {
                case "ios":
                    $_appType = UserAppLog::APP_IOS;
                    break;
                case "android":
                    $_appType = UserAppLog::APP_ANDROID;
                    break;
            }

            $userAppLog           = new UserAppLog();
            $userAppLog->user_id  = Yii::$app->user->id;
            $userAppLog->app_type = $_appType;
            $userAppLog->save();
        }
        return $result;
    }

}
