<?php
/**
 * Created by PhpDesigner 8.1.2
 * Author: Jamshid
 * Date: 24.12.2015
 * Time: 10:26
 */
namespace app\modules\api\components;

use \Yii;
use app\modules\api\components\BaseMobileApiController;
use app\modules\user\models\User;
use app\modules\user\models\UserService;
use yii\filters\auth\HttpBasicAuth;



class  RestCheckAuthController extends BaseMobileApiController
{
    public function beforeAction($action) {
        $this->_checkAuth();
        return parent::beforeAction($action);
    }

    private function _checkAuth()
    {
        if(isset($_SERVER[HTTP_SOCIAL_ID]) AND trim($_SERVER[HTTP_SOCIAL_ID]) !=""){
         
           $service = UserService::find()->where(['service_id'=>$_SERVER[HTTP_SOCIAL_ID]])->one();
           
           $identity = User::findIdentity($service->user_id);
           $login = Yii::$app->user->login($identity,Yii::$app->modules['user']->loginSessionDuration); 
           
           if(!$login)
                $this->_sendResponse(401);
        }else{
            if(isset($_SERVER['PHP_AUTH_USER']) AND trim($_SERVER['PHP_AUTH_USER']) !="" AND 
               isset($_SERVER['PHP_AUTH_PW']) AND trim($_SERVER['PHP_AUTH_PW']) !=""){
                
                $username = $_SERVER['PHP_AUTH_USER'];
                $password = $_SERVER['PHP_AUTH_PW'];
                
                $login = false;
                
                if($identity = User::findByPhone($_SERVER['PHP_AUTH_USER'])){
                    if($identity->validatePassword($_SERVER['PHP_AUTH_PW']))
                      $login = Yii::$app->user->login($identity,Yii::$app->modules['user']->loginSessionDuration); 
                }
            if(!$login)
                $this->_sendResponse(401);  
            }else
                $this->_sendResponse(401);
        }
    }

    public function checkAuth()
    {
      if(isset($_SERVER[HTTP_SOCIAL_ID]) AND trim($_SERVER[HTTP_SOCIAL_ID]) !=""){
         
           $service = UserService::find()->where(['service_id'=>$_SERVER[HTTP_SOCIAL_ID]])->one();
           
           $identity = User::findIdentity($service->user_id);
           $login = Yii::$app->user->login($identity,Yii::$app->modules['user']->loginSessionDuration); 
           
           if(!$login)
                return $this->_sendResponse(401);  
            else
                return true;
        }else{
            if(isset($_SERVER['PHP_AUTH_USER']) AND trim($_SERVER['PHP_AUTH_USER']) !="" AND 
               isset($_SERVER['PHP_AUTH_PW']) AND trim($_SERVER['PHP_AUTH_PW']) !=""){
                
                $username = $_SERVER['PHP_AUTH_USER'];
                $password = $_SERVER['PHP_AUTH_PW'];
                
                $login = false;
                
                if($identity = User::findByPhone($_SERVER['PHP_AUTH_USER'])){
                    if($identity->validatePassword($_SERVER['PHP_AUTH_PW']))
                      $login = Yii::$app->user->login($identity,Yii::$app->modules['user']->loginSessionDuration); 
                }
            if(!$login)
                    return  $this->_sendResponse(401);  
                else
                    return true;
            }else
                 return false;  
        } 
    }

    protected function _sendResponse($status = 200, $body = '')
    {
         Yii::$app->response->format = \yii\web\Response::FORMAT_JSON;
         
         $status_header = 'HTTP/1.1 ' . $status . ' ' . $this->_getStatusCodeMessage($status);
         header($status_header);
         //and the content type
         header('Content-type: text/html');
         
         if($body != ''){
             if(is_array($body))
                    return ['code'=>$status,'data'=>$body];
                else 
                    return ['code'=>$status,'data'=>$body];
         }else{
            
            // create some body messages
            $message = '';
            // this is purely optional, but makes the pages a little nicer to read
            // for your users.  Since you won't likely send a lot of different status codes,
            // this also shouldn't be too ponderous to maintain
            switch($status)
            {
                case 401:
                    $message = 'You must be authorized to view this page.';
                    break;
                case 404:
                    $message = 'The requested URL ' . $_SERVER['REQUEST_URI'] . ' was not found.';
                    break;
                case 500:
                    $message = 'The server encountered an error processing your request.';
                    break;
                case 501:
                    $message = 'The requested method is not implemented.';
                    break;
            }
            
            $signature = ($_SERVER['SERVER_SIGNATURE'] == '') ? $_SERVER['SERVER_SOFTWARE'] . ' Server at ' . $_SERVER['SERVER_NAME'] . ' Port ' . $_SERVER['SERVER_PORT'] : $_SERVER['SERVER_SIGNATURE'];
            // this should be templated in a real-world solution
              $body = [
                      'code'=>(int)$status,
                      'messages'=>$message,
                     ];
                    

            echo json_encode($body);
         }
         Yii::$app->end();
    }
    
    protected function _getStatusCodeMessage($status)
    {
        // these could be stored in a .ini file and loaded
        // via parse_ini_file()... however, this will suffice
        // for an example
        $codes =  [
                    100 => 'Continue',
                    101 => 'Switching Protocols',
                    102 => 'Processing',
                    118 => 'Connection timed out',
                    200 => 'OK',
                    201 => 'Created',
                    202 => 'Accepted',
                    203 => 'Non-Authoritative',
                    204 => 'No Content',
                    205 => 'Reset Content',
                    206 => 'Partial Content',
                    207 => 'Multi-Status',
                    208 => 'Already Reported',
                    210 => 'Content Different',
                    226 => 'IM Used',
                    300 => 'Multiple Choices',
                    301 => 'Moved Permanently',
                    302 => 'Found',
                    303 => 'See Other',
                    304 => 'Not Modified',
                    305 => 'Use Proxy',
                    306 => 'Reserved',
                    307 => 'Temporary Redirect',
                    308 => 'Permanent Redirect',
                    310 => 'Too many Redirect',
                    400 => 'Bad Request',
                    401 => 'Unauthorized',
                    402 => 'Payment Required',
                    403 => 'Forbidden',
                    404 => 'Not Found',
                    405 => 'Method Not Allowed',
                    406 => 'Not Acceptable',
                    407 => 'Proxy Authentication Required',
                    408 => 'Request Time-out',
                    409 => 'Conflict',
                    410 => 'Gone',
                    411 => 'Length Required',
                    412 => 'Precondition Failed',
                    413 => 'Request Entity Too Large',
                    414 => 'Request-URI Too Long',
                    415 => 'Unsupported Media Type',
                    416 => 'Requested range unsatisfiable',
                    417 => 'Expectation failed',
                    418 => 'I\'m a teapot',
                    422 => 'Unprocessable entity',
                    423 => 'Locked',
                    424 => 'Method failure',
                    425 => 'Unordered Collection',
                    426 => 'Upgrade Required',
                    428 => 'Precondition Required',
                    429 => 'Too Many Requests',
                    431 => 'Request Header Fields Too Large',
                    449 => 'Retry With',
                    450 => 'Blocked by Windows Parental Controls',
                    500 => 'Internal Server Error',
                    501 => 'Not Implemented',
                    502 => 'Bad Gateway or Proxy Error',
                    503 => 'Service Unavailable',
                    504 => 'Gateway Time-out',
                    505 => 'HTTP Version not supported',
                    507 => 'Insufficient storage',
                    508 => 'Loop Detected',
                    509 => 'Bandwidth Limit Exceeded',
                    510 => 'Not Extended',
                    511 => 'Network Authentication Required',
                   ];
        
        return (isset($codes[$status])) ? $codes[$status] : '';
    }
    
    
}