<?php

namespace app\modules\api\controllers;

use \Yii;
use app\modules\api\components\RestController;
use app\modules\user\models\User;
use yii\filters\AccessControl;
use kartik\widgets\ActiveForm;
use yii\data\Pagination;
use yii\web\Response;
use yii\helpers\Json;
use yii\helpers\Url;

use app\modules\api\models\ApplePushNotification;



class ApplePushNotificationController extends  RestController
{
    protected $pageSize = 5;
    protected $page = 0;
    
    public function beforeAction($action)
    {
        $action_array = [];
        
        if(in_array($action->actionMethod, $action_array))
           $this->_checkAuth();
        return parent::beforeAction($action);
    }
    
    public function actionView()
    {
        return $this->_sendResponse(200,'Hello Apple Push Notification');
    }
    
    public function actionUsersDeviceToken()
    {
        if(trim(Yii::$app->request->get('user_id')) != '')
            $apns = ApplePushNotification::find()->where(['user_id'=>Yii::$app->request->get('user_id')]) ->all();
        else
            $apns = ApplePushNotification::find()->all();
    
        foreach($apns as $apn){
            $data[$apn->id] = [
                                'id'           => $apn->id,
                                'user_id'      => $apn->user_id,
                                'deviceToken'   => $apn->deviceToken,
                               ]; 
        }
        
        return $this->_sendResponse(200,$data); 
    }
    
    
    public function actionCreateUserDeviceToken()
    {
        $apn = new ApplePushNotification;
        
        $json_data = file_get_contents('php://input');
        $data = json_decode($json_data,true);
        
        if(isset($data['apns_user']) AND 
           isset($data['apns_user']['user_id']) AND
           isset($data['apns_user']['deviceToken'])) {
            
            
            if(ApplePushNotification::find()->where(['user_id'=>$data['apns_user']['user_id']])->one())
            {
                $apn              = ApplePushNotification::find()->where(['user_id'=>$data['apns_user']['user_id']])->one();
                $apn->user_id     = $data['apns_user']['user_id'];
                $apn->deviceToken = $data['apns_user']['deviceToken'];
            
            }else
            {
                if(isset($data['apns_user']['user_id']))
                    $apn->user_id = $data['apns_user']['user_id'];
                
                if(isset($data['apns_user']['deviceToken']))
                    $apn->deviceToken =  $data['apns_user']['deviceToken'];                
            }
            

            
             if($apn->validate())
             {
                if($apn->save())
                {
                   $data = array();
                   $data['user'] = [
                                    'id'           => $apn->id,
                                    'user_id'      => $apn->user_id,
                                    'deviceToken'  => $apn->deviceToken,
                                   ]; 
                
                    $registatoin_ids = [$apn->deviceToken];
                    
                    $message = ["message" => "test text"];
                 
                    //$data['result']= $gcm->sendNotification($registatoin_ids, $message);
                    
                    return $this->_sendResponse(200,$data); 
                }else
                  return $this->_sendResponse(401,'Not saveing','message');
             }else
                return $this->_sendResponse(401,ActiveForm::validate($apn),'message');
        }else
            return $this->_sendResponse(404,'Not all attributes come',false,'message');
    }
    
    public function actionSendNotificationUser()
    {   
        
        $json_data = file_get_contents('php://input');
        $data = json_decode($json_data,true);
        
        if(isset($data['apns_user']) AND 
           isset($data['apns_user']['user_id']) AND
           isset($data['apns_user']['message']))
          {
            $user_id = $data['apns_user']['user_id']; 
            $message = $data['apns_user']['message']; 
        
            $apn = ApplePushNotification::find()->where(['user_id'=>$user_id])->one();
            
            $deviceToken = trim($apn->deviceToken);
                        
            $message = ["message" => $message];

            $data['result'] = $apn->sendNotification($deviceToken, $message);
            
            return $this->_sendResponse(200,$data); 
        }else
          return $this->_sendResponse(404,'Not all attributes come',false,'message');
    }
}
