<?php

namespace app\modules\api\controllers;

use \Yii;
use app\modules\api\components\ RestController;
use app\modules\user\models\User;
use yii\filters\AccessControl;
use yii\data\Pagination;
use yii\web\Response;
use yii\helpers\Json;
use yii\helpers\Url;

use app\modules\askdoctor\models\Specialty;
use app\modules\medbase\models\Clinic;


class ClinicController extends  RestController
{
    protected $pageSize = 5;
    protected $page = 0;

    public function beforeAction($action)
    {
        $action_array = [];
        
        if(in_array($action->actionMethod, $action_array))
           $this->_checkAuth();
        return parent::beforeAction($action);
    }
    
    public function actionIndex()
    {
      
        if(trim(Yii::$app->request->get('pageSize')) != '')
                $this->pageSize = Yii::$app->request->get('pageSize');
           
        if(trim(Yii::$app->request->get('page')) != '')
             $this->page = Yii::$app->request->get('page');
         
        $specialtis = Specialty::find()->where(['status'=>1])->all(); 
      
        $query = Clinic::find()->active()->nonRoot();

        if(Yii::$app->request->get('specialti')) {
            $clinic_id = Clinic::getClinicIdForSpecialty(Yii::$app->request->get('specialti'));
            if($clinic_id)
                $query->andFilterWhere(['id'=>$clinic_id]);
        }

        $countQuery = clone $query;
        $pages      = new Pagination(['totalCount' => $countQuery->count(),'defaultPageSize'=>$this->pageSize,'page'=>$this->page]);
        $clinics    = $query
                        ->orderBy(['rgt'=>SORT_ASC])
                        ->offset($pages->offset)
                        ->limit($pages->limit)
                        ->all();

        $url = Yii::$app->request->hostInfo.'/';

        $data['pagination'] = [
                             'totalCount'      =>$pages->totalCount,
                             'defaultPageSize' =>$pages->defaultPageSize,
                            ];
        foreach($specialtis as $specialti)
        {
           $data['specialti'][] = [
                                   'id'  =>  $specialti->id,
                                   'name'=> $specialti->name
                                  ]; 
        }
        
        foreach($clinics as $clinic)
        {
            $data['clinics'][] = [
                                    'id'          => $clinic->id,
                                    'name'        => $clinic->name,
                                    'phone'       => $clinic->phone,
                                    'website'     => $clinic->website,
                                    'country'     => $clinic->getCountry()->one()->name,
                                    //'city'        => $clinic->city,
                                    'email'       => $clinic->email,
                                    'image'       => $url.$clinic->getMainImage()->one()->file_name ,
                                 ];
        }
        return $this->_sendResponse(200,$data);  
    }
}
