<?php

namespace app\modules\api\controllers;

use \Yii;
use app\modules\api\components\RestController;
use app\modules\user\models\User;
use yii\filters\AccessControl;
use kartik\widgets\ActiveForm;
use yii\data\Pagination;
use yii\web\Response;
use yii\helpers\Json;
use yii\helpers\Url;

use app\modules\api\models\GoogleCloudMessaging;



class GoogleCloudMessagingController extends  RestController
{
    protected $pageSize = 5;
    protected $page = 0;
    
    public function beforeAction($action)
    {
        $action_array = [];
        
        if(in_array($action->actionMethod, $action_array))
           $this->_checkAuth();
        return parent::beforeAction($action);
    }
    
    public function actionView()
    {
        return $this->_sendResponse(200,'Hello Google Cloud Messaging');
    }
    
    public function actionGcmUsers()
    {
        if(trim(Yii::$app->request->get('user_id')) != '')
            $gcms = GoogleCloudMessaging::find()->where(['user_id'=>Yii::$app->request->get('user_id')]) ->all();
        else
            $gcms = GoogleCloudMessaging::find()->all();
    
        foreach($gcms as $gcm){
            $data[$gcm->id] = [
                                'id'           => $gcm->id,
                                'name'         => $gcm->name,
                                'email'        => $gcm->email,
                                'user_id'      => $gcm->user_id,
                                'gcm_regid'    => $gcm->gcm_regid,
                               ]; 
        }
        
        return $this->_sendResponse(200,$data); 
    }
    
    
    public function actionCreateUserRegId()
    {
        $gcm = new GoogleCloudMessaging;
        
        $json_data = file_get_contents('php://input');
        $data = json_decode($json_data,true);
       
        if(isset($data['gcm_user']) AND 
           isset($data['gcm_user']['name']) AND
           isset($data['gcm_user']['user_id']) AND
           isset($data['gcm_user']['gcm_regid']))
          {
            
                if(isset($data['gcm_user']['name']))
                    $gcm->name = $data['gcm_user']['name'];
                
                if(isset($data['gcm_user']['email']))
                    $gcm->email = $data['gcm_user']['email'];
                
                if(isset($data['gcm_user']['user_id']))
                    $gcm->user_id = $data['gcm_user']['user_id'];
                
                if(isset($data['gcm_user']['gcm_regid']))
                    $gcm->gcm_regid =  $data['gcm_user']['gcm_regid'];                

             if($gcm->validate())
             {
                if($gcm->save())
                {
                   $data['user'] = [
                                    'id'           => $gcm->id,
                                    'name'         => $gcm->name,
                                    'email'        => $gcm->email,
                                    'user_id'      => $gcm->user_id,
                                    'gcm_regid'    => $gcm->gcm_regid,
                                   ]; 
                
                    $registatoin_ids = [$gcm->gcm_regid];
                    
                    //$message = ["message" => "test text"];
                 
                    //$data['result']= $gcm->sendNotification($registatoin_ids, $message);
                    
                    return $this->_sendResponse(200,$data); 
                }else
                  return $this->_sendResponse(401,'Not saveing','message');
             }else
                return $this->_sendResponse(401,ActiveForm::validate($gcm),'message');
        }else
            return $this->_sendResponse(404,'Not all attributes come',false,'message');
    }
    
    public function actionSendNotificationUser()
    {
        $json_data = file_get_contents('php://input');
        $data = json_decode($json_data,true);
        
        if(isset($data['gcm_user']) AND 
           isset($data['gcm_user']['user_id']) AND
           isset($data['gcm_user']['message']))
          {
            $user_id = $data['gcm_user']['user_id']; 
            $message = $data['gcm_user']['message']; 

            $gcm = GoogleCloudMessaging::find()->where(['user_id'=>$user_id])->one();
            
            $registatoin_ids = [$gcm->gcm_regid];

            $data['result']= $gcm->sendNotification($registatoin_ids, $message);

            return $this->_sendResponse(200,$data);
        }else
          return $this->_sendResponse(404,'Not all attributes come',false,'message');
    }
    
    public function actionSendNotificationAllUser()
    {
       
        if(trim(Yii::$app->request->get('message')) != '')
           $message = Yii::$app->request->get('message'); 
        else
            return $this->_sendResponse(401,'Not exists message','message');
        
        $gcms = GoogleCloudMessaging::find()->all();
        
        foreach($gcms as $gcm)
        {
            $registatoin_ids = [$gcm->gcm_regid];
                    
            $message = ["message" => $message];
            
            ($gcm->user_id)?$user_id = $gcm->user_id:$user_id = null;
               
            
            $data['result'][]= [
                                'user'=>$user_id,
                                'result'=>$gcm->sendNotification($registatoin_ids, $message)
                               ];   
        }
            return $this->_sendResponse(200,$data);
    }
    
    
    
}
