<?php
namespace app\modules\api\controllers;

use \Yii;

use yii\helpers\Url;
use yii\helpers\Html;
use yii\web\Response;
use yii\helpers\Json;
use yii\data\Pagination;
use app\components\Helper;
use yii\filters\AccessControl;
use kartik\widgets\ActiveForm;
use app\modules\user\models\User;
use app\modules\page\models\Page;
use app\modules\core\models\Language;
use app\modules\page\models\PageCategory;
use app\modules\api\components\ RestController;

use app\modules\askdoctor\models\Specialti;
use app\modules\askdoctor\models\Clinic;


class PageController extends  RestController
{
    protected $pageSize = 5;
    protected $page = 0;
    
    public function beforeAction($action)
    {
        $action_array = [
                         'actionCreate',
                         'actionUpdate',
                         'actionUploadImage',
                        ];
        
        if(in_array($action->actionMethod, $action_array))
           $this->_checkAuth();
        return parent::beforeAction($action);
    }
    
    public function fileUpload($file,$folder,$id)
    {
        if ($file !== null){
                $prefx = time();
                $path = $folder.'/'.$id.'_'.$prefx.'.'.strtolower(substr(strrchr($file['name'],"."),1));
                $stream = fopen($file['tmp_name'], 'r+');
                Yii::$app->getModule('page')->fsComponent->writeStream($path, $stream);
                fclose($stream);
           return $path;  
        }else
           return false;     
    }
    
    public function deleteFile($file)
    {
        if(trim($file) != "")
        {   
          if(file_exists(Yii::$app->basePath."/web/files/".$file))
            {
                 Yii::$app->getModule('page')->fsComponent->delete($file);
                return $this->_sendResponse(200,'Success');
            }else
                 return $this->_sendResponse(401,'Error','message');
        }
    }
    
    public function actionUploadImage()
    {
       if($_FILES AND Yii::$app->request->post('page_id'))
       {
            $page = Page::find()->where(['id'=>Yii::$app->request->post('page_id')])->one();
         if($page){
            $page->scenario = 'image';
            $page->image    = $_FILES['file']['name'];
         if($page->validate()){
            if($image = $this->fileUpload($_FILES['file'],'page',$page->id)){
                if(file_exists(Yii::$app->basePath."/web/files/".$page->oldAttributes['image']))
                    $this->deleteFile($page->oldAttributes['image']);
                $page->image = $image;  
                if($page->save())
                return $this->_sendResponse(200,'Success');
            }else
                return $this->_sendResponse(401,'Error Upload file','message','message');  
            }else
                return $this->_sendResponse(401,ActiveForm::validate($page),'message');            
         }else
            return $this->_sendResponse(401,'Page Not Found','message');
       }else
         return $this->_sendResponse(401,'Not exists $_FILES or $_POST["page_id"]','message');
        
    }

    public function actionCreate()
    {   
        $name               = 'name'.Language::getLanguageForForm();
        $title              = 'title'.Language::getLanguageForForm();
        $h1                 = 'h1'.Language::getLanguageForForm();
        $breadcrumbs_label  = 'breadcrumbs_label'.Language::getLanguageForForm();
        $meta_description   = 'meta_description'.Language::getLanguageForForm();
        $announce           = 'announce'.Language::getLanguageForForm();
        $content            = 'content'.Language::getLanguageForForm();
        
        $user = User::findIdentity(Yii::$app->user->id); 
        $category = PageCategory::find()->where(['slug'=>'post'])->one();
        
        $model = new Page;
        $model->scenario = 'userUpdate';
        $published = Yii::$app->request->post('published');
        if (Yii::$app->request->post()){
            $slug                      = Helper::createSlug(Yii::$app->request->post('name'));
            $model->parent_id          = 1;
            $model->show_type          = 'show';
            $model->user_id            = $user->id;
            $model->category_id        = $category->id;
            $model->slug               = $slug;
            $model->slug_compiled      = $slug;
            $model->published          = $published;
            
            $model->$name               = Yii::$app->request->post('name');
            $model->$title              = Yii::$app->request->post('title');
            $model->$h1                 = Yii::$app->request->post('name');
            $model->$breadcrumbs_label  = Yii::$app->request->post('name');
            $model->$meta_description   = Yii::$app->request->post('name');
            $model->$announce           = Yii::$app->request->post('announce');
            $model->$content            = Yii::$app->request->post('content');
            
        if($model->validate()){
            if ($model->save())
                return $this->_sendResponse(200,'Success');
            else
                return $this->_sendResponse(401,'Not saveing','message');
                
            }else
                return $this->_sendResponse(401,ActiveForm::validate($model),'message');
        }else
               return $this->_sendResponse(401,'Not exists $_POST','message','message');
        
    }
    
    public function actionUpdate()
    {   
        $name               = 'name'.Language::getLanguageForForm();
        $title              = 'title'.Language::getLanguageForForm();
        $h1                 = 'h1'.Language::getLanguageForForm();
        $breadcrumbs_label  = 'breadcrumbs_label'.Language::getLanguageForForm();
        $meta_description   = 'meta_description'.Language::getLanguageForForm();
        $announce           = 'announce'.Language::getLanguageForForm();
        $content            = 'content'.Language::getLanguageForForm();
        
        $user = User::findIdentity(Yii::$app->user->id); 
        $category = PageCategory::find()->where(['slug'=>'post'])->one();
        
        $model = Page::find()->where(['id' => Yii::$app->request->post('id')])->multilingual()->one();
        if($model){
        $model->scenario = 'userUpdate';
        $published = Yii::$app->request->post('published');
        if (Yii::$app->request->post()){
            
            if(trim(Yii::$app->request->post('name')) != ''){
                $slug                       = Helper::createSlug(Yii::$app->request->post('name'));
                $model->slug                = $slug;
                $model->slug_compiled       = $slug;
                $model->$name               = Yii::$app->request->post('name');
                $model->$breadcrumbs_label  = Yii::$app->request->post('name');
                $model->$meta_description   = Yii::$app->request->post('name');
                $model->$h1                 = Yii::$app->request->post('name');
            }
            if(trim(Yii::$app->request->post('title')) != '')
                $model->$title              = Yii::$app->request->post('title');
            if(trim(Yii::$app->request->post('announce')) != '')
                $model->$announce           = Yii::$app->request->post('announce');
            if(trim(Yii::$app->request->post('nacontentme')) != '')
                $model->$content            = Yii::$app->request->post('content');
            
            $model->published          = $published;
        
        if($model->validate()){
            if ($model->save())
                return $this->_sendResponse(200,'Success');
            else
                return $this->_sendResponse(401,'Not saveing','message');
                
            }else
                return $this->_sendResponse(401,ActiveForm::validate($model),'message');
        }else
               return $this->_sendResponse(401,'Not exists $_POST','message');
        }else        
            return $this->_sendResponse(401,'Page Not Found','message');
    }
    
    public function actionCategoris()
    {
        if(trim(Yii::$app->request->get('pageSize')) != '')
            $this->pageSize = Yii::$app->request->get('pageSize');
        
        if(trim(Yii::$app->request->get('page')) != '')
             $this->page = Yii::$app->request->get('page');

        $query = PageCategory::find()->where(['active'=>1]);
        
        if(Yii::$app->request->get('slug'))
        $query->andFilterWhere(['slug'=>Yii::$app->request->get('slug')]);
        
        $countQuery = clone $query;
        $pages = new Pagination(['totalCount' => $countQuery->count(),'defaultPageSize'=>$this->pageSize,'page'=>$this->page]);
        $categoris = $query->offset($pages->offset)
                ->limit($pages->limit)
                ->all();
        
        $data = array();
        
        $data['pagination'] = [
                               'totalCount'      =>$pages->totalCount,
                               'defaultPageSize' =>$pages->defaultPageSize,
                              ];   
        
        $url = Yii::$app->request->hostInfo.'/';
        
        foreach($categoris as $categori)
        {
            /*
            foreach(Page::find()->where(['published'=>1,'category_id'=>$categori->id])->all() as $page)
            {
                $author = $page->getUser();
                $caregory_page[] = [
                                    'id'       => $page->id,
                                    'author'   => $author->last_name.' '.$author->first_name,
                                    'name'     => $page->name,
                                    'slug'     => $page->slug,
                                    'announce' => Html::decode($page->announce),
                                    'image'    => $url.substr($page->getThumbnail(120,80),1) ,
                                   ]; 
            }
            */
            $data['categoris'][] = [
                                    'id'    => $categori->id,
                                    'name'  => $categori->name,
                                    'slug'  => $categori->slug,
                                   // 'pages' => $caregory_page
                                   ];
           unset($caregory_page);                        
        }
        
        return $this->_sendResponse(200,$data);
    }
    
    public function actionList()
    {
        $data = array();
        
        if(trim(Yii::$app->request->get('pageSize')) != '')
            $this->pageSize = Yii::$app->request->get('pageSize');
        
        if(trim(Yii::$app->request->get('page')) != '')
             $this->page = Yii::$app->request->get('page');
        
        if(trim(Yii::$app->request->get('category')) != ''){
             $category = PageCategory::find()->where([
                                                 'active'=>1,
                                                 'slug'=>Yii::$app->request->get('category')
                                                ])->one();
             $data['category'] = $category->name;
        }
                  
        $query = Page::find()->where('id > :id AND published=:published',
                                     [
                                      'published'=>1,
                                      ':id'=>1
                                     ]);
        if($category)                             
            $query->andFilterWhere(['category_id'=>$category->id]);
        
        if(trim(Yii::$app->request->get('user_id')) != ''){
            $query->andFilterWhere(['user_id'=>Yii::$app->request->get('user_id')]);    
        }
        
        $countQuery = clone $query;
        $pages = new Pagination(['totalCount' => $countQuery->count(),'defaultPageSize'=>$this->pageSize,'page'=>$this->page]);
        $_pages = $query->offset($pages->offset)
                ->limit($pages->limit)
                ->all();
        
        $data['pagination'] = [
                                    'totalCount'      =>$pages->totalCount,
                                    'defaultPageSize' =>$pages->defaultPageSize,
                              ];   
        
        $url = Yii::$app->request->hostInfo.'/';
        foreach($_pages as $_page)
        {
            $author = $_page->getUser()->one();

            $data['pages'][] = [
                                'id'       => $_page->id,
                                'name'     => $_page->name,
                                'slug'     => $_page->slug,
                                'author'   => $author->last_name.' '.$author->first_name,
                                'announce' => Html::decode($_page->announce),
                                'image'    => $url.'files/'.$_page->image ,
                               ];
        }
        
        return $this->_sendResponse(200,$data);
    }
    
    public function actionView($slug)
    {
        $data = array();
        $page = Page::find()->where([
                                      'slug'      => $slug,
                                      'published' => 1,
                                    ])
                            ->one(); 
        if(!$page)
        return $this->_sendResponse(404);
       
        $url = Yii::$app->request->hostInfo.'/';
        if($page->image)
        $image = $url.$page->image;
        
        $author = $page->getUser()->one();
        
        $data['page'][] = [
                            'id'       => $page->id,
                            'author'   => $author->last_name.' '.$author->first_name,
                            'name'     => $page->name,
                            'slug'     => $page->slug,
                            'announce' => Html::decode($page->announce),
                            'content'  => Html::decode($page->content),
                            'image'    => $image,
                           ];
        
        
        return $this->_sendResponse(200,$data);
    }
    
    public function actionAlphabetical()
    {
       
       $model = PageCategory::find()
                       ->where(['slug'=>'encyclopedia'])
                       ->one();
       
       $alphabetical = Page::find()
                      ->select(['*','LEFT(pageTranslate.name, 1) AS letter'])
                      ->joinWith('translation')
                      ->groupBy('letter')
                      ->orderBy('pageTranslate.name ASC')
                      ->where(['category_id'=>$model->id])
                      ->all();
       
       foreach($alphabetical as $char_)
       {
        $data['alphabetical'][] = $char_->letter;
       } 
       
       return $this->_sendResponse(200,$data);             
    }
    public function actionEncyclopedia()
    {
       $json_data = file_get_contents('php://input');
       $data = json_decode($json_data,true); 
        
    
       $pageCategory = PageCategory::find()->where(['slug'=>'encyclopedia'])->one(); 
       
       
       
       if(isset($data['char'])){
      
          $query = Page::find()
                  ->joinWith('translation')
                  ->where("pageTranslate.name like '".$data['char']."%' AND category_id = ".$pageCategory->id."")
                  ->orderBy('pageTranslate.name ASC');
       }else{
          $query = Page::find()
                     ->joinWith('translation')
                     ->where(['category_id'=>$pageCategory->id])
                     ->orderBy('pageTranslate.name ASC'); 
       }
       
       //if(isset($data['pageSize']))
       //$query->andFilterWhere(['clinic_id'=>$data['pageSize']]);
       
       if(isset($data['pageSize']))
         $this->pageSize = $data['pageSize'];
       
       if(isset($data['page']))
         $this->page = $data['page'];  
       
       $countQuery = clone $query;
       $pages      = new Pagination(['totalCount' => $countQuery->count(),'defaultPageSize'=>$this->pageSize,'page'=>$this->page]);
       $models     = $query->offset($pages->offset)
                           ->limit($pages->limit)
                           ->all();
       
       $data['pagination'] = [
                                    'totalCount'      =>$pages->totalCount,
                                    'defaultPageSize' =>$pages->defaultPageSize,
                                   ];
       
       foreach($models as $model)
       {
        $data['encyclopedia'][] = [
                                 'name'=>$model->name,
                                 'announce'=>$model->announce,
                                ] ;
       } 
       
       return $this->_sendResponse(200,$data); 
    }
    
    public function actionEncyclopediaDetail()
    {
       $json_data = file_get_contents('php://input');
       $data = json_decode($json_data,true);
        
       if(isset($data['id']))
       {
            $model = Page::find()
                      ->select(['page.*','LEFT(pageTranslate.name, 1) AS letter'])
                      ->joinWith('translation')
                      ->groupBy('letter')
                      ->where(['page.id'=>$data['id']])
                      ->one();
        
            $pageCategory = PageCategory::find()->where(['slug'=>'encyclopedia'])->one();
       
            $models = Page::find()
                          ->joinWith('translation')
                          ->orderBy('pageTranslate.name ASC')
                          ->where("pageTranslate.name like '".$model->letter."%' AND category_id = ".$pageCategory->id."")
                          ->all();              
            
            $data['encyclopedia-detail'] = [
                                            'title'   => $model->name,
                                            'content' => Html::encode($model->content) 
                                           ];
       
            $page_array = array();
        
            foreach($models as $page)
            {
                $page_array[$page->id] = $page->name;
            } 
            
            $data['pagination_pages'] =   $model->getNextPreviousItem($page_array,$model->id);
            
            return $this->_sendResponse(200,$data);
       
       }else
           return $this->_sendResponse(404,'Not all attributes come',false,'message');
    }
}

?>