<?php
namespace app\modules\api\controllers;

use \Yii;
use app\modules\askdoctor\models\QuestionsTheme;
use app\modules\askdoctor\models\UserPackage;
use app\modules\askdoctor\models\Questions;
use app\modules\api\components\ RestCheckAuthController;
use app\modules\user\models\User;
use yii\web\UploadedFile;
use yii\data\Pagination;
use yii\web\Response;
use yii\helpers\Json;
use yii\helpers\Url;
use kartik\widgets\ActiveForm;

use app\modules\askdoctor\models\Specialty;



class QuestionsController extends  RestCheckAuthController
{
    protected $pageSize = 5;
    protected $page = 0;
    public function beforeAction($action)
    {
        $action_array = [];
        
        if(in_array($action->actionMethod, $action_array))
           $this->_checkAuth();
        return parent::beforeAction($action);
    }
    
    /**
    * Parems:
    * $file 
    * $folder 
    * $id
    */
    public function fileUpload($file,$folder,$id)
    {   if ($file !== null){
                $prefx = time();
                $path = $folder.'/'.$id.'_'.$prefx.'.'.strtolower(substr(strrchr($file['name'],"."),1));
                $stream = fopen($file['tmp_name'], 'r+');
                Yii::$app->getModule('askdoctor')->fsComponent->writeStream($path, $stream);
                fclose($stream);
           return $path;  
        }else
           return false;     
    }
    
    public function deleteFile($file)
    {
        if(trim($file) != "")
        {   
          if(file_exists(Yii::$app->basePath."/web/files/".$file))
            {
                 Yii::$app->getModule('askdoctor')->fsComponent->delete($file);
                return true;
            }else
                return false;
        }
    }
    
    /**
    * Parems:
    * $pageSize - $_GET
    * $page - $_GET
    */
    public function actionQuestionThemeList()
    {
        if(trim(Yii::$app->request->get('pageSize')) != '')
           $this->pageSize = Yii::$app->request->get('pageSize');
           
        if(trim(Yii::$app->request->get('page')) != '')
           $this->page = Yii::$app->request->get('page');        
        
        $user = User::findIdentity(Yii::$app->user->id); 
        
        if($user->user_type == 1) {
            $user_type = 'doctor_id';
            $user_type_sql = 2;
        }else {
            $user_type = 'user_id';
            $user_type_sql = 1;
        }
        $url = Yii::$app->request->hostInfo.'/';
        
        $query = QuestionsTheme::find();


        $query->select = [
            '`questions_theme`.*',
            'IF(questions.is_view = 0 AND questions.user_type != '.$user->user_type.', 1,0) as new_q'
        ];

        $query->leftJoin('questions', 'questions.theme_id = questions_theme.id');

        if($user->user_type == 1)
        {

           if($id == 0){
               $query->where('questions_theme.user_id = '.$user->id.' AND
                              questions.id = (SELECT MAX(q.id) FROM questions q WHERE q.theme_id = `questions_theme`.id)');
           }
           else
           {
              
              $query->where('questions_theme.user_id = '.$user->id.' AND
                             doctor_id = '.$id.' AND                      
                             questions.id = (SELECT MAX(q.id) FROM questions q WHERE q.theme_id = `questions_theme`.id)');
           }
        }elseif($user->user_type == 2)
        {
            $query->where('questions_theme.doctor_id = '.$user->id.' AND
                           questions_theme.status in (1,3,5) AND
                           questions.id = (SELECT MAX(q.id) FROM questions q WHERE q.theme_id = `questions_theme`.id)');
        }


        $query->orderBy([
            'new_q'=> SORT_DESC,
            'questions.created'=> SORT_DESC,
        ]);


        if(isset($_GET['status']) AND trim($_GET['status']) != ''){

            $status_array = explode(",", $_GET['status']);
            if($_GET['status'] != 3)
            $status_array[] = 5;

            $query->andWhere(['questions_theme.status'=>$status_array]);
        }


        $countQuery     = clone $query;
        $countQuery->orderBy([
            'questions.created'=> SORT_DESC,
        ]);
        $pages          = new Pagination(['totalCount' => $countQuery->count(),'defaultPageSize'=>$this->pageSize,'page'=>$this->page]);
        $question_theme = $query->offset($pages->offset)
                ->limit($pages->limit)
                ->all();
        
         $data['pagination'] = [
                                'totalCount'      =>$pages->totalCount,
                                'defaultPageSize' =>$pages->defaultPageSize,
                               ];
        
        foreach($question_theme as $theme)
        {
            if(trim($theme->getLastMessage()->text) != '')
               $last_message = $theme->getLastMessage()->text;
            else
               $last_message = Yii::t('app','File');
               
            $data['question_theme'][] = [
                                         'id'           => $theme->id,
                                         'status'       => ($theme->status == 5)? 1 :$theme->status,
                                         'last_message' => $last_message,
                                         'new_question' => $theme->getCountNewQuestions(),
                                         'user'         => [
                                                            'id'           => $theme->getUser($user_type)->id,
                                                            'first_name'   => $theme->getUser($user_type)->first_name,
                                                            'specialti'    => $theme->getUser($user_type)->getSpecialty()->name,
                                                            'last_name'    => $theme->getUser($user_type)->last_name,
                                                            'status_login' => ($theme->getUser($user_type))?$theme->getUser($user_type)->getLastLogin():0,
                                                            'image'        => $url.'files/'.$theme->getUser($user_type)->image,
                                                            'user_type'    => $theme->getUser($user_type)->user_type
                                                           ]
                                        ];
        }
        return $this->_sendResponse(200,$data);
    }

    public function actionQuestionThemeListHistory()
    {
        if(trim(Yii::$app->request->get('pageSize')) != '')
           $this->pageSize = Yii::$app->request->get('pageSize');
           
        if(trim(Yii::$app->request->get('page')) != '')
           $this->page = Yii::$app->request->get('page');        
        
        $user = User::findIdentity(Yii::$app->user->id); 
        
        if($user->user_type == 1)
            $user_type ='doctor_id';
        else
            $user_type = 'user_id';
        
        $url = Yii::$app->request->hostInfo.'/';
        
        $query = QuestionsTheme::find();
       
        if($user->user_type == 1)
        {
           if($id == 0){
               $query = $query->where(
                    [
                        'user_id'=>$user->id,
                        'status'=> [3],
                    ]);
           }else
           {
               $query = $query->where(
                   [
                       'user_id'=>$user->id,
                       'doctor_id'=>$id
                   ]);
           }     
        }elseif($user->user_type == 2)
        {
            $query = $query->where(
                [  
                   'status'    => [3], 
                   'doctor_id' => $user->id
                ]);
        }
        
        $countQuery     = clone $query;
        $pages          = new Pagination(['totalCount' => $countQuery->count(),'defaultPageSize'=>$this->pageSize,'page'=>$this->page]);
        $question_theme = $query->offset($pages->offset)
                ->limit($pages->limit)
                ->all();
        
         $data['pagination'] = [
                                'totalCount'      =>$pages->totalCount,
                                'defaultPageSize' =>$pages->defaultPageSize,
                               ];
        
        foreach($question_theme as $theme)
        {
            if(trim($theme->getLastMessage()->text) != '')
               $last_message = $theme->getLastMessage()->text;
            else
               $last_message = Yii::t('app','File');
               
            $data['question_theme'][] = [
                                         'id'           => $theme->id,
                                         'status'       => ($theme->status == 5)? 1 :$theme->status,
                                         'last_message' => $last_message,
                                         'new_question' => $theme->getCountNewQuestions(),
                                         'user'         => [
                                                            'id'         => $theme->getUser($user_type)->id,
                                                            'first_name' => $theme->getUser($user_type)->first_name,
                                                            'last_name'  => $theme->getUser($user_type)->last_name,
                                                            'image'      => $url.'files/'.$theme->getUser($user_type)->image,
                                                           ]
                                        ];
        }
        return $this->_sendResponse(200,$data);
    }
    
    
    
    /**
    * Parems: 
    * $theme_id - $_POST
    * $pageSize - $_GET
    * $page     - $_GET
    */
    public function actionQuestionList()
    {
        if(trim(Yii::$app->request->get('pageSize')) != '')
               $this->pageSize = Yii::$app->request->get('pageSize');
           
        if(trim(Yii::$app->request->get('page')) != '')
           $this->page = Yii::$app->request->get('page'); 
       
        if(Yii::$app->request->isPost){
        
        $user = User::findIdentity(Yii::$app->user->id); 
        
        if($user->user_type == 1){
            $user_type = [2,0];
            $user_type_str ='2,0';    
        }else{
            $user_type =[1];
            $user_type_str ='1';
        }
        
        $theme = QuestionsTheme::find()->where(['id'=>Yii::$app->request->post('theme_id')])->one();
        
        if(!$theme)
            return $this->_sendResponse(404,array('message'=>'Not found theme'));   
        $condition_str = 'theme_id = '.$theme->id.' AND status = 1 AND is_view = 0 AND user_type in ('.$user_type_str.')';
        Questions::updateAll(['is_view' => 1],$condition_str);
        
        $query = Questions::find();
        if(trim($theme->id) != '')
        $query->where(['theme_id'=>$theme->id]);
        
        $query->orderBy([  
                         'questions.created'=> SORT_DESC,
                        ]);
        
        
        $countQuery     = clone $query;
        $pages          = new Pagination(['totalCount' => $countQuery->count(),'defaultPageSize'=>$this->pageSize,'page'=>$this->page]);
        $questions      = $query->offset($pages->offset)
                                    ->limit($pages->limit)
                                    ->all();
        
        $data['pagination'] = [
                                'totalCount'      =>$pages->totalCount,
                                'defaultPageSize' =>$pages->defaultPageSize,
                               ];
        
        $data['theme'] = [
                          'ststus'=>$theme->status
                         ];
        $url = Yii::$app->request->hostInfo.'/';
                               
        foreach($questions as $question)
        {
            if(trim($question->file) != '')
            {
               $ex = strtolower(substr(strrchr($question->file,"."),1));
               if($ex == 'png' OR $ex == 'jpg' OR $ex == 'gif' OR $ex == 'GIF'){
                 $file = $url.'files/'.$question->file;
               }else
                $file =  Url::to(['/askdoctor/questions/download','file'=>Yii::$app->basePath."/web/files/".$question->file], true);
            }else
                $file = 'empty';
            $data['questions'][] = [
                                    'id'        => $question->id,
                                    'theme_id'  => $question->theme_id,
                                    'user_id'   => $question->user_id,
                                    'user_type' => $question->user_type,
                                    'text'      => $question->text,
                                    'created'   => $question->created,
                                    'file'      => $file,
                                   ];
        }
         $data['questions'] =  array_reverse($data['questions']);
        
            return $this->_sendResponse(200,$data);
        }else
           return $this->_sendResponse(401,'Not exists $_POST','message');                    
    }
    
    /**
    * Parems:
    * $_FILES - $_POST
    * $theme_id - $_POST
    * $text - $_POST
    * 
    * 
    */
    
    function actionCreateQuestion()
    {   
        if(Yii::$app->request->post()){
            
        $model = new Questions;
        $user = User::findIdentity(Yii::$app->user->id);
        $question_theme = QuestionsTheme::find()->where(['id'=>Yii::$app->request->post('theme_id')])->one();
        $model->scenario = 'create-question';
        
        if(!$user_package = UserPackage::find()->where(['user_id'=>$user->id])->one())
            return $this->_sendResponse(401,'Not user package','message');  
        
        if($question_theme->status == 4)
            return $this->_sendResponse(401,'This theme black list','message');       
        
        if($user_package->packageManage()){
              
                $model->is_view   = 0;
                $model->theme_id  = $question_theme->id;
                $model->user_id   = $user->id;
                $model->user_type = $user->user_type;

                if(trim(Yii::$app->request->post('text')) != '')
                    $model->text   = Yii::$app->request->post('text');

            if(isset($_FILES['file'])){
                $model->file      =  $model->uploadFile($model);
            }
                   if($model->validate()){
                     if($model->save()) {

                        if($user->user_type == 2 AND $question_theme->is_reply == 0)
                            $question_theme->firstReply();
                            return $this->_sendResponse(200, 'Success');
                     }else{
                         if(trim($model->file)!= '')
                             return $this->_sendResponse(401,'Error saving question text','message');
                         else
                            return $this->_sendResponse(401,'Error saving question file','message');
                         }
                   }else
                        return $this->_sendResponse(401,ActiveForm::validate($model),'message');

            
            }else
            {
                if(!$user_package->packageAccessByAttribute($user_package,'status'))
                    return $this->_sendResponse(401,'Package status null','message');   
                elseif(!$user_package->packageAccessByAttribute($user_package,'limit_message'))
                    return $this->_sendResponse(401,'Package not message','message');   
                elseif(!$user_package->packageAccessByAttribute($user_package,'limit_time'))
                    return $this->_sendResponse(401,'Package date time out','message');   
                elseif(!$user_package->packageAccessByAttribute($user_package,'is_paid'))
                    return $this->_sendResponse(401,'Package not  paid','message');   
            }
        }else
           return $this->_sendResponse(401,'Not exists $_POST','message');
    }
    /**
    * Parems:
    * $doctor_id - $_POST
    * $_FILES - $_POST
    * $text - $_POST
    */
    public function actionCreateTheme()
    {
      if(Yii::$app->request->post())
      {
          $model = new Questions;
          $theme = new QuestionsTheme;
          $user = User::findIdentity(Yii::$app->user->id);
          $doctor = User::findOne(Yii::$app->request->post('doctor_id'));
          
          if(!$user_package = UserPackage::find()->where(['user_id'=>$user->id])->one())
             return $this->_sendResponse(200,'Not user package');  
          
          $theme->scenario = 'create-theme-question';
          
            if($user_package->packageManage(['price_for_theme'=>$doctor->theme_price]))
            {
                
                $model->is_view      = 0;
                $model->user_id      = $user->id;
                $model->user_type    = $user->user_type;
                
                if(trim(Yii::$app->request->post('text')) != ''){
                    $model->text         = Yii::$app->request->post('text');
                    $model->scenario = 'create-question';
                }

                if(isset($_FILES['file'])){

                    $model->file      =  $model->uploadFile($model);
                 }

                if($model->validate()){
                   $theme->user_id      = $user->id;
                   $theme->doctor_id    = $doctor->id;
                   $theme->is_pay       = 0;
                   $theme->save();
                   $theme->title        = "Question N ".$theme->id;
                   $theme->update();
                   $model->theme_id     = $theme->id;
                   
                   if($model->save())
                      return $this->_sendResponse(200,array('theme_id'=>$theme->id));
                   else 
                      return $this->_sendResponse(401,'Error saving question text','message'); 
                }else
                    return $this->_sendResponse(401,ActiveForm::validate($model),'message');       
            }else
            {
                if(!$user_package->packageAccessByAttribute($user_package,'status'))
                    return $this->_sendResponse(401,'Package status null','message');   
                elseif(!$user_package->packageAccessByAttribute($user_package,'limit_message'))
                    return $this->_sendResponse(401,'Package not message','message');   
                elseif(!$user_package->packageAccessByAttribute($user_package,'limit_time'))
                    return $this->_sendResponse(401,'Package date time out','message');   
                elseif(!$user_package->packageAccessByAttribute($user_package,'is_paid'))
                    return $this->_sendResponse(401,'Package not  paid','message');
                elseif(!$user_package->countMessages($user_package,$doctor->theme_price))
                    return $this->_sendResponse(401,'Package not message count','message');      
            } 
      }else
           return $this->_sendResponse(401,'Not exists $_POST','message');
      
    }
    /**
    * Parems:
    * $question_id - $_POST
    * $_FILES      - $_POST
    * $text        - $_POST
    */
    public function actionQuestionUpdate()
    {
        if (Yii::$app->request->post()){
        
            $model = Questions::find()->where(['id'=>Yii::$app->request->post('question_id')])->one();
            $model->scenario = 'create-theme';
            $model->text     = Yii::$app->request->post('text');
            $model->created  = date('Y-m-j H:i:s',time());
        
            if(isset($_FILES['file'])){
                $model->file = $_FILES['file']['name'];
                if($model->validate()){
                    if($file = $this->fileUpload($_FILES['file'],'question-file',$model->theme_id)){
                        $this->deleteFile($model->oldAttributes['file']);
                        $model->file = $file;
                    }else
                        $model->file = '';
                }
            }
            if($model->validate()){
               if($model->save()){
                 $theme           = QuestionsTheme::findOne($model->theme_id);
                 $theme->scenario = 'editable';
                 $theme->status   = 0;
                 $theme->update();
                  return $this->_sendResponse(200,'Success');
              }else 
                  return $this->_sendResponse(401,'Error saving question text','message'); 
            }else
                return $this->_sendResponse(401,ActiveForm::validate($model),'message');       
        }else
           return $this->_sendResponse(401,'Not exists $_POST','message');
    }
    /**
    * Parems:
    * $theme_id - $_POST
    */
    public function actionCloseTheme()
    {
       if (Yii::$app->request->post()){
          
        $user = User::findIdentity(Yii::$app->user->id);
        if(!$user_package = UserPackage::find()->where(['user_id'=>$user->id])->one())
            return $this->_sendResponse(401,'Not user package','message');
        
        if($user_package->packageManage()){
          
          if((int)Yii::$app->request->post('close_theme') == 1)
            {
               $question_theme           = QuestionsTheme::find()->where(['id'=>Yii::$app->request->post('theme_id')])->one();
               $question_theme->scenario = 'editable'; 
               
               if($question_theme->is_pay == 0){
                   if($user_package->packageManage(['close_theme'=>true,'user_id'=>$question_theme->user_id,'price_for_theme'=>$question_theme->getUser('doctor_id')->theme_price])){
                      $question_theme->is_pay = 1;
                      $question_theme->status   = 3;
                     }
               }
               
               if($question_theme->save())
                      return $this->_sendResponse(200,'Success');
                   else 
                      return $this->_sendResponse(401,'Error close theme','message'); 
            }else
                return $this->_sendResponse(401,'Not exists close_theme or close_theme != 1','message');
        }else
        {
            if(!$user_package->packageAccessByAttribute($user_package,'status'))
                return $this->_sendResponse(401,'Package status null','message');   
            elseif(!$user_package->packageAccessByAttribute($user_package,'limit_message'))
                return $this->_sendResponse(401,'Package not message','message');   
            elseif(!$user_package->packageAccessByAttribute($user_package,'limit_time'))
                return $this->_sendResponse(401,'Package date time out','message');   
            elseif(!$user_package->packageAccessByAttribute($user_package,'is_paid'))
                return $this->_sendResponse(401,'Package not  paid','message');
            elseif(!$user_package->countMessages($user_package,$doctor->theme_price))
                return $this->_sendResponse(401,'Package not message count','message');        
        }             
       }else
          return $this->_sendResponse(401,'Not exists $_POST','message');
    }
    
    
    public function actionIsChat()
    {
        $json_data = file_get_contents('php://input');
        $data = json_decode($json_data,true);
        
        if($data['doctor_id'])
          {
            $theme_ = QuestionsTheme::find()->where('user_id='.Yii::$app->user->id.' AND doctor_id = '.$data['doctor_id']." AND status in(0,1) ")->one();
            
            if($theme_){
               return $this->_sendResponse(200,['id'=>$theme_->id]);   
            }else
               return $this->_sendResponse(200,['id'=>null]);     
        
        }else
          return $this->_sendResponse(404,'Not all attributes come',false,'message');
        
      
        
        
    }
    
}



















