<?php
namespace app\modules\api\controllers;

use \Yii;
use app\modules\api\components\RestController;
use app\modules\core\models\Language;
use app\modules\user\models\UserFile;
use app\modules\user\models\User;
use app\modules\user\models\UserRating;
use yii\filters\AccessControl;
use yii\web\UploadedFile;
use yii\data\Pagination;
use yii\web\Response;
use yii\helpers\Json;
use yii\helpers\Url;
use kartik\widgets\ActiveForm;
use app\modules\sms\components\Sms;
use app\modules\user\models\PasswordResetRequestForm;
use yii\db\Query;

use app\modules\askdoctor\models\Specialty;
use app\modules\medbase\models\Clinic;
use app\modules\askdoctor\models\DoctorCategory;

use app\modules\user\models\PhoneActive;
use app\modules\askdoctor\models\UserPackage;


class UserController extends  RestController
{
    protected $pageSize = 5;
    protected $page = 0;
    
    public function beforeAction($action)
    {
        return parent::beforeAction($action);
    }
    
    public function actionAuth()
    {
        if($this->checkAuth())
        {
          $model = User::findIdentity(Yii::$app->user->id);
          $data['user'] = [
                           'id'           => $model->id,
                           'user_type'    => $model->user_type,
                           'phone_active' => $model->phone_active,
                          ];
          return $this->_sendResponse(200,$data);  
        }
    }
    
    public function actionSignup()
    {
        $sms = new Sms;
        $model = new User();
        $model->setScenario('signup');
        $json_data = file_get_contents('php://input');
        $data = json_decode($json_data,true);
        $sms_code = $model->randomSmsCode(5);
        
        if(isset($data['phone']))
        $model->phone                  = $data['phone'];
        $model->first_name             = $data['first_name'];
        $model->last_name              = $data['last_name'];
        $model->password               = $data['password'];
        $model->confirmPassword_signup = $data['confirmPassword_signup'];
        $model->user_type              = 1;
        $model->sms_code               = $sms_code;
        $model->phone_active           = 0;
        $model->free_message           = 10000;
           
        if($model->validate()){
             if($model->save())
             {  
                UserPackage::createUserPackage($model);
                $text = 'Askdoctor'.
                     '%0A Code: '.$sms_code;
                Yii::$app->sms->send($model->phone,$text);
                return $this->_sendResponse(200,'success');
             }
        }else{
                $user = User::find()->where('phone="'.$model->phone.'"')->one();

                $result = ActiveForm::validate($model);
                
                if($user AND $user->phone_active == 0)
                {
                    $result = Yii::t('app','api_user_signup_phone_active');
                    return $this->_sendResponse(300,$result,'message');  
                }else {
                    $message = '';
                    foreach($result as $key => $value){
                        $message .= $value[0].' ';
                    }
                   return $this->_sendResponse(401, $message, 'message');
                }
                
             } 
    }
    
    public function actionPushNotification()
    {
        $this->_checkAuth();

        $json_data = file_get_contents('php://input');
        $data = json_decode($json_data,true);
        
        if(isset($data['notification']))
        {
          $model = User::findIdentity(Yii::$app->user->id);
          $model->scenario = 'push_notification';
          $model->push_notification = $data['notification'];
          if($model->save())
             return $this->_sendResponse(200,'success',true,'message');
        }else
         return $this->_sendResponse(404,'Not all attributes come',false,'message');
    }
    
    public function actionPhoneActive()
    {
        $this->_checkAuth();

        if (Yii::$app->request->post()){
            $user = User::findIdentity(Yii::$app->user->id);
            if($user){
                $model = new PhoneActive();
                $sms = new Sms;
                
                //if again send sms
                if(isset($_POST['again_send_sms']) AND $_POST['again_send_sms'] == 1)
                {
                    $sms_code = $user->randomSmsCode(5);
                    $user->scenario = 'sms_code';
                    $user->sms_code = $sms_code;
                    if($user->save() AND $sms->send($user->phone,'Code: '.$sms_code))
                    {
                        return $this->_sendResponse(200,'success');    
                    }
                    
                }else if(isset($_POST['code']))
                {
                    $model->code = Yii::$app->request->post('code');
                    if($model->validate()){
                        if($model->code == $user->sms_code)
                        {
                            $user->scenario = 'phone_active';
                            $user->phone_active = 1;
                            if($user->save())
                              return $this->_sendResponse(200,Yii::t('app', 'success active phone number'));
                        }else
                              return $this->_sendResponse(401,'Code invalid','message');
                   }else{
                        $result = ActiveForm::validate($model);
                        return $this->_sendResponse(401,$result,'message');
                    }
                }
                
            }else
                return $this->_sendResponse(203,'Non-Authoritative','message');
        }else
          return $this->_sendResponse(401,'Not exists $_POST','message');
    }
    
    public function actionActivePhone()
    {
        if (Yii::$app->request->post()){
            if(isset($_POST['phone']) AND trim($_POST['phone']) !=''){
            $user = User::find()->where('phone='.$_POST['phone'])->one();
            if($user){
                $model = new PhoneActive();
                $sms = new Sms;
                
                //if again send sms
                if(isset($_POST['again_send_sms']) AND $_POST['again_send_sms'] == 1)
                {
                    $sms_code = $user->randomSmsCode(5);
                    $user->scenario = 'sms_code';
                    $user->sms_code = $sms_code;
                    if($user->save() AND $sms->send($user->phone,'Code: '.$sms_code))
                    {
                        return $this->_sendResponse(200,'success');    
                    }
                    
                }else if(isset($_POST['code']))
                {
                    $model->code = Yii::$app->request->post('code');
                    if($model->validate()){
                        if($model->code == $user->sms_code)
                        {
                            $user->scenario = 'phone_active';
                            $user->phone_active = 1;
                            if($user->save())
                              return $this->_sendResponse(200,Yii::t('app', 'success active phone number'));
                        }else
                              return $this->_sendResponse(401,'Code invalid','message');
                   }else{
                        $result = ActiveForm::validate($model);
                        return $this->_sendResponse(401,$result,'message');
                    }
                }
                
            }else
                return $this->_sendResponse(203,'user not','message');
                
                
            }else
                 return $this->_sendResponse(203,'not phone','message');
        }else
          return $this->_sendResponse(401,'Not exists $_POST','message');
    }

    public function actionRequestPasswordReset()
    {
        $model = new PasswordResetRequestForm();
        $sms = new Sms;
        if (Yii::$app->request->post()){ 
           $model->phone = Yii::$app->request->post('phone');
           
           if($model->validate()){
            
                $user           = User::find()->where(['phone'=>$model->phone])->one();
                $password_code  = $user->randomSmsCode(5);
                
                $user->scenario            = 'password_hash';
                $user->password_reset_date = date('Y-m-d H:i',strtotime("+5 minutes"));
                $user->password_code       = $password_code;
               
                if($user->save()){
                    if($sms->send($user->phone,Yii::t('app','Reset password code').': '.$password_code)){
                       return $this->_sendResponse(200,array('user_id'=>$user->id));   
                    }else
                        return $this->_sendResponse(402,Yii::t('app', 'Sorry, error send sms')); 
                    }else
                        return $this->_sendResponse(402,Yii::t('app', 'Sorry, error save')); 
           }
           else
           {
            $result = [
                           'code'=>401,
                           'message'=>ActiveForm::validate($model)
                          ];
                    return $this->_sendResponse(200,$result);
           }
        }else
          return $this->_sendResponse(401,'Not exists $_POST','message');
    }

    public function actionPasswordCode($id)
    {
        $user         = User::find()->where(['id'=>$id])->one();
        $model        = new PhoneActive();
        $sms          = new Sms;
        
        if(Yii::$app->request->post('code')) 
          {
            $model->code = Yii::$app->request->post('code');
            if($model->validate())
            {
                if($model->code == $user->password_code)
                {
                    if(strtotime($user->password_reset_date) > strtotime(date("Y-m-d H:i")))
                    {
                        $user->scenario  = 'password_code';
                        $new_pass        = $user->randomSmsCode(9);
                        $user->setPassword($new_pass);
                        
                        if($user->save()){
                            if($sms->send($user->phone,Yii::t('app','New password').': '.$new_pass))
                            {
                                return $this->_sendResponse(200,array('message'=>Yii::t('app', 'Send new password success')));
                            }else
                                return $this->_sendResponse(401,Yii::t('app', 'Sorry, error sms sending'),'message');
                        }else
                            return $this->_sendResponse(401,Yii::t('app', 'Sorry, error saving'),'message');
                    }else
                         return $this->_sendResponse(401,Yii::t('app', 'Code time out'),'message');
                }else
                    return $this->_sendResponse(401, Yii::t('app', 'Incorrect code.'),'message');                
            }else
                return $this->_sendResponse(401,ActiveForm::validate($model));   
          }else
            return $this->_sendResponse(401,'Not exists $_POST','message');
    }

    public function fileUpload($file,$folder,$id)
    {   if ($file !== null){
                $prefx = time();
                $path = $folder.'/'.$id.'_'.$prefx.'.'.strtolower(substr(strrchr($file['name'],"."),1));
                $stream = fopen($file['tmp_name'], 'r+');
                Yii::$app->getModule('user')->fsComponent->writeStream($path, $stream);
                fclose($stream);
           return $path;  
        }else
           return false;     
    }
    
    public function deleteFile($file)
    {
        if(trim($file) != "")
        {   
          if(file_exists(Yii::$app->basePath."/web/files/".$file))
            {
                 Yii::$app->getModule('user')->fsComponent->delete($file);
                return true;
            }else
                return false;
        }
    }
    
    public function actionUploadFile()
    {
       $this->_checkAuth();

       if($_FILES)
       {
           $model = User::find()->where(['id'=>Yii::$app->user->id])->one();
           $userFile = new UserFile();

           if($userFile->uploadFile($model))
               return $this->_sendResponse(200,'Success');
           else
               return $this->_sendResponse(401,'Error Upload file','message');
       }
       return $this->_sendResponse(401,'Not exists $_FILES','message');

    }

    public function actionUploadImage()
    {
       $this->_checkAuth();

       if($_FILES)
       {

           $model = User::findIdentity(Yii::$app->user->id);
           $model->scenario = 'image';

           if($model->validate()){
               if($model->image = $model->uploadFile()){
                   $model->deleteImage();
                   $model->save();
                   return $this->_sendResponse(200,'Success');
               }else
                   return $this->_sendResponse(401,'Error Upload file','message');
           }else
               return $this->_sendResponse(401,ActiveForm::validate($model),'message');
       }
       return $this->_sendResponse(401,'Not exists $_FILES','message');
        
    }
    
    public function actionFileDelete($id)
    {
        $this->_checkAuth();

        $file = UserFile::find()->where(['id'=>$id])->one();
        if(trim($file->file) != "")
        {   
           if(file_exists(Yii::$app->basePath."/web/files/".$file->file)){
                $this->deleteFile($file->file);
                }
                $file->delete();
                return $this->_sendResponse(200,'Success');
        }
        return $this->_sendResponse(404,'User file empty','message');
    }    
   
    public function actionUpdate()
    {
       $this->_checkAuth();

       $model = User::findIdentity(Yii::$app->user->id);
       $model = User::find()->where(['id'=>$model->id])->multilingual()->one();
       $model->scenario = 'updateProfile';
       if (Yii::$app->request->post())
       {

        $first_name   = 'first_name'.Language::getLanguageForForm();
        $last_name    = 'last_name'.Language::getLanguageForForm();
        $middle_name  = 'middle_name'.Language::getLanguageForForm();
        $education  = 'education'.Language::getLanguageForForm();
        $experience = 'experience'.Language::getLanguageForForm();
        $job        = 'job'.Language::getLanguageForForm();
        
        if(trim(Yii::$app->request->post('first_name')) != '')
        $model->$first_name = Yii::$app->request->post('first_name');
        
        if(trim(Yii::$app->request->post('last_name')) != '')
        $model->$last_name = Yii::$app->request->post('last_name');
        
        if(trim(Yii::$app->request->post('middle_name')) != '')
        $model->$middle_name = Yii::$app->request->post('middle_name');
        
        if(trim(Yii::$app->request->post('email')) != '')
        $model->email = Yii::$app->request->post('email');
        
        if(trim(Yii::$app->request->post('city')) != '')
        $model->city = Yii::$app->request->post('city');
        
        if(trim(Yii::$app->request->post('country')) != '')
        $model->country = Yii::$app->request->post('country');
        
        if(trim(Yii::$app->request->post('phone')) != '')
        $model->phone = Yii::$app->request->post('phone');
        
        if(trim(Yii::$app->request->post('website')) != '')
        $model->website = Yii::$app->request->post('website');
        
        if(trim(Yii::$app->request->post('specialti_id')) != '')
        $model->specialty_id = Yii::$app->request->post('specialti_id');
        
        if(trim(Yii::$app->request->post('clinic_id')) != '')
        $model->clinic_id = Yii::$app->request->post('clinic_id');
        
        if(trim(Yii::$app->request->post('theme_price')) != '')
        $model->theme_price = Yii::$app->request->post('theme_price');
        
        
        if(trim(Yii::$app->request->post('education')) != '')
        $model->$education = Yii::$app->request->post('education');
        
        if(trim(Yii::$app->request->post('experience')) != '')
        $model->$experience = Yii::$app->request->post('experience');
        
        if(trim(Yii::$app->request->post('job')) != '')
        $model->$job = Yii::$app->request->post('job');
        
         if(trim(Yii::$app->request->post('date_birth')) != '')
        $model->date_birth = Yii::$app->request->post('date_birth');
        
        if($model->validate()){
            if ($model->save())
            return $this->_sendResponse(200,'Success');
        else
            return $this->_sendResponse(401,'Not saveing','message');
            
        }else
            return $this->_sendResponse(401,ActiveForm::validate($model),'message');
       }else
           return $this->_sendResponse(401,'Not exists $_POST','message');
    }

    public function actionProfile()
    {
        $this->_checkAuth();

        $url = Yii::$app->request->hostInfo.'/';
        
        $model = User::findIdentity(Yii::$app->user->id);

        if($model->image)
            $image = $url.'files/'.$model->image;
        else
            $image = $url.'files/images/user-no-image.jpg';
        
        $files = UserFile::find()->where(['user_id'=>$model->id])->all();
        if($files)
        {
            foreach($files as $file)
            {
                $data['files'][] = [
                                        'id'  =>  $file->id,
                                        'url' =>  $url.$file->file
                                      ];
            }
        }
        $data['user'] = [
                         'id'               => $model->id,
                         'first_name'       => $model->first_name,
                         'last_name'        => $model->last_name,
                         'middle_name'      => $model->middle_name,
                         'rating'           => $model->rating,
                         'email'            => $model->email,
                         'date_birth'       => $model->date_birth,
                         'image'            => $image,
                         'city'             => $model->city,
                         'country'          => $model->country,
                         'phone'            => $model->phone,
                         'website'          => $model->website,
                         'specialti'        => $model->getSpecialty()->name,
                         'education'        => $model->education,
                         'experience'       => $model->experience,
                         'job'              => $model->job,
                         'countNewQuestion' => $model->getCountNewQuestion(),
                         'push_notification'=> $model->push_notification,
                        ]; 
        
        return $this->_sendResponse(200,$data);
    }
    
    public function actionProfileView($id)
    {
        $url = Yii::$app->request->hostInfo.'/';
        
        $model = User::findIdentity($id);
        
        $files = UserFile::find()->where(['user_id'=>$model->id])->all();
        if($files)
        {
            foreach($files as $file)
            {
                $data['files'][] = [
                                        'id'  =>  $file->id,
                                        'url' =>  $url.$file->file
                                      ];
            }
        }

        $data['user'] = [
                         'id'           => $model->id,
                         'first_name'   => $model->first_name,
                         'last_name'    => $model->last_name,
                         'middle_name'  => $model->middle_name,
                         'rating'       => $model->rating,
                         'image'        => $url.substr($model->getThumbnail(150,150),1),
                         'city'         => $model->getCity()->one()->name,
                         'country'      => $model->getCountry()->one()->name,
                         'phone'        => $model->phone,
                         'website'      => $model->website,
                         'specialti'    => $model->getSpecialty()->name,
                         'education'    => $model->education,
                         'experience'   => $model->experience,
                         'job'          => $model->job,
                         'status_login' => $model->getLastLogin(),
                        ]; 
        
        return $this->_sendResponse(200,$data);
    }
    
    public function actionDoctors()
    {    
        if(trim(Yii::$app->request->get('pageSize')) != '')
                $this->pageSize = Yii::$app->request->get('pageSize');
           
         if(trim(Yii::$app->request->get('page')) != '')
                 $this->page = Yii::$app->request->get('page');
         
         //$specialtis = Specialty::find()->where(['status'=>1])->all();
         //$clinics    = Clinic::find()->where()->all();
         
         $query = User::find()->where(['user_type'=>2,'doctor_active'=>'1']);
         
         if(Yii::$app->request->get('specialti'))
         $query->andFilterWhere(['specialty_id'=>Yii::$app->request->get('specialti')]);
        
         if(Yii::$app->request->get('clinic'))
         $query->andFilterWhere(['clinic_id'=>Yii::$app->request->get('clinic')]);
         
         if(Yii::$app->request->get('category'))
         $query->andFilterWhere(['category_id'=>Yii::$app->request->get('category')]);
         
         $countQuery = clone $query;
         $pages = new Pagination(['totalCount' => $countQuery->count(),'defaultPageSize'=>$this->pageSize,'page'=>$this->page]);
         $users = $query->offset($pages->offset)
                ->limit($pages->limit)
                ->all();
         
         $data = array();
         $data['pagination'] = [
                                    'totalCount'      =>$pages->totalCount,
                                    'defaultPageSize' =>$pages->defaultPageSize,
                                   ];
         
         $url = Yii::$app->request->hostInfo.'/';
         
         foreach($users as $user)
         {
            $data['doctors'][] = [
                                    'id'           => $user->id,
                                    'first_name'   => $user->first_name,
                                    'last_name'    => $user->last_name,
                                    'middle_name'  => $user->middle_name,
                                    'specialti'    => $user->getSpecialty()->name,
                                    'clinic'       => $user->getClinic()->name,
                                    'category'     => $user->getCategory()->name,
                                    'rating'       => $user->rating,
                                    'status_login' => $user->getLastLogin(),
                                    'image'        => $url.substr($user->getThumbnail(100,100),1),
                                 ];
         }
          
      return $this->_sendResponse(200,$data);
    }
    
    public function actionSearch() {
        
        $json_data   = file_get_contents('php://input'); 
        $data_array  = json_decode($json_data,true);
        if($data_array['search'])
        {
                $for_search = explode(' ',$data_array['search']);

            foreach($for_search AS $d_a) {
                    $for_like[] = 'userTranslate.first_name  LIKE \'%'.$d_a.'%\'';
                    $for_like[] = 'userTranslate.last_name   LIKE \'%'.$d_a.'%\'';
                    $for_like[] = 'userTranslate.middle_name LIKE \'%'.$d_a.'%\'';
                }

                $url = Yii::$app->request->hostInfo.'/';

            $users = User::find()
                ->leftJoin('userTranslate', 'userTranslate.user_id = `user`.id')
                ->where('`user`.user_type = 2
                         AND ('.implode(' OR ', $for_like).')
                         AND userTranslate.language = "'.Language::getActiveLanguage(true).'"
                         ')
                ->limit(10)
                ->all();

                $data = array();
                
                foreach($users as $user)
                {
                    $data[] = [
                                 'id'           => $user->id,
                                 'first_name'   => $user->first_name,
                                 'last_name'    => $user->last_name,
                                 'rating'       => $user->rating,
                                 'middle_name'  => $user->middle_name,
                                 'image'        => $url.substr($user->getThumbnail(150,150),1),
                                 'phone'        => $user->phone,
                                 'specialti'    => $user->getSpecialty()->name,
                                 'user_tyle'    => $user->user_type
                              ];
                }
                
                return $this->_sendResponse(200,$data); 
        }else
            return $this->_sendResponse(404,'Not all attributes come','message');
        
    }

    public function actionUserSearch() {

        $json_data   = file_get_contents('php://input');
        $data_array  = json_decode($json_data,true);


        if($search = $data_array['search']) {

            $query = new Query;
            $query->select('u.id, u.username, u.phone, ut.first_name, ut.last_name')
                ->leftJoin('userTranslate ut','ut.user_id = u.id')
                ->from('user u')
                ->orWhere(['u.phone'=>$search])
                ->orWhere('u.username LIKE "%' . $search .'%"')
                ->orWhere('ut.first_name LIKE "%' . $search .'%"')
                ->orWhere('ut.last_name LIKE "%' . $search .'%"')
                ->groupBy(['u.id']);
            $command = $query->createCommand();
            $data = $command->queryAll();

            return $this->_sendResponse(200,$data);

        }else
            return $this->_sendResponse(404,'Not all attributes come','message');
    }
    
     public function actionRating(){

        $this->_checkAuth();

        $user = User::findIdentity(Yii::$app->user->id);
        
        $json_data   = file_get_contents('php://input'); 
        $data_array  = json_decode($json_data,true);
        if($data_array['rating'] AND $data_array['rating']['doctor_id'] AND $data_array['rating']['vote'])
        {
             $userRating = new UserRating; 
             
             $userRating->user_id   = $user->id;    
             $userRating->doctor_id = $data_array['rating']['doctor_id'];
             $userRating->vote      = $data_array['rating']['vote'];
             
             $userRating->save();
             
             $count = UserRating::find()
                               ->where(['doctor_id'=>$userRating->doctor_id])
                               ->count();
             
             $sum = UserRating::find()
                        ->where(['doctor_id'=>$userRating->doctor_id])
                        ->sum('vote');
             
             $doctor = User::find()
                        ->where(['id'=>$data_array['rating']['doctor_id']])
                        ->one();
             
             $doctor->scenario = 'rating';
             $doctor->rating = round($sum/$count);
             $doctor->save();
             
             
             $data[] = [
                         'id'           => $doctor->id,
                         'first_name'   => $doctor->first_name,
                         'last_name'    => $doctor->last_name,
                         'rating'       => $doctor->rating,
                         'middle_name'  => $doctor->middle_name,
                         'image'        => $url.substr($doctor->getThumbnail(150,150),1),
                         'phone'        => $doctor->phone,
                         'user_tyle'    => $doctor->user_type
                       ];
            
               
             return $this->_sendResponse(200,$data); 
        }else
            return $this->_sendResponse(404,'Not all attributes come','message');
        
    }

    public function actionDeleteFile($id)
    {
        $this->_checkAuth();

        $file = UserFile::find()->where(['id'=>$id])->one();
        
        if(trim($file->file != ""))
        {   
          if(file_exists(Yii::$app->basePath."/web/files/".$file->file))
            {
                 if(Yii::$app->getModule('user')->fsComponent->delete($file->file)){
                    $file->delete();
                    return $this->_sendResponse(200,'success ');
                    }
            }else
                return $this->_sendResponse(404);
        }else
            return $this->_sendResponse(404);
    }
    
    public function actionChangePassword()
    {
        $this->_checkAuth();

        $model = User::findIdentity(Yii::$app->user->id);
        if (is_null($model)) {
            throw new NotFoundHttpException;
        }
        $model->scenario = 'changePassword';
        
        if (Yii::$app->request->isPost){
            
            $model->password        = Yii::$app->request->post('password');
            $model->newPassword     = Yii::$app->request->post('newPassword');
            $model->confirmPassword = Yii::$app->request->post('confirmPassword');
            
            $formIsValid = $model->validate();
            $passwordIsValid = $model->validatePassword($model->password);
            if (!$passwordIsValid) {
                return $this->_sendResponse(401, Yii::t('app', 'Wrong password'),'message');
            }
            if ($formIsValid AND $passwordIsValid AND $model->validate() ) {
                $model->setPassword($model->newPassword);
                if ($model->save(true, ['password_hash'])) {
                    return $this->_sendResponse(200,array('message'=>Yii::t('app', 'Password has been changed')));
                }else {
                    return $this->_sendResponse(401, Yii::t('app', 'password hash error'),'message');
                }
            }else
                return $this->_sendResponse(401,ActiveForm::validate($model),'message');
            
        }
    }
}



?>