<?php
namespace app\modules\api\controllers;

use \Yii;
use app\modules\askdoctor\models\UserPackageHistory;
use app\modules\askdoctor\models\PackageMessage;
use app\modules\api\components\ RestCheckAuthController;
use app\modules\askdoctor\models\UserPackage;
use app\modules\user\models\User;
use yii\data\Pagination;
use yii\helpers\Url;



class UserPackageController extends  RestCheckAuthController
{
    protected $pageSize = 5;
    protected $page = 0;
    
    public function actionList()
    {
        $packages = PackageMessage::find()->where(['status'=>1])->all();
        
        foreach($packages as $package)
        {
            $data['packages'][] = [
                                    'id'         => $package->id,
                                    'name'       => $package->name,
                                    'price'      => $package->price,
                                    'limit'      => $package->limit,
                                    'limit_date' => $package->limit_date,
                                  ];
        }
        return $this->_sendResponse(200,$data);
    }
    
    
    public function actionActive($id)
    {
        $active_package = UserPackage::find()->where(
                                               [
                                                'status'  =>1,
                                                'user_id' =>$id
                                               ])
                                       ->one();
       
        $data['active_package'][] = [
                                     'id'             => $active_package->id,
                                     'name'           => $active_package->getPackage()->name,
                                     'limit_time'     => $active_package->limit_time,
                                     'limit_message'  => $active_package->limit_message,
                                     'data_created'   => $active_package->data_created,
                                     'is_paid'        => $active_package->is_paid,
                                    ];
       
        return $this->_sendResponse(200,$data);
    }
    public function actionHistory()
    {
        if(trim(Yii::$app->request->get('pageSize')) != '')
            $this->pageSize = Yii::$app->request->get('pageSize');
        
        if(trim(Yii::$app->request->get('page')) != '')
             $this->page = Yii::$app->request->get('page');
        
        
        $user = User::findIdentity(Yii::$app->user->id);
        
        $query = UserPackageHistory::find()->where(['user_id' =>$user->id]);
        
        $countQuery     = clone $query;
        $pages          = new Pagination(['totalCount' => $countQuery->count(),'defaultPageSize'=>$this->pageSize,'page'=>$this->page]);
        $packageHistory = $query->offset($pages->offset)
                                ->limit($pages->limit)
                                ->all();
        
        $data['pagination'] = [
                                'totalCount'      =>$pages->totalCount,
                                'defaultPageSize' =>$pages->defaultPageSize,
                              ];  
        
        foreach($packageHistory as $history)
        {
            $data['history'][] = [
                                    'id'           => $history->id,
                                    'type'         => $history->type,
                                    'quantity'     => $history->quantity,
                                    'message'      => $history->message,
                                    'data_created' => $history->data_created,
                                  ];
        }
        
       
        return $this->_sendResponse(200,$data);
    }
}