<?php
namespace app\modules\api\controllers\insurance;

use app\modules\medbase\models\ClinicCategory;
use \Yii;
use app\modules\api\components\ApiRestController;
use app\modules\medbase\models\Clinic;
use app\modules\core\models\Language;
use app\modules\user\models\User;
use kartik\widgets\ActiveForm;
use yii\filters\AccessControl;
use yii\web\UploadedFile;
use yii\data\Pagination;
use yii\web\Response;
use yii\helpers\Json;
use yii\helpers\Url;
use yii\db\Query;


use app\modules\insurance\models\InsuranceUserPackage;

class InsuranceUserPackageController extends  ApiRestController
{
    protected $pageSize = 5;
    protected $page = 0;


    public function beforeAction($action)
    {
        $json_data = file_get_contents('php://input');
        $data_array = json_decode($json_data, true);

        if(!empty($data_array['pageSize']))
            $this->pageSize = $data_array['pageSize'];

        if(!empty($data_array['page']))
            $this->page = $data_array['page'];

        return parent::beforeAction($action);
    }

    public function actionPackageList()
    {
        $this->checkAuth();
        $url      = Yii::$app->request->hostInfo;
        $operator = User::findIdentity(Yii::$app->user->id);

        $json_data = file_get_contents('php://input');
        $data_array = json_decode($json_data, true);

        if(!empty($data_array['user_id'])) {

            $date = date('Y-m-d',time());

            $where = 'user_id ='.$data_array['user_id'].
                     ' AND status  = 1'.
                     ' AND date_start::date <=\''.$date.'\'::date'.
                     ' AND date_end::date >=\''.$date.'\'::date';

            $insuranceUserPackage = InsuranceUserPackage::find()->where($where)->all();

            if($insuranceUserPackage) {

                foreach($insuranceUserPackage as $package){
                    $data['package'][] = [
                                           'id'                =>$package->id,
                                           'policy'            =>$package->insurance_policy_id,
                                           'insuranceCompanie' =>$package->getCompanie()->one()->name,
                                           'insurancePackag'   =>$package->getPackag()->one()->name,
                                           'price'               =>$package->price,
                                         ];
                }
            }else{
                return $this->_sendResponse(200, Yii::t('app','Not package'), 'message',false);
            }
            return $this->_sendResponse(200,$data);
        }else
            return $this->_sendResponse(200, Yii::t('app','Key patient not come'), 'message',false);
    }

    public function actionPay(){

        $this->checkAuth();

        $json_data = file_get_contents('php://input');
        $data_array = json_decode($json_data, true);

        if(!empty($data_array['package_id']) OR !empty($data_array['categories'])) {

            $date = date('Y-m-d',time());

            $where = ' id ='.$data_array['package_id'].
                     ' AND status  = 1'.
                     ' AND date_start::date <=\''.$date.'\'::date'.
                     ' AND date_end::date >=\''.$date.'\'::date';
            $package = InsuranceUserPackage::find()->where($where)->one();

            if(!$package)
                return $this->_sendResponse(200, Yii::t('app','Not package'), 'message',false);


            $servicePrice     = 0;
            $clinicCategories = ClinicCategory::findAll($data_array['categories']);
            foreach($clinicCategories as $category){
                $servicePrice += $category->price;
            }

            if($package->price < $servicePrice)
               return $this->_sendResponse(200, Yii::t('app','Insufficient funds on the account'), 'message',false);

            if($package->transaction($package,$data_array['categories']))
               $data = 'Success';
            else
               $data = 'Error';

            return $this->_sendResponse(200,$data);
        }else
            return $this->_sendResponse(200, 'package_id or categories not come', 'message',false);
    }

}
?>