<?php
/**
 * Created by PhpStorm.
 * User: Jamshid
 * Date: 12.01.2017
 * Time: 16:41
 */

namespace app\modules\api\controllers\medbase;

use app\modules\medbase\models\Clinic;
use app\modules\notification\models\Notification;
use \Yii;
use app\modules\api\components\ApiRestController;
use app\modules\user\models\User;
use yii\filters\AccessControl;
use yii\data\Pagination;
use yii\web\Response;
use yii\helpers\Json;
use yii\helpers\Url;
use kartik\widgets\ActiveForm;
use app\modules\user\models\PasswordResetRequestForm;


class AuthController extends  ApiRestController
{
    protected $pageSize = 5;
    protected $page = 0;

    public function beforeAction($action) {
        return parent::beforeAction($action);
    }

    public function actionAuth() {
        $url = Yii::$app->request->hostInfo;
        if($this->checkAuth()) {
            $model = User::findIdentity(Yii::$app->user->id);
            $data['operator'] = [
                  'id'             => $model->id,
                  'operatorClinic' => $model->getOperatorClinic()->one()->clinic_id,
                  'first_name'     => $model->first_name,
                  'last_name'      => $model->last_name,
                  'image'          => $url.$model->image,
            ];
            return $this->_sendResponse(200,$data);
        }
    }

    public function actionAuthPatient() {

        $json_data = file_get_contents('php://input');
        $data_array = json_decode($json_data, true);
        $url = Yii::$app->request->hostInfo;

        if($this->checkAuth()) {

            $operator = User::findIdentity(Yii::$app->user->id);

            if(!empty($data_array['key'])) {

                if(!$patient = User::findKey($data_array['key']))
                    return $this->_sendResponse(200, 'Incorrect patient key', 'message',false);
                else{

                    if ($patient->image)
                        $image = $url . $patient->image;
                    else
                        $image = $url . '/files/images/user-no-image.jpg';

                    $data = [
                                'patient_id'    =>$patient->id,
                                'first_name'    =>$patient->first_name,
                                'last_name'     =>$patient->last_name,
                                'middle_name'   =>$patient->middle_name,
                                'phone'         =>$patient->phone,
                                'gender'        =>$patient->gender,
                                'image'         =>$image,
                            ];

                    $clinic_id = $operator->getOperatorClinic()->one()->clinic_id;
                    $clinic = Clinic::find()->where('id='.$clinic_id)->one();

                    $options = [
                        'type'         => Notification::TYPE_MED_HISTORY,
                        'message_type' => Notification::MESSAGE_TYPE_SUCCESS,
                        'object_id'    => 0,
                        'data'         => Json::encode(['clinic_id'=>$clinic->id]),
                    ];

                    $patient->sendNotification('Your card was used in clinic {clinic}',$options);

                    return $this->_sendResponse(200,$data);
                }
            }else
                return $this->_sendResponse(200, 'Key patient not come', 'message',false);
        }
    }

}
?>