<?php

namespace app\modules\api\models;

use Yii;
use app\modules\user\models\User;
use app\modules\askdoctor\models\QuestionsTheme;

class ApplePushNotification extends \yii\db\ActiveRecord
{
    
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'apns';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['user_id','deviceToken'], 'required'],
            [['deviceID','devicePlatform'], 'safe'],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'id'             => 'ID',
            'deviceID'       => 'Device ID',
            'user_id'        => 'User',
            'deviceToken'    => 'Device Token',
            'date_created'   => 'Date created',
            'devicePlatform' => 'Device Platform'
            
        ];
    }
    
    public function search($params)
    {
        $query = self::find();
        $dataProvider = new ActiveDataProvider(
            [
                'query' => $query,
                'pagination' => [
                    'pageSize' => 1,
                ],
            ]
        );
        
        if (!($this->load($params))) {
            return $dataProvider;
        }
        return $dataProvider;
    }
    
    public function beforeSave()
    {
      if($this->isNewRecord){
        if($deviceToken = ApplePushNotification::find()->where(['deviceToken'=>"".$this->deviceToken.""])->all())
           {
            foreach($deviceToken as $deviceToken_)
            $deviceToken_->delete();  
           }
           
        $this->date_created = date('Y-m-j',time());
      }
       return parent::beforeSave(true);
    }
    
    
    public function sendNotification($deviceToken, $message_) {
        $apns   = Yii::$app->apns;
        $result = $apns->sendMulti(
                                $deviceToken,
                                $message_['message']['user_name'],
                                $message_,
                                [
                                    'sound' => 'default',
                                    'badge' => 1
                                ]
                            );

        return $result;

    }
}
