<?php
use yii\helpers\Html;
use app\modules\core\models\Language;
use app\backend\widgets\BackendWidget;
use kartik\icons\Icon;
use kartik\widgets\FileInput;
use yii\helpers\Url;
use app\modules\catalog\models\CategoryType;
?>
<?php
BackendWidget::begin(
    [
        'icon'   => $icon,
        'title'  => $this->title,
        'footer' => $this->blocks['submit']
    ]
);
?>
<ul class="nav nav-pills" >
    <?
    foreach(Language::getAllLanguages('url') as $lang_tab_title)
    {
        ($lang_tab_title == substr(Yii::$app->language,0,2))?$class = "active":$class = " ";
        echo '<li class="text-center pull-right text-uppercase '.$class.'"><a href="#'.$lang_tab_title.'" data-toggle="tab">'.$lang_tab_title.'</a></li>';
    }
    ?>
</ul>
<div class="tab-content ">
    <br />
    <?
    foreach(Language::getAllLanguages('url') as $lang_tab_title)
    {
        ($lang_tab_title == substr(Yii::$app->language,0,2))?$class = "active":$class = " ";
        echo '<div class="tab-pane  '.$class.'" id = "'.$lang_tab_title.'">';
        ($lang_tab_title != Language::getDefaultLang()->url)? $lang = "_".$lang_tab_title: $lang='';

        echo $form->field($model, 'name'.$lang)->textInput(['maxlength' => true]);

        echo '</div>';
    }
    ?>
</div>

<?php echo $form->field($model, 'type')->widget(\kartik\widgets\Select2::classname(),[

    'name' => 'type',
    'data' => \app\modules\catalog\models\CategoryType::getListData(),
    'options' => [
        'placeholder' => 'Select provinces ...',

    ],
]);?>

<?=
$form->field(
    $model,
    'slug',
    [
        'makeSlug'=>[
            "#category-name",
        ]
    ]
)
?>

<?= $form->field($model, 'status')->widget(\kartik\switchinput\SwitchInput::classname(), [
    'type' => \kartik\switchinput\SwitchInput::CHECKBOX
]);?>

<?php 
    echo $form->field($model, 'sort_order')->textInput();
?>

<?php BackendWidget::end(); ?>


