<?php
use yii\widgets\ActiveForm;
use app\backend\widgets\BackendWidget;
use kartik\icons\Icon;
use yii\helpers\Html;
use app\modules\core\models\Language;
use kartik\widgets\FileInput;
?>

<?php $this->beginBlock('submit'); ?>
<div class="form-group no-margin">
    <?=
    Html::a(
        Icon::show('arrow-circle-left') . Yii::t('app', 'Back'),
        Yii::$app->request->get('returnUrl', ['/user/backend-user/index']),
        ['class' => 'btn btn-danger']
    )
    ?>
    <?php if ($model->isNewRecord): ?>
        <?=
        Html::submitButton(
            Icon::show('save') . Yii::t('app', 'Save & Go next'),
            [
                'class' => 'btn btn-success',
                'name' => 'action',
                'value' => 'next',
            ]
        )
        ?>
    <?php endif; ?>
    <?= Html::submitButton(
        Icon::show('save') . Yii::t('app', 'Save & Go back'),
        [
            'class' => 'btn btn-warning',
            'name' => 'action',
            'value' => 'back',
        ]
    ); ?>
    <?=
    Html::submitButton(
        Icon::show('save') . Yii::t('app', 'Save'),
        [
            'class' => 'btn btn-primary',
            'name' => 'action',
            'value' => 'save',
        ]
    )
    ?>
</div>
<?php $this->endBlock(); ?>

    <br>

    <?php $form = ActiveForm::begin([
        'id' => 'chunk-form',
        'options' => ['enctype' => 'multipart/form-data']
    ]); ?>

        <div class="col-xs-12 col-sm-6 col-md-6 col-lg-6">

         <?php
            BackendWidget::begin(
                [
                    'icon' => 'plus-circle',
                    'title'=> $this->title,
                    'footer' => $this->blocks['submit']
                ]
            );
         ?>

         <?= $form->field($model, 'url')->textInput(['maxlength' => true]) ?>

         <?= $form->field($model, 'local')->textInput(['maxlength' => true]) ?>

         <?= $form->field($model, 'name')->textInput(['maxlength' => true]) ?>

         <?= $form->field($model, 'materiki')->dropDownList(
             Language::getMaterikiList()
         ) ?>
        <?= $form->field($model, 'default')->checkbox() ?>

        <?php BackendWidget::end(); ?>


        </div>

        <div class="backend-edit-grid col-lg-6 col-md-6 col-sm-6 col-xs-12">
        <?php
        BackendWidget::begin(
            [
                'icon' => 'image',
                'title'=> Yii::t('app', 'Flag'),
                'footer' => $this->blocks['submit']
            ]
        );
        ?>

        <?
        $options = [];
        if ($model->isNewRecord === false) {
            $this->registerCss('span.file-input > div.file-preview {display:block;}');
            $this->registerCss('.file-preview-frame {width: 95%;}');

            $this->registerCss('.file-preview img {max-height:200px;}');
            $options = ['initialPreview' => [Html::img($model->flag)]];
        }
        echo $form->field($model, 'flag')->widget(
            FileInput::classname(),
            [
                'options' => ['accept' => 'image/*'],
                'pluginOptions' => $options,
            ]
        );?>

        <?php BackendWidget::end(); ?>

    </div>

    <?php ActiveForm::end(); ?>
    <div style="clear: both;"></div>


