<?php

use app\backend\components\ActionColumn;
use kartik\dynagrid\DynaGrid;
use kartik\grid\BooleanColumn;
use kartik\helpers\Html;
use kartik\icons\Icon;



use yii\grid\GridView;

/* @var $this yii\web\View */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = Yii::t('app', 'Languages');
$this->params['breadcrumbs'][] = $this->title;
?>

<?= app\widgets\Alert::widget([
    'id' => 'alert',
]); ?>
<?=
DynaGrid::widget([
    'options' => [
        'id' => 'backend-language',
    ],
    'columns' => [
      
        'name',
        [
            'class' => 'yii\grid\DataColumn',
            'attribute' => 'flag',
            'options' => [
                'width' => '70px',
            ],
            'format' => 'raw',
            'value' => function ($data) {

                return "<img src='".$data->getThumbnail('50','50')."'>";
            }
        ],
        [
            'class' => 'app\backend\columns\BooleanDefault',
            'attribute' => 'default',
        ],
        [
            'class' => ActionColumn::className(),
            'options' => [
                'width' => '95px',
            ],
            'buttons' => [
                [
                    'url' => 'update',
                    'icon' => 'pencil',
                    'class' => 'btn-primary',
                    'label' => Yii::t('app', 'Edit'),
                ],
                [
                    'url' => 'delete',
                    'icon' => 'trash-o',
                    'class' => 'btn-danger',
                    'label' => Yii::t('app', 'Delete'),
                    'options' => [
                        'data-action' => 'delete',
                    ],
                ],
            ],
        ],  
    ],
    'theme' => 'panel-default',
    'gridOptions'=>[
        'dataProvider' => $dataProvider,
        'filterModel' => $searchModel,
        'hover' => true,
        'panel' => [

            'heading' => Html::tag('h3', $this->title, ['class' => 'panel-title']),
            'after' => Html::a(
                    Icon::show('plus') . Yii::t('app', 'Add'),
                    ['/core/backend-language/create', 'returnUrl' => \app\backend\components\Helper::getReturnUrl()],
                    ['class' => 'btn btn-success']
                ),
        ],

    ]
]);
?>
