<?php
namespace app\modules\notification\controllers;

use app\modules\image\widgets\SaveInfoAction;
use app\modules\medbase\models\Clinic;
use app\modules\notification\models\Notification;
use app\modules\page\models\Page;
use tree\JsTreeWidget\FullTreeDataAction;
use kartik\tree\controllers\NodeController;
use Yii;
use app\backend\components\BackendController;
use yii\filters\AccessControl;
use yii\filters\VerbFilter;
use yii\helpers\Html;
use yii\helpers\Url;
use yii\web\BadRequestHttpException;
use yii\web\Response;
use yii\bootstrap\ActiveForm;
use app\modules\user\models\User;

class BackendPushController extends BackendController {

    public function behaviors()
    {
        return [
            'access' => [
                'class' => AccessControl::className(),
                'rules' => [
                    [
                        'allow' => true,
                        'roles' => ['medbase manage'],
                    ],
                ],
            ],
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'delete' => ['POST'],
                ],
            ],
        ];
    }

    /**
     * Lists all Push models.
     * @return mixed
     */
    public function actionIndex($parent = 1)
    {
        $searchModel = new User();
        $searchModel->scenario = 'push';

        $params = Yii::$app->request->get();
        $dataProvider = $searchModel->search($params);

        $request = Yii::$app->request;

        if ($request->post() AND ($text = trim($request->post('message'))) ) {

                if($request->post('type')){

                    switch($request->post('type')){
                        case 'page':
                            $object = Page::find()->where(['id'=>$request->post('page_id')])->one();
                            $object = [
                                'id'=>$object->id,
                                'name'=>$object->name,
                            ];
                            break;
                    }


                    $message = [
                        'notification_type' =>Notification::TYPE_PAGE,
                        "object_id"         => $object['id'],
                        "text"              => $text
                    ];

                }else{
                    $message = [
                        'notification_type' => 'info',
                        "text"              => $text
                    ];
                }

                if($request->post('notifaction_web') == 'on') {

                    $query = $searchModel->getUserArray();


                    $i = 0;
                    $j = 0;
                    foreach ($query->all() as $user) {

                        if(!empty($user['id']))
                            $data[$j][] = "(0, ".$user['id'].", '".$text."', '".date("Y-m-d H:i",time())."', 0, '".Notification::TYPE_PAGE."', '".Notification::MESSAGE_TYPE_SUCCESS."', '".$object['id']."', 0)";

                        if($i == 1000){

                            $data_str = implode(",",$data[$j]);
                            $sql = "INSERT INTO public.notification(
                                    status, user_id, text, date_created, view, type, message_type, object_id, data)
                                    VALUES ".$data_str.";";
                            $result = Yii::$app->db_medbase->createCommand($sql)->execute();
                            $i = 0;
                            $j++;

                        }
                    $i++;
                    }

                }

                if($request->post('notifaction_app') == 'on') {

                    $token_android = $searchModel->getToken(User::TOKEN_ANDROID,$request->get());
                    $token_ios     = $searchModel->getToken(User::TOKEN_IOS,$request->get());

                    $gcm = Yii::$app->gcm;
                    $result =   $gcm->sendMulti($token_android, $message,
                        [
                            'customerProperty' => 1,
                        ],
                        [
                            'timeToLive' => 3
                        ]);

                    $apns   = Yii::$app->apns;
                    $result = $apns->sendMulti(
                        $token_ios,
                        'test info',
                        $message,
                        [
                            'sound' => 'default',
                            'badge' => 1
                        ]
                    );

                    //Yii::$app->session->setFlash('info', Yii::t('app', 'Push notification sent successfully'));
                }

                if($request->post('notifaction_sms') == 'on') {

                    $phone_array = $searchModel->getUserArrayForPush($request->get());

                    if(Yii::$app->sms->send($phone_array,$message['text']))
                       Yii::$app->session->setFlash('info', Yii::t('app', 'Push notification sent successfully'));
                }

                if(!$request->post('notifaction_sms') AND !$request->post('notifaction_app') AND !$request->post('notifaction_web'))
                    Yii::$app->session->setFlash('warning', Yii::t('app', 'Please select Web Notifaction or Sms Notifaction or App push Notifaction'));


        }else{

            if($request->post())
                Yii::$app->session->setFlash('danger', Yii::t('app', 'Error message empty !!!'));
        }


        return $this->render(
            'index',
            [
                'dataProvider' => $dataProvider,
                'searchModel' => $searchModel,
            ]
        );
    }
}