<?php

namespace app\modules\notification\controllers;


use Yii;

use yii\filters\VerbFilter;
use app\components\Controller;
use yii\filters\AccessControl;
use app\modules\user\models\User;
use app\modules\notification\models\Notification;

class NotificationController extends Controller
{

    public function behaviors() {
        return [
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'delete' => ['POST'],
                ],
            ],
            'access' => [
                'class' => AccessControl::className(),
                'only' => ['list'],
                'rules' => [
                    [
                        'actions' => [],
                        'allow' => false,
                        'roles' => ['?'],
                    ],
                    [
                        'actions' => [ 'list'],
                        'allow' => true,
                        'roles' => ['@'],
                    ],
                ],
            ],
        ];
    }

    public function actionList() {

        $request   = Yii::$app->request;
        $user      = User::findIdentity(Yii::$app->user->id);

        $query = Notification::find()
                    ->where(['user_id'=>$user->id])
                    ->orderBy(['date_created'=>SORT_DESC]);

        if($request->get('created')){
            $query->andWhere(" date_created::date = '".$request->get('created')."'");
        }

        return $this->render('list',[
            'query'   => $query,
        ]);
    }
}
