<?php
use yii\web\JsExpression;
use yii\helpers\Html;
use app\backend\components\ActionColumn;
use kartik\dynagrid\DynaGrid;
use kartik\icons\Icon;
use \devgroup\JsTreeWidget\ContextMenuHelper;
use \app\backend\components\Helper;
use app\modules\medbase\models\Category;
use \kartik\grid\GridView;
use \kartik\popover\PopoverX;
use kartik\grid\EditableColumn;
use kartik\editable\Editable;
use yii\helpers\Url;
use kartik\grid\SerialColumn;
use app\modules\user\models\User;
use \app\modules\medbase\models\Clinic;
use app\modules\askdoctor\models\Specialty;
use app\backend\widgets\BackendWidget;
use kartik\widgets\Select2;
use app\modules\page\models\Page;

$this->title = Yii::t('app', 'Push');
$this->params['breadcrumbs'][] = $this->title;

?>

<div class="row ">
<div class="col-sm-12">

<?php
BackendWidget::begin(
    [
        'icon'   => 'send',
        'title'  => Yii::t('app','Push'),
        //'footer' => $this->blocks['submit']
    ]
);
?>

<?= Html::beginForm()?>

<div class="row">
    <div class="col-sm-6">
        <div class="form-group">
            <label class="control-label"><?=Yii::t('app','Message')?></label>
            <?=Html::textarea('message','',['class'=>'form-control','rows'=>10])?>
        </div>

        <div class="form-group">
            <?=Html::submitButton(Yii::t('app','Send'),['class'=>'btn btn-success'])?>
        </div>

    </div>

    <div class="col-sm-6">
       <div class="row">
           <div class="col-sm-12">

              <div class="row">
                  <div class="col-sm-4">
                      <div class="form-group">
                          <label class="control-label"><?=Yii::t('app','Web Notifaction')?></label>
                          <?=\kartik\widgets\SwitchInput::widget([
                              'name'=>'notifaction_web'
                          ])?>
                      </div>
                  </div>

                   <div class="col-sm-4">
                       <div class="form-group">
                           <label class="control-label"><?=Yii::t('app','Sms Notifaction')?></label>
                           <?=\kartik\widgets\SwitchInput::widget([
                               'name'=>'notifaction_sms'
                           ])?>
                       </div>
                   </div>

                   <div class="col-sm-4">
                       <div class="form-group">
                           <label class="control-label"><?=Yii::t('app','App push Notifaction')?></label>
                           <?=\kartik\widgets\SwitchInput::widget([
                               'name'=>'notifaction_app'
                           ])?>
                       </div>
                   </div>
               </div>
           </div>

           <div class="col-sm-12">
               <div class="form-group">
                   <label class="control-label"><?=Yii::t('app','Type notifaction')?></label>
                   <?= Html::dropDownList('type', false,
                       [
                           '' => '',
                           'page'   => 'Page',
                       ],
                       [
                           'class' => 'form-control'
                       ]) ?>
               </div>
           </div>



           <div class="col-sm-12">
               <div class="form-group">
                   <label class="control-label"><?=Yii::t('app','Page')?></label>
                   <?=Select2::widget([
                       'name' => 'page_id',
                       'data' => Page::getListData(),
                       'options' => [
                           'placeholder' => 'Select provinces ...',

                       ],
                   ]); ?>
               </div>
           </div>

       </div>
    </div>

</div>
<?= Html::endForm()?>

    <?php BackendWidget::end(); ?>

<?
$columns = [
    ['class'=>'kartik\grid\SerialColumn'],
    [
        'class' => 'kartik\grid\DataColumn',
        'attribute' => 'id',
        'options' => [
            'width' => '40px',
        ],
    ],
    [
        'class' => 'kartik\grid\DataColumn',
        'attribute' => 'phone',
        'options' => [
            'width' => '40px',
        ],
    ],
    [
        'class' => 'kartik\grid\DataColumn',
        'attribute' => 'first_name',
        'options' => [
            'width' => '40px',
        ],
    ],
    [
        'class' => 'kartik\grid\DataColumn',
        'attribute' => 'last_name',
        'options' => [
            'width' => '40px',
        ],
    ],
    [
        'class' => 'kartik\grid\DataColumn',
        'attribute' => 'user_type',
        'options' => [
            'width' => '100px',
        ],
        'filter'=>[1=>Yii::t('app','User'),2=> Yii::t('app','Doctor')],
        'format' => 'raw',
        'value' => function ($data) {
            if ($data === null || $data->user_type === null) {
                return null;
            }
            if ($data->user_type === 1 ) {
                $label_class = 'label-primary';
                $value = Yii::t('app','User');
            }elseif ($data->user_type === 2) {
                $label_class = 'label-default';
                $value =  Yii::t('app','Doctor');
            }
            return Html::tag(
                'span',
                Yii::t('app', $value),
                ['class' => "label $label_class"]
            );
        },
    ],
    [
        'class' => 'kartik\grid\DataColumn',
        'attribute' => 'specialty_id',
        'options' => [
            'width' => '40px',
        ],
        'value' => function ($data) {
            return $data->getSpecialty()->name;
        },
        'filter'=>Specialty::getListData(),
        'format' => 'raw',
    ],
    [
        'class' => 'kartik\grid\DataColumn',
        'attribute' => 'questions_theme_specialty',
        'options' => [
            'width' => '40px',
        ],
        'value' => function ($data) {
           // return $data->getSpecialty()->name;
        },
        'filter'=>Specialty::getListData(),
        'format' => 'raw',
    ],
];

echo GridView::widget([
    'dataProvider' => $dataProvider,
    'filterModel'  => $searchModel,
    'columns' => $columns,
    'containerOptions' => ['style'=>'overflow: visible'], // only set when $responsive = false
    'floatOverflowContainer'=> false,
    'pjax' => false,
    'bordered' => true,
    'persistResize'=>true,
    'striped' => true,
    'condensed' => false,
    'responsive' => true,
    'hover' => true,
    'floatHeader' => false,
    'floatHeaderOptions' => ['scrollingTop' => 10],
    'showPageSummary' => true,
    'panel' => [
        'type' => GridView::TYPE_DEFAULT,
        'after' =>  '',
    ],
]);
?>
</div>
</div>