<?php

namespace app\modules\order\controllers;

use Yii;
use app\modules\order\models\ProductOrders;
use yii\data\ActiveDataProvider;
use app\backend\components\BackendController;
use yii\web\NotFoundHttpException;
use yii\filters\VerbFilter;
use yii\filters\AccessControl;
use tree\JsTreeWidget\FullTreeDataAction;
//use app\modules\image\widgets\SaveInfoAction;
use yii\helpers\Url;

/**
 * BackendProductOrderController implements the CRUD actions for PageCategory model.
 */
class BackendProductOrderController extends BackendController
{
    /*public function actions()
    {
        return [
            'getTree' => [
                'class' => FullTreeDataAction::className(),
                'class_name' => PageCategory::className(),
                'model_label_attribute' => 'name',
                'query_sort_order'=>['root' => SORT_ASC, 'lft' => SORT_ASC ]
            ],
            'save-info' => [
                'class' => SaveInfoAction::className(),
            ],
        ];
    }*/

    public function behaviors()
    {
        return [
            'access' => [
                'class' => AccessControl::className(),
                'rules' => [
                    [
                        'allow' => true,
                        'roles' => ['content manage'],
                    ],
                ],
            ],
        ];
    }

    /**
     * Lists all PageCategory models.
     * @return mixed
     */

    public function actionIndex()
    {
        $searchModel = new ProductOrders();

        //$params = Yii::$app->request->get();
        $dataProvider = $searchModel->search();

        return $this->render(
            'index_product',
            [
                'dataProvider' => $dataProvider,
                'searchModel' => $searchModel,
            ]
        );
    }

    public function actionView($id)
    {
        return $this->render('view_product', [
            'model' => $this->findModel($id),
        ]);
    }

    /*public function actionEdit($parent_id = false, $id = null, $new = true) {

        $model = new PageCategory;
        if ($id !== null) {
            $model = PageCategory::find()->where(['id'=>$id])->multilingual()->one();
            if ($model === null) {
                throw new NotFoundHttpException;
            }
        }

        if ($model->load(Yii::$app->request->post())) {

            if($parent_id == false)
                $root = PageCategory::find()->where("slug = ':mainroot:' ")->one();
            else
                $root = PageCategory::findOne($parent_id);

            if($model->isNewRecord)
                $model->appendTo($root);

            if ($model->save()) {

                Yii::$app->session->setFlash('info', Yii::t('app', 'Object saved'));
                $returnUrl = Yii::$app->request->get('returnUrl');
                switch (Yii::$app->request->post('action', 'save')) {
                    case 'next':
                        return $this->redirect(
                            [
                                '/page/backend-page-category/edit',
                                'returnUrl' => $returnUrl,
                                'parent_id' => Yii::$app->request->get('parent_id', null)
                            ]
                        );
                    case 'back':
                        return $this->redirect($returnUrl);
                    default:
                        return $this->redirect(
                            Url::toRoute(
                                [
                                    '/page/backend-page-category/edit',
                                    'id' => $model->id,
                                    'returnUrl' => $returnUrl,
                                    'parent_id' => $model->parents(1)->one()->id
                                ]
                            )
                        );
                }
            }else
                Yii::$app->session->setFlash('error', Yii::t('app', 'Cannot update data'));
        }

        return $this->render('edit', [
            'model' => $model,
        ]);
    }*/

    public function actionDelete($id) {
        $model = $this->findModel($id);
        $model->delete();

        return $this->redirect(['index']);
    }

    /**
     * Finds the PageCategory model based on its primary key value.
     * If the model is not found, a 404 HTTP exception will be thrown.
     * @param integer $id
     * @return PageCategory the loaded model
     * @throws NotFoundHttpException if the model cannot be found
     */
    protected function findModel($id)
    {
        if (($model = ProductOrders::findOne($id)) !== null) {
            return $model;
        } else {
            throw new NotFoundHttpException('The requested page does not exist.');
        }
    }
}
