<?php

namespace app\modules\order\models;

use \yii\db\ActiveRecord;
use Yii;
use app\modules\page\models\Page;
use app\modules\order\models\ProductOrders;

/**
 * This is the model class for table "order_items".
 *
 * @property string $id
 * @property string $order_id
 * @property string $product_id
 * @property string $name
 * @property double $price
 * @property int $qty_item
 * @property double $sum_item
 */
class ProductOrderItems extends ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return '{{%productOrderItems}}';
    }

    /* Svyaz ornatish */
    public function getOrder()
    {
        return $this->hasOne(ProductOrders::classname(), ['id' => 'order_id']);
    }

    public function getProduct() {
        return $this->hasOne(Page::className(), ['id' => 'product_id']);
    }


    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['order_id', 'product_id', 'qty_item',], 'required'],
            [['order_id', 'product_id', 'qty_item'], 'integer'],            
        ];
    }
    
}
