<?php

namespace app\modules\order\models;

use Yii;
use devgroup\TagDependencyHelper\ActiveRecordHelper;
use yii\caching\TagDependency;
use yii\data\ActiveDataProvider;
use app\modules\page\models\Page;
use app\modules\order\models\ProductOrderItems;
use yii\behaviors\TimestampBehavior;
use yii\db\Expression;


class ProductOrders extends \yii\db\ActiveRecord
{
    //public $phone;
    
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return '{{%productOrders}}';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        $rules = [
            [['first_name','last_name','message','phone'],'required'],
            [['first_name','last_name','message','phone'],'string'],
            [['qty'], 'integer'],
            [['product_id','created'], 'safe'],
        ];
        return $rules;
    }

    /**
     * @inheritdoc
     */
    /*public function behaviors()
    {
        return [
            [
                'class' => ActiveRecordHelper::className(),
            ]
        ];
    }*/
   

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'id'                => Yii::t('app', 'ID'),
            'first_name'         => Yii::t('app', 'Имя'),
            'last_name' => Yii::t('app', 'Фамилия'),
            'phone' => Yii::t('app', 'Телефон'),
            'message'       => Yii::t('app', 'Сообщение'),
            'product_id'            => Yii::t('app', 'Продукт'),
            'created'           => Yii::t('app', 'Дата создания'),
            'qty'                => Yii::t('app', 'Количество'),
        ];
    }

    public function search($params)
    {
        $query = self::find();
        $dataProvider = new ActiveDataProvider(
            [
                'query' => $query,
                'pagination' => [
                    'pageSize' => 15,
                ],
            ]
        );

        /*if (!($this->load($params))) {
            return $dataProvider;
        }*/

        $query->andFilterWhere(['id' => $this->id]);
        $query->andFilterWhere(['like', 'first_name', $this->first_name]);
        $query->andFilterWhere(['like', 'last_name', $this->last_name]);
        $query->andFilterWhere(['like', 'phone', $this->phone]);
        /*$query->andFilterWhere(['like', 'message', $this->message]);*/
        $query->andFilterWhere(['like', 'qty', $this->qty]);
        
        return $dataProvider;
    }    

    /*public function beforeSave() {        

        if($this->isNewRecord){
            $this->created = date("Y-m-d H:i",time());
        }

        return parent::beforeSave();
    }*/

    /* created_at va updated_at larga qiymat berish yani vaqtlarni berish */
    public function behaviors(){
        return [
            [
                // klassni elon qilish
                'class' => TimestampBehavior::className(),

                // 
                'attributes' => [                    
                    \yii\db\ActiveRecord::EVENT_BEFORE_INSERT => ['created'],
                ],
                // если вместо метки времени UNIX используется datetime:
                'value' => new Expression('NOW()'),
            ],
        ];
    }



    public function getProduct() {
        return $this->hasOne(Page::className(), ['id' => 'product_id']);
    }

    public function getOrderItems()
    {
        return $this->hasMany(ProductOrderItems::classname(), ['order_id' => 'id']);
    }
}
