<?php

namespace app\modules\order\models;

use Yii;
use devgroup\TagDependencyHelper\ActiveRecordHelper;
use yii\caching\TagDependency;
use yii\data\ActiveDataProvider;
use yii\web\UploadedFile;
use app\modules\page\models\Page;


class VacancyOrders extends \yii\db\ActiveRecord
{
    //public $phone;
    
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return '{{%vacancyOrders}}';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        $rules = [
            [['first_name','last_name','phone'],'required'],
            [['first_name','last_name','phone'],'string'],
            [ 'email', 'email' ],
            [['file_name'], 'file', 'skipOnEmpty' => false, 'extensions' => 'doc, docx, pdf, mp4, xlsx, xls'],
            [['vacancy_id','created','phone','file_name'], 'safe'],
        ];
        return $rules;
    }

    /**
     * @inheritdoc
     */
    /*public function behaviors()
    {
        return [
            [
                'class' => ActiveRecordHelper::className(),
            ]
        ];
    }*/
   

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'id'                => Yii::t('app', 'ID'),
            'first_name'         => Yii::t('app', 'Имя'),
            'last_name' => Yii::t('app', 'Фамилия'),
            'email' => Yii::t('app', 'Email'),
            'phone' => Yii::t('app', 'Телефон'),
            'file_name'       => Yii::t('app', 'Имя файла'),
            'vacancy_id'            => Yii::t('app', 'Ваканция'),
            'created'           => Yii::t('app', 'Дата создания'),
        ];
    }

    public function search($params)
    {
        $query = self::find();
        $dataProvider = new ActiveDataProvider(
            [
                'query' => $query,
                'pagination' => [
                    'pageSize' => 15,
                ],
            ]
        );

        $query->andFilterWhere(['id' => $this->id]);
        $query->andFilterWhere(['like', 'first_name', $this->first_name]);
        $query->andFilterWhere(['like', 'last_name', $this->last_name]);
        $query->andFilterWhere(['like', 'phone', $this->phone]);
        $query->andFilterWhere(['like', 'email', $this->email]);        

        return $dataProvider;
    }

    public function beforeSave() {        

        if($this->isNewRecord){
            $this->created = date("Y-m-d H:i",time());            
        }

        return parent::beforeSave();
    }    

    /*public function getRating() {
        return $this->hasOne(Rating::className(), ['id' => 'rating_id']);
    }*/

    public function upload()
    {
        if ($this->validate()) {
            //$dir = Yii::getAlias('@webroot');
            /*echo Yii::getAlias('@webroot') . '/upload/file/' . $this->file_name->baseName . '.' . $this->file_name->extension;
            die();*/

            $this->file_name->saveAs(Yii::getAlias('@webroot') . '/upload/file/' . $this->id . '_' . $this->file_name->baseName . '.' . $this->file_name->extension);

            //$this->file_name->saveAs('uploads/file/' . $this->file_name->baseName . '.' . $this->file_name->extension);
            return true;
        } else {
            return false;
        }
    }

    public function getVacancy() {
        return $this->hasOne(Page::className(), ['id' => 'vacancy_id']);
    }
}
