<?php

use yii\helpers\Html;
use app\modules\core\models\Language;
use app\backend\widgets\BackendWidget;
use kartik\icons\Icon;
use kartik\widgets\FileInput;

use yii\helpers\Url;
use \app\modules\medbase\models\Category;

use kartik\switchinput\SwitchInput;

?>
<div class="row">
    <div class="col-sm-12">
        <?php
        BackendWidget::begin(
            [
                'icon'   => 'image',
                'title'  => Yii::t('app','Images'),
                'footer' => $this->blocks['submit']
            ]
        );
        ?>
<div style='z-index: 100'></div>
        <?
        $images = Category::find()->where('id ='.$model->id)->with('images')->one()->images;
        if($images) {

            $i = 0;
            foreach($images as $image) {
                $initialPreview[]     =     Html::img($image->getThumbnail(200,200)).
                    "<div class='col-xs-12 radio-customize'>
                                           <div class='radio radio-primary'>
                                                 ".Html::hiddenInput('sortImageId[]',$image->id)."
                                                 ".Html::radio(
                        'mainImageId',
                        ($image->main == 1)? true : false,
                        ['value'=>$image->id,'id'=>'radio'.$image->id]
                    )."
                                                <label for='radio".$image->id."'>
                                                    ".Yii::t('app','Main')."
                                                </label>
                                           </div>
                                       </div>";

                $initialPreviewConfig[]  =  ['caption'=> $image->file_name, 'size'=> '930321','key'=>$image->id];

                $i++;
            }
        }else {
            $initialPreview = false;
            $initialPreview = false;
        }

         echo FileInput::widget([
            'name' => 'images',
            'language' => 'ru',
            'options' => [
                           'multiple' => true,
                         ],

            'pluginOptions' => [
                'uploadUrl' => Url::to(['/medbase/backend-category/upload','id'=>$model->id]),
                'allowedFileExtensions' => ["jpg", "png"],
                'showRemove' => false,
                'uploadAsync' => true,
                'browseOnZoneClick' => true,
                'initialPreview' => $initialPreview,
                'initialPreviewConfig'=> $initialPreviewConfig,
                'initialPreviewAsData'=> false,
                'overwriteInitial' => false,
                'deleteUrl' => "/medbase/backend-category/ajax-delete-image",
            ]
        ]);
        ?>
        <?php BackendWidget::end(); ?>

    </div>
</div>
