sot<?php
use app\backend\widgets\BackendWidget;
use app\modules\page\backend\PageController;
use kartik\widgets\DateTimePicker;
use app\modules\page\PageModule;
use app\backend\components\Helper;
use yii\helpers\Url;
use app\modules\core\models\Language;
use app\modules\page\models\PageCategory;
use kartik\widgets\Select2;
use yii\web\JsExpression;
use app\modules\catalog\models\Category;
?>


<section id="widget-grid">
    <div class="row">
        
        <article class="backend-edit-grid col-lg-12 col-md-12 col-ms-12 col-xs-12">
            <?php BackendWidget::begin(
                    ['title' => Yii::t('app', 'Page'), 'icon' => 'pencil', 'footer' => $this->blocks['submit']]
                ); ?>    
            
                <div class="container col-xs-12 col-sm-12 col-md-12 col-lg-12">	
                    <div class="row">
                        <ul class="nav nav-tabs " >
                         <?
                             foreach(Language::getAllLanguages('url') as $lang_tab_title)
                             {
                                ($lang_tab_title == substr(Yii::$app->language,0,2))?$class = "active":$class = " ";
                               echo '<li style="text-transform: uppercase;" class="text-center '.$class.'"><a href="#'.$lang_tab_title.'" data-toggle="tab">'.$lang_tab_title.'</a>';
                             }
                        ?>
                        </ul>
                    
                        <div class="tab-content ">
                        <br />
                        <?
                             foreach(Language::getAllLanguages('url') as $lang_tab_title)
                             {
                              ($lang_tab_title == substr(Yii::$app->language,0,2))?$class = "active":$class = " ";
                              echo '<div class="tab-pane  '.$class.'" id="'.$lang_tab_title.'">'; 
                                  ($lang_tab_title != Language::getDefaultLang()->url)? $lang = "_".$lang_tab_title: $lang='';
                                 
                                  echo $form->field($model, 'name'.$lang)->textInput(['maxlength' => true]);


                                  echo $form->field($model, 'title'.$lang,
                                        [
                                            'copyFrom'=>[
                                                "#page-name".$lang,
                                            ]
                                        ]
                                  );

                                 echo $form->field($model, 'announce'.$lang)->widget(
                                     'froala\froalaeditor\FroalaEditorWidget',
                                     ['model' => $model,
                                         'attribute' => 'announce'.$lang,
                                         'options'=>[
                                             'id'=>'announce_ditor'.$lang
                                         ],
                                         'clientOptions'=>[
                                             'toolbarInline'=> false,
                                             'theme' =>'dark',//optional: dark, red, gray, royal
                                             'language'=>'ru' // optional: ar, bs, cs, da, de, en_ca, en_gb, en_us ...
                                         ]
                                     ]);


                                 echo $form->field($model, 'content'.$lang)->widget(
                                     'froala\froalaeditor\FroalaEditorWidget',
                                     ['model' => $model,
                                         'attribute' => 'content'.$lang,
                                         'options'=>[
                                             'id'=>'content_ditor'.$lang
                                         ],
                                         'clientOptions'=>[
                                             'toolbarInline'=> false,
                                             'theme' =>'dark',//optional: dark, red, gray, royal
                                             'language'=>'ru' // optional: ar, bs, cs, da, de, en_ca, en_gb, en_us ...
                                         ]
                                     ]);

                                 echo $form->field(
                                        $model,
                                        'h1'.$lang,
                                        [
                                            'copyFrom'=>[
                                                "#page-name".$lang,
                                            ]
                                        ]
                                 );

                                 echo $form->field(
                                        $model,
                                        'breadcrumbs_label'.$lang,
                                        [
                                            'copyFrom'=>[
                                                "#page-name".$lang,
                                            ]
                                        ]
                                    );
                                  echo $form->field($model, 'meta_description'.$lang)->textarea();
                              echo '</div>';
                             }

                        echo $form->field($model, 'svg')->textarea();
                        ?>
                        </div>
                    </div>
                
                </div>
            <div style="clear: both;"></div>
         
            <?php BackendWidget::end(); ?>
        </article>
        <article class="<?= Helper::getBackendGridClass('page', PageModule::BACKEND_PAGE_GRID, 1) ?>">
            <?php BackendWidget::begin(
                ['title' => Yii::t('app', 'Page'), 'icon' => 'pencil', 'footer' => $this->blocks['submit']]
            ); ?>


                 <?php
                  echo  $form->field($model, 'category_id')->widget(
                    'kartik\tree\TreeViewInput',
                        [
                            'value' => 'true', // preselected values
                            'query' => PageCategory::find()->addOrderBy('root, lft'),
                            'headingOptions' => ['label' => Yii::t('app', 'Page Categories')],
                            'rootOptions' => ['label'=>'<i class="fa fa-tree text-success"></i>'],
                            'fontAwesome' => false,
                            'asDropdown' => true,
                            'multiple' => false,
                            'options' => ['disabled' => false]
                        ]
                    );
                    
                   
                ?>

            <?php
              echo  $form->field($model, 'catalog_category_id')->widget(
                'kartik\tree\TreeViewInput',
                    [
                        'value' => 'true', // preselected values
                        'query' => Category::find()->addOrderBy('root, lft'),
                        'headingOptions' => ['label' => Yii::t('app', 'Catalog Categories')],
                        'rootOptions' => ['label'=>'<i class="fa fa-tree text-success"></i>'],
                        'fontAwesome' => false,
                        'asDropdown' => true,
                        'multiple' => false,
                        'options' => ['disabled' => false]
                    ]
                );


            ?>

            <?
                $user = $model->getUser()->one();
                echo $form->field($model, 'user_id')->widget(Select2::classname(), [
                'initValueText' => ' test', // set the initial display text
                'options' => ['placeholder' => 'Search for a city ...'],
                'pluginOptions' => [
                    'allowClear' => true,
                    'minimumInputLength' => 3,
                    'language' => [
                        'errorLoading' => new JsExpression("function () { return 'Waiting for results...'; }"),
                    ],
                    'ajax' => [
                        'url' => Url::to(['/user/backend-user/ajax-list-data']),
                        'dataType' => 'json',
                        'data' => new JsExpression('function(params) { return {q:params.term}; }')
                    ],
                    'escapeMarkup' => new JsExpression('function (markup) { return markup; }'),
                    'templateResult' => new JsExpression('function(data) { return data.id+" "+data.first_name+" "+data.last_name;}'),
                    'templateSelection' => new JsExpression('function (data) {
                    var result;
                    if(data.first_name && data.last_name) {
                         result = data.first_name+" "+data.last_name
                    }else {
                         result = "'.$user->first_name.' "+" '.$user->last_name.'";
                    }
                    return  result
                }'),
                ],
            ]);?>
            <?=$form->field($model, 'show_type')->dropDownList(
                    [
                        'show'   => Yii::t('app', 'Show page'),
                        'list'   => Yii::t('app', 'Page list'),
                        'detail' => Yii::t('app', 'Page detail'),
                    ]
                );?>

            <?=
            $form->field(app\models\ViewObject::getByModel($model, true), 'view_id')->dropDownList(
                    app\models\View::getAllAsArray()
                );
            ?>
            <?php if ($model->children !== []): ?>
                <?=
                $form->field(app\models\ViewObject::getByModel($model, true), 'child_view_id')->dropDownList(
                    app\models\View::getAllAsArray()
                );
                ?>
            <?php endif; ?>
            
            <?= $form->field($model, 'is_new')->widget(\kartik\switchinput\SwitchInput::classname(), ['type' => \kartik\switchinput\SwitchInput::CHECKBOX]);?>

            <?=$form->field($model, 'sort_order');?>

            <?=$form->field($model, 'date_added')->widget(
                DateTimePicker::classname(),
                [
                    'pluginOptions' => [
                        'autoclose' => true,
                        'format' => 'yyyy-mm-dd hh:ii',
                        'todayHighlight' => true,
                        'todayBtn' => true,

                    ]
                ]
            );?>

            <?= $form->field($model, 'published')->widget(\kartik\switchinput\SwitchInput::classname(), [
                'type' => \kartik\switchinput\SwitchInput::CHECKBOX
            ]);?>

            <?php BackendWidget::end(); ?>

        </article>

        <article class="<?= Helper::getBackendGridClass('page', PageModule::BACKEND_PAGE_GRID, 2) ?>">
            <?php BackendWidget::begin(
                ['title' => Yii::t('app', 'SEO'), 'icon' => 'search', 'footer' => $this->blocks['submit']]
            ); ?>

            <?=
            $form->field(
                $model,
                'slug',
                [
                    'makeSlug'=>[
                        "#page-name",
                    ]
                ]
            )
            ?>

            <?=$form->field($model, 'slug_absolute')->checkbox()?>

            <?=$form->field($model, 'subdomain')?>

            <?php BackendWidget::end(); ?>


            <?=
            \app\properties\PropertiesWidget::widget(
                [
                    'model' => $model,
                    'form' => $form,
                ]
            );
            ?>


        </article>

    </div>
</section>
<?php
$event = new \app\backend\events\BackendEntityEditFormEvent($form, $model);
$this->trigger(PageController::BACKEND_PAGE_EDIT_FORM, $event);
?>

