<?php

namespace app\modules\page\widgets;

use app\modules\page\models\Page;
use app\modules\page\models\PageCategory;
use devgroup\TagDependencyHelper\ActiveRecordHelper;
use \Yii;
use yii\base\Widget;
use yii\caching\TagDependency;

/**
 * Class NewsList renders news list
 *
 * @deprecated Use PagesWidget from DefaultTheme
 * @package app\widgets
 */
class NewsList extends Widget
{
    public $limit = 5;
    public $model = null;
    public $more_pages_label = 'All news';
    public $category = null;
    public $title = 'Catalogue';
    public $viewFile = 'newsList';

    /**
     * @inheritdoc
     * @return string
     */
    public function run()
    {
        if ($this->model === null) {
             $category = PageCategory::find()->where(['slug'=>$this->category])->one();
      
            $this->model = Page::find()->where(['category_id'=>$category->id]);
        }
        if ($this->model === null) {
            return "<!-- can't render - model is null -->";
        }
       
        
        
        $cacheKey = 'PagesListWidget:'.$category->id.':limit:'.$this->limit;

        $children = Yii::$app->cache->get($cacheKey);
    
        if ($children === false) {
            $children = Page::find()
                ->where(['category_id' => $category->id])
                ->orderBy(['date_added' => SORT_DESC]);
            if (null !== $this->limit) {
                $children->limit($this->limit);
            }
            $children = $children->all();
            Yii::$app->cache->set($cacheKey, $children, 86400, new TagDependency([
                'tags' => [
                    ActiveRecordHelper::getCommonTag(Page::className())
                ]
            ]));
        }

        return $this->render(
            $this->viewFile,
            [
                'category' => $category,
                'children' => $children,
                'more_pages_label' => $this->more_pages_label,
            ]
        );
    }
}