<?php

namespace app\modules\page\widgets;

use app\modules\page\models\Page;
use app\modules\page\models\PageCategory;
use devgroup\TagDependencyHelper\ActiveRecordHelper;
use Yii;
use yii\base\Widget;
use yii\caching\TagDependency;

/**
 * Class PagesList renders pages list
 *
 * @deprecated Use PagesWidget from DefaultTheme
 * @package app\widgets
 */
class PagesListAddBlog extends Widget
{
    public $limit = 10;
    public $model = null;
    public $more_pages_label = 'All news';
    public $category = null;
    public $title = 'Catalogue';
    public $viewFile = 'pagesList';
    public $published = 1;
    public $user_id = 0;

    /**
     * @inheritdoc
     * @return string
     */
    public function run()
    {
        if ($this->model === null) {
             $category = PageCategory::find()->where(['slug'=>$this->category])->one();
      
            $this->model = Page::find()->where(
                                          [
                                           'category_id'=>$category->id,
                                           'published'=>$this->published,
                                           'user_id'=>$this->user_id
                                          ])->all();
        }
        if ($this->model === null) {
            return "<!-- can't render - model is null -->";
        }
    
        return $this->render(
            $this->viewFile,
            [
                'category' => $category,
                'children' => $this->model,
                'more_pages_label' => $this->more_pages_label,
            ]
        );
    }
}