<?php
use yii\helpers\Html;
use kartik\icons\Icon;
use yii\helpers\Url;
?>

<h2 class="title text-center"><?=$category->name?></h2>

    <ul class="news-list list-unstyled">
        <?php foreach ($children as $child): ?>
            <li class="col-md-4 col-sm-4 text-left">
                <a  href="<?= Url::to(['/page/page-category/view', 'id'=>$category->id]); ?>">
                    <?= Html::img($child->getThumbnail('363','204'));?>
                </a>
                <div class="date">
                <?= Yii::$app->formatter->asDate($child->date_added, 'long')?></div>
                <div class="title">
                    <a href="<?= Url::to(['/page/page/show', 'id'=>$child->id])?>">
                    <?= Html::encode($child->title) ?>
                    </a>
                </div>
                <div class="description">
                    <?= $child->announce?>
                </div> 
            </li>
        <?php endforeach; ?>    
    </ul> 
    
    <?php if (!empty($more_pages_label)) : ?>
      <div class="btn-box">
        <a class="btn btn-default" href="<?= Url::to(['/page/page-category/view', 'id'=>$category->id]); ?>">
        <?= Yii::t('app', $more_pages_label) ?>
        </a>
      </div>
    <?php endif; ?>
