<?php

use yii\helpers\Html;
use app\backend\components\ActiveForm;
use app\backend\widgets\BackendWidget;
use kartik\icons\Icon;

    if($model->isNewRecord) {
        $icon = 'plus-circle';
        $label_action = Yii::t('app', 'Create');
    }else {
        $icon = 'edit';
        $label_action = Yii::t('app', 'Edit');
    }

$this->title =  $label_action. ' ' . $model->name;
$this->params['breadcrumbs'][] = ['label' => Yii::t('app', 'City'), 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;

$form_tab[] = ['label'=>Yii::t('app','Общая информация'),'view'=>'_form'];

?>


<?php $form = ActiveForm::begin(
    ['options' => ['enctype' => 'multipart/form-data']]
); ?>

<?=$form->errorSummary($model,['header'=>'<div class="alert alert-danger" role="alert">','footer'=>'</div>'])?>

<?php $this->beginBlock('submit'); ?>
<div class="form-group no-margin">
    <?=
    Html::a(
        Icon::show('arrow-circle-left') . Yii::t('app', 'Back'),
        Yii::$app->request->get('returnUrl', ['/regions/backend-city/index']),
        ['class' => 'btn btn-danger']
    )
    ?>
    <?php if ($model->isNewRecord): ?>
        <?=Html::submitButton(
            Icon::show('save') . Yii::t('app', 'Save & Go next'),
            [
                'class' => 'btn btn-success',
                'name' => 'action',
                'value' => 'next',
            ]
        )?>
    <?php endif; ?>
    <?=Html::submitButton(
        Icon::show('save') . Yii::t('app', 'Save & Go back'),
        [
            'class' => 'btn btn-warning',
            'name' => 'action',
            'value' => 'back',
        ]
    );?>
    <?=
    Html::submitButton(
        Icon::show('save') . Yii::t('app', 'Save'),
        [
            'class' => 'btn btn-primary',
            'name' => 'action',
            'value' => 'save',
        ]
    )
    ?>
</div>
<?php $this->endBlock(); ?>



<div class="form-blog">

    <ul class="nav nav-tabs" >
        <?
        $i = 0;
        foreach($form_tab as $tab) {

            ($i == 0)?$class = "active":$class = " ";
            echo '<li class=" text-uppercase '.$class.' '.$tab['class'].'"><a href="#'.$i.'" data-toggle="tab">'.$tab['label'].'</a>';
            $i++;
        }
        ?>
    </ul>
    <div class="tab-content tab-content_">
        <?
        $i = 0;
        foreach($form_tab as $tab) {
            ($i == 0)?$class = "active":$class = " ";
            echo '<div class="tab-pane  '.$class.'" id = "'.$i.'">';

            echo $this->render($tab['view'], [
                'model' => $model,
                'form'=>$form,
                'label_action'=>$label_action,
            ]);

            echo '</div>';
            $i++;
        }
        ?>

    </div>
</div>


<?php ActiveForm::end(); ?>


