<?php

use yii\helpers\Html;
use app\backend\components\ActionColumn;
use kartik\dynagrid\DynaGrid;
use kartik\icons\Icon;
use app\modules\regions\models\Country;
use app\backend\widgets\GridView;


$this->title = Yii::t('app', 'Country Language');
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="row">
        <div class="col-sm-12">
        <?=DynaGrid::widget([
            'options' => [
                'id' => 'backend-language',
            ],
            'columns' => [
                'id',
                [
                    'class' => 'kartik\grid\DataColumn',
                    'attribute' => 'country_id',

                    'value'=>function($data)
                    {
                        return $data->getCountry()->one()->name;
                    },
                    'filterType'=>GridView::FILTER_SELECT2,
                    'filter'=>Country::getListData(),
                    'filterWidgetOptions'=>[
                        'pluginOptions' => ['allowClear' => true],
                    ],
                    'filterInputOptions' => ['placeholder' => 'Category'],
                    'format'=>'raw'
                ],
                [
                    'class' => 'kartik\grid\DataColumn',
                    'attribute' => 'language_id',

                    'value'=>function($data)
                    {
                        return $data->getLanguage()->one()->name;
                    },
                    'filterType'=>GridView::FILTER_SELECT2,
                    'filter'=>\app\modules\core\models\Language::getListData(),
                    'filterWidgetOptions'=>[
                        'pluginOptions' => ['allowClear' => true],
                    ],
                    'filterInputOptions' => ['placeholder' => 'Category'],
                    'format'=>'raw'
                ],
                [
                    'class' => ActionColumn::className(),
                    'options' => [
                        'width' => '95px',
                    ],
                    'buttons' => [
                        [
                            'url' => 'edit',
                            'icon' => 'pencil',
                            'class' => 'btn-primary',
                            'label' => Yii::t('app', 'Edit'),
                        ],
                        [
                            'url' => 'delete',
                            'icon' => 'trash-o',
                            'class' => 'btn-danger',
                            'label' => Yii::t('app', 'Delete'),
                            'options' => [
                                'data-action' => 'delete',
                            ],
                        ],
                    ],
                ],
            ],
            'theme' => 'panel-default',
            'gridOptions'=>[
                'dataProvider' => $dataProvider,
                'filterModel'  => $searchModel,
                'hover' => true,
                'panel' => [

                    'heading' => Html::tag('h3', $this->title, ['class' => 'panel-title']),
                    'after' => Html::a(
                            Icon::show('plus') . Yii::t('app', 'Add'),
                            ['/regions/backend-country-language/edit', 'returnUrl' => \app\backend\components\Helper::getReturnUrl()],
                            ['class' => 'btn btn-success']
                        ),
                ],

            ]
        ]);
        ?>

        </div>
</div>
