<?php

namespace app\modules\review\controllers;

use Yii;
use app\components\Controller;
use yii\bootstrap\ActiveForm;
use yii\data\Pagination;
use yii\filters\VerbFilter;
use yii\data\ActiveDataProvider;
use yii\web\NotFoundHttpException;
use app\modules\review\models\Review;
use app\modules\review\models\Rating;
use app\modules\user\models\User;

class ReviewController extends Controller
{
    protected $limit = 10;

    public function behaviors()
    {
        return [
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'delete' => ['POST'],
                ],
            ],
        ];
    }

    public function actionAjaxAddReview(){

        Yii::$app->response->format = \yii\web\Response::FORMAT_JSON;

        if(Yii::$app->user->isGuest)
            return 0;

        $review = new Review();

        $post = Yii::$app->request->post();

        if(Yii::$app->request->isAjax AND $review->load(Yii::$app->request->post())) {

            $user                      = User::findIdentity(Yii::$app->user->id);

            $rating                    = new Rating();
            $rating->object_id         = $review->object_id;
            $rating->object_class_name = $review->object_class_name;
            $rating->user_id           = $user->id;;
            $rating->value             = $review->rating;
            $rating->ip_address        = Yii::$app->request->getUserIP();

            $rating->save();

            $review->user_id       = $user->id;
            $review->ip_address    = Yii::$app->request->getUserIP();
            $review->rating_id     = $rating->id;
            $review->author_email  = $user->email;

            if($review->save())
                return 1;
            else
                return 0;
        }
    }

    public function actionReceptionModal() {

        $request = Yii::$app->request;
        $doctor = User::find()->where(['id'=>41 /*$request->post('doctor_id')*/])->one();

        $model = new  Review();

        return $this->renderAjax('reception-modal',[
            'doctor' => $doctor,
            'model'  => $model
        ]);
    }

    public function actionReviewList() {

        $post = Yii::$app->request;
        $item = false;

        if($post->post()){

            if($post->post('item'))
               $item = true;

            $query = Review::find()->where([
                'object_id'         => $post->post('object_id'),
                'object_class_name' => $post->post('object_class_name')
            ]);

            if($post->post('last-id'))
                $query->andWhere('id < '.$post->post('last-id'));

            if($post->post('first-id'))
                $query->andWhere('id > '.$post->post('first-id'));

            $reviews = $query->limit($this->limit)
                             ->orderBy(['id'=>SORT_DESC])
                             ->all();
            if(!$reviews){
                //return 'false';
                //Yii::$app->end();
            }


            return $this->renderAjax('review',[
                'object_id' => $post->post('object_id'),
                'reviews'   => $reviews,
                'item'      => $item,
            ]);
        }
    }
}
