<?php

use yii\helpers\Url;
use yii\helpers\Html;
use yii\web\JsExpression;
use kartik\icons\Icon;
use kartik\widgets\Select2;
use app\backend\widgets\BackendWidget;
use kartik\widgets\DateTimePicker;
use app\modules\review\models\Review;

?>
<?php
BackendWidget::begin(
    [
        'icon'   => $icon,
        'title'  => $this->title,
        'footer' => $this->blocks['submit']
    ]
);
?>

    <?
    $user = $model->getUser()->one();

    echo $form->field($model, 'user_id')->widget(Select2::classname(), [
        'initValueText' => ' test', // set the initial display text
        'options' => ['placeholder' => 'Search for a city ...'],
        'pluginOptions' => [
            'allowClear' => true,
            'minimumInputLength' => 3,
            'language' => [
                'errorLoading' => new JsExpression("function () { return 'Waiting for results...'; }"),
            ],
            'ajax' => [
                'url' => Url::to(['/user/backend-user/ajax-list-data']),
                'dataType' => 'json',
                'data' => new JsExpression('function(params) { return {q:params.term}; }')
            ],
            'escapeMarkup' => new JsExpression('function (markup) { return markup; }'),
            'templateResult' => new JsExpression('function(data) { return data.id+" "+data.first_name+" "+data.last_name;}'),
            'templateSelection' => new JsExpression('function (data) {
                    var result;
                    if(data.first_name && data.last_name) {
                         result = data.first_name+" "+data.last_name
                    }else {
                         result = "'.$user->first_name.' "+" '.$user->last_name.'";
                    }
                    return  result
                }'),
        ],
    ]);?>

    <?=
    $form->field($model, 'status')->dropDownList(
        [
            Review::STATUS_NEW=>Review::getStatusLabel(Review::STATUS_NEW),
            Review::STATUS_APPROVED=>Review::getStatusLabel(Review::STATUS_APPROVED),
            Review::STATUS_NOT_APPROVED=>Review::getStatusLabel(Review::STATUS_NOT_APPROVED),

        ]
    );
    ?>

<?php BackendWidget::end(); ?>


