<?php

use yii\helpers\Html;
use kartik\icons\Icon;
use kartik\tabs\TabsX;
use app\backend\components\ActiveForm;
use app\backend\widgets\BackendWidget;

if($model->isNewRecord) {
    $icon = 'plus-circle';
    $label_action = Yii::t('app', 'Create');
}else {
    $icon = 'edit';
    $label_action = Yii::t('app', 'Edit');
}

$this->title =  $label_action. ' ' . $model->id;
$this->params['breadcrumbs'][] = ['label' => Yii::t('app', 'Doctor reception'), 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;

?>


<?php $form = ActiveForm::begin(
    ['options' => ['enctype' => 'multipart/form-data']]
); ?>

<?=$form->errorSummary($model,['header'=>'<div class="alert alert-danger" role="alert">','footer'=>'</div>'])?>

<?php $this->beginBlock('submit'); ?>
    <div class="form-group no-margin">
        <?= Html::a(
            Icon::show('arrow-circle-left') . Yii::t('app', 'Back'),
            Yii::$app->request->get('returnUrl', ['/askdoctor/backend-doctor-reception/index']),
            ['class' => 'btn btn-danger'])?>

        <?php if ($model->isNewRecord): ?>
            <?=Html::submitButton(
                Icon::show('save') . Yii::t('app', 'Save & Go next'),
                [
                    'class' => 'btn btn-success',
                    'name' => 'action',
                    'value' => 'next',
                ]
            )?>
        <?php endif; ?>

        <?=Html::submitButton(
            Icon::show('save') . Yii::t('app', 'Save & Go back'),
            [
                'class' => 'btn btn-warning',
                'name' => 'action',
                'value' => 'back',
            ]);?>
        <?=
        Html::submitButton(
            Icon::show('save') . Yii::t('app', 'Save'),
            [
                'class' => 'btn btn-primary',
                'name' => 'action',
                'value' => 'save',
            ]
        )
        ?>
    </div>
<?php $this->endBlock(); ?>

<div class="form-blog">
<?
    $items[] =[
        'label'=>Yii::t('app','Общая информация'),
        'content' => $this->render('_form', [
            'model' => $model,
            'form'=>$form,
            'label_action'=>$label_action,
        ]),
    ];

    echo  TabsX::widget([
        'position' => TabsX::POS_ABOVE,
        'align' => TabsX::ALIGN_LEFT,
        'items' =>$items,
        'encodeLabels' =>false,
    ]);
?>
<?php ActiveForm::end(); ?>
</div>
<?
$js = "
$('._fileInput').click(function(){
    setTimeout(function(){
        $('#fileInput_').fileinput('refresh');
    },200)
})";
$this->registerJs($js);
?>

