<?
namespace app\modules\sms\components;

use Yii;
use yii\helpers\Json;
use yii\base\Component;
use app\modules\sms\models\SmsLog;

class Sms extends Component {

    private $urlSend       = 'https://91.212.89.137/mobile.php';
    private $urlSendMulti  = 'https://91.212.89.137/get_msg.php';
    private $urlStatus     = 'https://91.212.89.137/status.php';

	public $login;
	public $pass;
	public $limit;

	public $_error_codes;

	protected $_error_code;

    // initialize SMS
    public function init() {

		$this->_error_codes = [
			0 => Yii::t('app','СМС успешно отправлено'),
			1 => Yii::t('app','SMS Incorrect login or password'),
			2 => Yii::t('app','Wrong JSON object'),
			3 => Yii::t('app','Wrong phone number'),
			4 => Yii::t('app','No text'),
			5 => Yii::t('app','Error while data processing'),
			6 => Yii::t('app','All messages did not sent'),
			7 => Yii::t('app','Not all data received')
		];

		parent::init();
    }

 	public function send($phones, $text, $translit = true) {

		$array_r = array();

		if($translit)
			$text = $this->rusTranslit($text);

		if(!is_array($phones)) {
			$phones = [$phones];
		}

		$phones = $this->getArrayLimit($phones,$text);

		foreach($phones as $phone) {

			$data = 'login='.$this->login.'&passw='.$this->pass.'&data='.Json::encode($phone).'';

			$result = $this->getCurl($this->urlSendMulti,$data);

			if(!is_array($result)) {
				Yii::$app->session->setFlash('danger', "Error ".$result.' !!! ');
				return false;
			}

			if($result[0]['error'] == 1) {
				Yii::$app->session->setFlash('danger', $result[1]['error_msg']);
				return false;
			}

			$i = 0;
			foreach($result[1] as $item ) {
				if($item['error'] != 1) {
					$array_r[] = [
						'status'	   => '0',
						'sms_id'	   => $item[0]['id'],
						'phone'        => $phone[$i]['phone'],
						'date_created' => date("Y-m-d H:i",time()),
					];
				}
				$i++;
			}
		}
		$this->saveLog($array_r);
		return true;
	}

	public function saveLog($data) {
		$i 	   = 0;
		$j 	   = 1;
		$count = sizeof($data) - 1;
		$row = '';
		foreach($data as $item) {
			$row.="( ".$item['status'].", ".$item['sms_id'].", '".$item['phone']."','".$item['date_created']."')";
			if($j == 100 OR $count == $i) {
				$sql = " INSERT INTO \"smsLog\"(status, sms_id, phone, date_created) VALUES ".$row.";";
				Yii::$app->db_medbase->createCommand($sql)->execute();
				$row = '';
				$j = 1;
			}else {
				$row.=",";
				$j++;
			}
			$i++;
		}
	}

	public function getArrayLimit($data, $text) {

		$i = 0;
		$j = 0;
		$data_array = array();

		foreach ($data as $item) {
			if($i%$this->limit == 0)
				$j++;
			$data_array[$j][] = ['phone'=>$item,'text'=>$text];
			$i++;
		}
		return $data_array;
	}

	private function getCurl($url,$data) {

		$curl = curl_init();

		curl_setopt($curl, CURLOPT_URL, $url);
		curl_setopt($curl, CURLOPT_FAILONERROR, true);
		curl_setopt($curl, CURLOPT_FOLLOWLOCATION, true);
		curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
		curl_setopt($curl, CURLOPT_SSL_VERIFYHOST, false);
		curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, false);
		curl_setopt($curl, CURLOPT_POSTFIELDS,$data);

		$result   = curl_exec($curl);
		$httpCode = curl_getinfo($curl,CURLINFO_HTTP_CODE);

		if($httpCode == 200)
			return Json::decode($result);
		else
			return $httpCode;

		// test date;
        /*
		$array[0] =  ['error'=>''];

		$i = 1000000;
		foreach($data as $item) {

			if($i%2 == 10000)
			{
				$array[1][] = [
								'error'=>1,
								'error_msg'=>'No text',
								'error_nomber'=>4,
							  ];
			}else {

				$array[1][] = [
					'error' => '',
					[
						'phone' => '+' . $item['phone'],
						'text' => $item['text'],
						'id' => $i,
					]
				];

			}
			$i++;
		}

		return $array;
        */
	}

	public function checkStatuses()
	{
		$model = $this->getSmsLogs();
		if(!$model)return false;

		foreach($model as $sms)
		{
			$input_xml='<?xml version="1.0" encoding="UTF-8"?><delivery-notification ref-id="'.$sms->id.'" ordinal="'.$sms->id.'" login="'.$this->login.'" password="'.$this->pass.'" version="1.0"/>';
			$url = $this->url;
			$ch = curl_init($url);
			curl_setopt($ch, CURLOPT_POST, 1);
			curl_setopt($ch, CURLOPT_HTTPHEADER, array('Content-Type: text/xml;charset=UTF-8'));
			curl_setopt($ch, CURLOPT_POSTFIELDS, "$input_xml");
			curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
			$data = curl_exec($ch);
			curl_close($ch);

			$xml = new SimpleXMLElement($data);

			if($xml->status)
			{
				$sms->status_id = (string)$xml->status->attributes()->code;
				$sms->status_code = (string)$xml->status->attributes()->state;
				$sms->status_text = (string)$xml->status->attributes()->description;
				$sms->save();
			}

		}
		return true;

	}

	public function rusTranslit($string) {
		$converter = array(
			'а' => 'a',   'б' => 'b',   'в' => 'v',
			'г' => 'g',   'д' => 'd',   'е' => 'e',
			'ё' => 'e',   'ж' => 'zh',  'з' => 'z',
			'и' => 'i',   'й' => 'y',   'к' => 'k',
			'л' => 'l',   'м' => 'm',   'н' => 'n',
			'о' => 'o',   'п' => 'p',   'р' => 'r',
			'с' => 's',   'т' => 't',   'у' => 'u',
			'ф' => 'f',   'х' => 'h',   'ц' => 'c',
			'ч' => 'ch',  'ш' => 'sh',  'щ' => 'sch',
			'ь' => '\'',  'ы' => 'y',   'ъ' => '\'',
			'э' => 'e',   'ю' => 'yu',  'я' => 'ya',

			'А' => 'A',   'Б' => 'B',   'В' => 'V',
			'Г' => 'G',   'Д' => 'D',   'Е' => 'E',
			'Ё' => 'E',   'Ж' => 'Zh',  'З' => 'Z',
			'И' => 'I',   'Й' => 'Y',   'К' => 'K',
			'Л' => 'L',   'М' => 'M',   'Н' => 'N',
			'О' => 'O',   'П' => 'P',   'Р' => 'R',
			'С' => 'S',   'Т' => 'T',   'У' => 'U',
			'Ф' => 'F',   'Х' => 'H',   'Ц' => 'C',
			'Ч' => 'Ch',  'Ш' => 'Sh',  'Щ' => 'Sch',
			'Ь' => '\'',  'Ы' => 'Y',   'Ъ' => '\'',
			'Э' => 'E',   'Ю' => 'Yu',  'Я' => 'Ya',
		);
		return strtr($string, $converter);
	}

	protected function getSmsLogs()
	{
		return $model = SmsLogs::model()->findAll('(status_code = "" OR status_code = :status_code ) AND created >= :date_validate',array(
			':status_code' => 'Transmitted',
			':date_validate' => date('Y-m-d H:i:s',time()-60*60*24*3), //Только СМС сообщения не старше 3 дней
		));
	}
}