<?php

use yii\helpers\Html;
use app\backend\components\ActionColumn;
use kartik\dynagrid\DynaGrid;
use kartik\icons\Icon;
use \devgroup\JsTreeWidget\ContextMenuHelper;
use \app\backend\components\Helper;
use kartik\tree\TreeView;
use app\modules\medbase\models\Category;
use \kartik\grid\GridView;
use \kartik\popover\PopoverX;
use kartik\grid\EditableColumn;
use kartik\editable\Editable;
use yii\helpers\Url;
use kartik\grid\SerialColumn;
use yii\web\JsExpression;
use yii\helpers\Json;

$this->title = Yii::t('app', 'Sms log');
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="row">
<div class="col-sm-12">
<?

$columns = [
    ['class'=>'kartik\grid\SerialColumn'],
    [
        'class' => 'kartik\grid\DataColumn',
        'attribute' => 'id',
        'options' => [
            'width' => '40px',
        ],
    ],

    [
        'class' => 'kartik\grid\DataColumn',
        'attribute' => 'phone',
    ],
    [
        'class' => 'kartik\grid\DataColumn',
        'attribute' => 'sms_id',
    ],
    [
        'class' => 'kartik\grid\DataColumn',
        'attribute' => 'date_created',
        'filterType'=>GridView::FILTER_DATE,
        'filterWidgetOptions'=>[
            'pluginOptions' => [
                'allowClear' => true,
                'format' => 'yyyy-m-dd',
                'todayHighlight' => true,
                'autoclose' => true,
                'orientation' => 'auto',
                //'container' => '#date_created-kvdate'
            ],
        ],
        'filterInputOptions' => ['placeholder' => Yii::t('app','Date start')],
        'format'=>'raw',
    ],
];


echo GridView::widget([
    'dataProvider' => $dataProvider,
    'filterModel'  => $searchModel,
    'columns' => $columns,
    //'containerOptions' => ['style'=>'overflow: visible'], // only set when $responsive = false
    'floatOverflowContainer'=> false,
    'pjax' => false,
    'bordered' => true,
    'persistResize'=>true,
    'striped' => true,
    'condensed' => false,
    'responsive' => true,
    'hover' => true,
    'floatHeader' => false,
    'floatHeaderOptions' => ['scrollingTop' => 10],
    'showPageSummary' => true,
    'panel' => [
        'type' => GridView::TYPE_DEFAULT,
        'after' => '',
    ],
]);


?>

</div>
</div>
