<?php

/**
 * @var $model \app\modules\user\models\User
 * @var $propertyGroups \app\models\PropertyGroup[]
 * @var $services array
 * @var $this yii\web\View
 */

use kartik\widgets\ActiveForm;
use yii\authclient\widgets\AuthChoice;
use yii\helpers\Html;
use kartik\widgets\FileInput;
use app\modules\askdoctor\models\UserPackage;
use app\modules\askdoctor\models\QuestionsTheme;

use app\modules\askdoctor\models\UserPackageHistory;
use yii\widgets\Pjax;
$this->title = Yii::t('app', 'Your profile');
$this->params['breadcrumbs'] = [
    [
        'label' => Yii::t('app', 'Personal cabinet'),
        'url' => ['/user/user/view']
    ],
    $this->title,
];
?>

<div class="row">
    <div class="col-md-10 col-sm-12">
        <h1 class="h2"><?= $this->title ?></h1>
        
        <div class="row">
            <div class="col-md-6 col-sm-12 text-center">
                <?= Html::img("files/".$model->image,['style'=>"width: 150px;border-radius:50%;border: 1px solid #eee;"]);?>
            </div>
            <div class="col-md-6 col-sm-12 text-left">
                <h1 class="h2"><?=$model->first_name; ?></h1>
                <div class="row">
                    <div class="col-md-6 col-sm-12">
                        <?= Html::a('Udate Profile',['/user/user/profileupdate'],['class'=>'btn btn-info ']);?>
                    </div>
                    
                    <div class="col-md-6 col-sm-12">
                        <?= Html::a('Question list',['/askdoctor/questions/question-list'],['class'=>'btn btn-info ']);?>
                    </div>
               </div>
               <br />
               <div class="row">
                    <div class="col-md-6 col-sm-12">
                        <?= Html::a('Пакет',['/askdoctor/user-package/view'],['class'=>'btn btn-info ']);?>
                    </div>
                   
                    <div class="col-md-6 col-sm-12">
                        <?= Html::a('Купить пакет',['/askdoctor/user-package/index'],['class'=>'btn btn-success']);?>
                    </div>
                
               </div>
               <br />
               <div class="row">
                    <div class="col-md-6 col-sm-12">
                        <?= Html::a('History',['/askdoctor/user-package-history/index'],['class'=>'btn btn-info ']);?>
                    </div>
      
                
               </div>
               
              
            </div>
        </div>
        <hr />
        <div class="row">
            <div class="col-md-12 col-sm-12 ">
                <dl class="dl-horizontal">
                    <?php if($model->user_type == 2):?>
 
                    <?php endif;?>
                    
                    
                    <?php if($model->user_type ==  2):?>
                        <dt>Специальность:</dt>
                        <dd><?= $model->getSpecialti()->name?></dd>
                        <dt>Клиника:</dt>
                        <dd><?= $model->getClinic()->name?></dd>  
                    <?php endif;?> 
                          
                    <dt>Город:</dt>
                    <dd><?= $model->city?></dd>
                    
                    <dt>E-mail:</dt>
                    <dd><?= $model->email?></dd>
                    
                    <dt>Telefon:</dt>
                    <dd><?= $model->phone?></dd>
                
                    <dt>Страна:</dt>
                    <dd><?= $model->country?></dd>
                
                    <?php if($model->user_type ==  2):?>
                    <dt>Вебсайт:</dt>
                    <dd><?= $model->website?></dd>
                     
                    <dt>Образование:</dt>
                    <dd><?= $model->education?></dd>
                
                    <dt>Опыт работы:</dt>
                        <dd><?= $model->experience?></dd>
                
                    <dt>Текущее место работы:</dt>
                        <dd><?= $model->job?></dd>
                    <?php endif;?>
                    <dt>Зарегистрирован:</dt>
                        <dd><?= date("j.m.Y H:i",$model->create_time)?></dd>
                
                </dl>
            </div>
        </div>
        <div class="row">
    
    <?php if($model->user_type == 2):?>
 
                    
    <div class="col-md-10 col-sm-12 ">
        <?php
         if($files)
         {
           foreach ($files as $file) {
            echo '<div class="col-md-2 col-sm-12 thumbnail">';
                echo Html::img('files/'.$file->file);
            echo '</div>';
            }
         }
        ?>
    </div>
    <?php endif;?>
</div>
        
    </div>
</div>





