<?php

/**
 * @var $model \app\modules\user\models\RegistrationForm
 * @var $this \yii\web\View
 */

use kartik\widgets\ActiveForm;
use yii\helpers\Html;

$this->title = Yii::t('app', 'Signup');
$this->params['breadcrumbs'][] = $this->title;

?>
<h1><?= Html::encode($this->title) ?></h1>
<div class="row">
   
    <?php if (Yii::$app->session->hasFlash('signup')): ?>
    <div class="alert alert-success">
        Activatsiya silkasi po`chtaga yuborildi
    </div>
    <?php else: ?>

     <div class="col-md-12">
     
    <?= yii\authclient\widgets\AuthChoice::widget([
                'baseAuthUrl' => ['/user/user/auth'],
                'clientCollection' => 'apiServiceClientCollection',
            ]) ?>
    
     <hr />
    </div>
    <div class="col-md-4">
        <?php
            $form = ActiveForm::begin([
                'id' => 'signun-form',
                'type' => ActiveForm::TYPE_VERTICAL,
            ]);
        ?>
        <?= $form->field($model, 'username')->textInput(['autocomplete' => 'off']) ?>
        <?= $form->field($model, 'email')->textInput(['autocomplete' => 'off']) ?>
        <?= $form->field($model, 'password')->passwordInput() ?>
        <?= $form->field($model, 'confirmPassword')->passwordInput() ?>
       
       	<?= $form->field($model, 'user_type')->radioList([
                                   1=>'<span>'.Yii::t('app', 'Пользователь').'</span>',
                                   2=>'<span>'.Yii::t('app', 'Врач').'</span>',
                                   ])->label(false); ?>


        
        <div class="form-group">
            <?= Html::submitButton(Yii::t('app', 'Signup'), ['class' => 'btn btn-primary']) ?>
        </div>
        <?php ActiveForm::end(); ?>
    </div>
     <?php endif; ?>
</div>
