<?php

namespace app\modules\user\widgets;


use app\modules\notification\models\Notification;
use Yii;
use yii\base\Widget;
use yii\caching\TagDependency;
use app\modules\user\models\User;
use app\modules\medbase\models\MedHistory;
use devgroup\TagDependencyHelper\ActiveRecordHelper;

class UserAuthorized extends Widget
{
    /**
     * @var string
     */
    public $viewFile = 'user-authorized/view';

    public function run() {

       $cacheKey = 'user_authorized_'.Yii::$app->user->id.'_'.Yii::$app->language;
       $user = User::findIdentity(Yii::$app->user->id);

       if(!Yii::$app->user->isGuest)
       $count_new_question = $user->getCountNewQuestion();

        if($user->user_type == 1){
            $countHistory = MedHistory::find()->where(['patient_id'=>$user->id,'view'=>0])->count();
        }

        $notificationCount = Notification::find()->where(['user_id'=>$user->id,'view'=>0])->count();

       return $this->render(
            $this->viewFile,
            [
                'user'               => $user,
                'count_new_question' => $count_new_question,
                'countHistory'       => $countHistory,
                'notificationCount'  => $notificationCount,
            ]
        );
    }
}
