<?php

namespace app\modules\user\widgets;

use app\modules\user\models\UserFile;
use devgroup\TagDependencyHelper\ActiveRecordHelper;
use yii\base\Widget;

use Yii;
use yii\caching\TagDependency;

class UserFileGallreyScroll extends Widget
{
    public $user_id;

    /**
     * @var string
     */
    public $viewFile = 'user-file-gallrey-scroll/view';

    public function run() {

        $cacheKey = "UserFileGallreyScroll_".$this->user_id;

        $userFile = Yii::$app->cache->get($cacheKey);

        if ($userFile === false) {
            $userFile = UserFile::find()->where(['user_id'=>$this->user_id])->all();
            Yii::$app->cache->set(
                $cacheKey,
                $userFile,
                86400,
                new TagDependency([
                    'tags' => [
                        ActiveRecordHelper::getCommonTag(UserFile::className())
                    ]
                ])
            );
        }

        return $this->render(
            $this->viewFile,
            [
                'userFile' => $userFile,
            ]
        );
    }
}
