<?php

use \yii\helpers\Url;
use yii\widgets\ListView;
use yii\helpers\Html;
use yii\widgets\Pjax;
use app\modules\page\models\Page;

$page = Page::find()->where('slug="clinic-list"')->one();

if($page)
    $this->title = Yii::t('app', 'Клиники').' '.$page->title;

$this->params['breadcrumbs'][] = Yii::t('app', 'Клиники');
?>
<div class="page">
            <div class="page-header text-center">
                <?= Html::encode(Yii::t('app', 'Клиники')) ?>
            </div>
            <div class="page-special <!--page_type_a-->">
                    <div class="container">
                            <div class="row">
                            <div class="col-md-9 col-sm-9 left">
                                <div class="filter-blog">
                                    <div class="filter">
                                       <div class="title"><?=Yii::t('app','Клиники по специальностям')?> <i class="fa fa-sort-desc"></i></div>
                                       <ul class="list-unstyled">
                                           <li><a href="<?= Url::toRoute (['/askdoctor/clinic/index'])?>"><?=Yii::t('app','Все специальност')?></a></li>
                                           <?php foreach($specialty as $item): ($item->id == Yii::$app->request->get('specialty'))?$class='active':$class='';?>
                                                <li class="<?=$class?>"><a href="<?= Url::toRoute (['/askdoctor/clinic/index','specialty'=>$item->id])?>"><?=$item->name?></a></li>
                                           <?php endforeach;?>
                                       </ul> 
                                   </div>
                                </div>
                                 <?Pjax::begin(['id'=>'clinics_list','clientOptions' => ['method' => 'POST']]);?>
                                 <?=ListView::widget([
                                         'dataProvider' => $dataProvider,
                                         'id' => 'clinics_list',
                                         'layout' => "
                                                      {items}
                                                      <div style='clear: both;'></div>
                                                      {pager}",
                                         'options' => [
                                                'class'=>'clinics_list list-unstyled',
                                                'tag'=>'ul'
                                            ],
                                         'itemOptions' => [
                                                'class'=>'item',
                                                'tag'=>'li'
                                            ],
                                         'itemView' => '_clinic',
                                         ]);
                                 ?>
                                 <?Pjax::end();?>
                            </div>
                           <div class="col-md-3  col-sm-3 right type_a">
                               
                               <div class="filter">
                                   <div class="filter">
                                   <div class="title"><?=Yii::t('app','Врачи по специальностям')?></div>
                                   <ul class="list-unstyled">
                                       <li><a href="<?= Url::toRoute (['/askdoctor/clinic/index'])?>"><?=Yii::t('app','Все специальности')?></a></li>
                                       <?php foreach($specialty as $item): ($item->id == Yii::$app->request->get('specialty'))?$class='active':$class='';?>
                                            <li class="<?=$class?>"><a href="<?= Url::toRoute (['/askdoctor/clinic/index','specialty'=>$item->id])?>"><?=$item->name?></a></li>
                                       <?php endforeach;?>
                                   </ul> 
                               </div>
                               </div>
                            </div>
                            </div>
                    </div>
                    <div class="right-bg"></div>
            </div>
        </div>
<?php
$js = " 
        $('.filter-blog .filter .title').click(function(){
           if($(this).parent().hasClass('open'))
           {
               $(this).parent().removeClass('open').find('.list-unstyled').slideUp();
               $(this).parent().find('i').attr('class','fa fa-sort-desc');
           }else{
                $(this).parent().addClass('open').find('.list-unstyled').slideDown();
                $(this).parent().find('i').attr('class','fa fa-caret-up');
           }
       })";
       
$this->registerJs($js);      
?> 
