<?

use yii\helpers\Url;
use app\modules\askdoctor\assets\DoctorReceptionAsset;

DoctorReceptionAsset::register($this);

$user_type = $user->user_type;

?>


<div class="content home">
    <section class="page-top-title">
        <div class="container">
            <h1><?=Yii::t('app','Запросы')?></h1>
        </div>
    </section>
    <div class="container">
        <div class="row">
            <div class="col-sm-8">

            <div class="hide" id="doctorReceptionStausUrl"><?=Url::to(['/askdoctor/doctor-reception/status'])?></div>
            <?if($newQuery AND $newQuery->all()):?>
                <h2 class="text-bold"><?=Yii::t('app','Новые запросы')?></h2>
                <div class="table-responsive">
                    <table class="table table-reception scrollbar-custom">
                        <thead>

                        <tr>
                            <th class="text-uppercase font-size-11 text-color-78909c"><?=Yii::t('app','От кого')?></th>
                            <th class="text-uppercase font-size-11 text-color-78909c"><?=Yii::t('app','дата')?></th>
                            <th class="text-uppercase font-size-11 text-color-78909c text-right"><?=Yii::t('app','Действия')?></th>
                        </tr>
                        </thead>
                        <?=\app\widgets\ListView::widget([
                            'id'=>'new-reception',
                            'query'=>$newQuery,
                            'pageSize'=>5,
                            'options' => [
                                'class' => '',
                                'tag'=>'tbody'
                            ],
                            'itemOptions'=>[
                                'user_type'=>$user_type,
                                'class' => 'item-class',
                            ],
                            'itemView'=>'_new-reception-item',
                            'btn'=>'load-more-new-reception',
                            'event'=>[
                                'before'=>'function(){}',
                                'after'=>'function(){

                        }',]
                        ])?>

                    </table>

                </div>
                <div class="panel-custom margin-15-0 text-center">
                    <button class="btn btn-success" id="load-more-new-reception"><?=Yii::t('app','Load more');?> <i class="loder-panel btn-loder"><img src="/img/ripple2.svg"></i></button>
                </div>
            <?endif?>

                <?if($allQuery->all()):?>
                <h2 class="text-bold"><?=Yii::t('app','Все запросы')?></h2>
                <div class="table-responsive">
                    <table class="table table-reception scrollbar-custom">
                        <thead>

                        <tr>
                            <th class="text-uppercase font-size-11 text-color-78909c">
                                <?=($user_type == 2)?Yii::t('app','От кого'):Yii::t('app','doctor')?>
                            </th>
                            <th class="text-uppercase font-size-11 text-color-78909c"><?=Yii::t('app','дата')?></th>
                            <th class="text-uppercase font-size-11 text-color-78909c text-right"><?=Yii::t('app','Status')?></th>
                        </tr>
                        </thead>
                        <?=\app\widgets\ListView::widget([
                            'id'=>'all-reception',
                            'query'=>$allQuery,
                            'pageSize'=>5,
                            'options' => [
                                'class' => '',
                                'tag'=>'tbody'
                            ],
                            'itemOptions'=>[
                                'user_type'=>$user_type,
                                'class' => 'item-class',
                            ],
                            'itemView'=>'_reception-item',
                            'btn'=>'load-more-all-reception',
                            'event'=>[
                                'before'=>'function(){}',
                                'after'=>'function(){

                    }',]
                        ])?>

                    </table>

                </div>
                <div class="panel-custom margin-15-0 text-center">
                    <button class="btn btn-success" id="load-more-all-reception"><?=Yii::t('app','Load more');?> <i class="loder-panel btn-loder"><img src="/img/ripple2.svg"></i></button>
                </div>
            <?endif?>

            </div>
            <div class="col-sm-4">
                <div class="filter-panel">
                    <div class="col-xs-12">
                        <?=\app\widgets\filter\FilterDatepickerWidget::widget([
                            'id'=>'filter_date',
                            'title'=>Yii::t('app','Архив'),
                            'attribute'=>'created',
                        ]);?>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
