<?
use Yii;
use yii\helpers\Url;
use yii\bootstrap\Html;
use yii\widgets\ActiveForm;

$clinic = $doctor->getClinic();

?>
<?if($user->user_type == 1):?>
<div class="col-md-4 col-sm-4 doctor-reception-info full-height">
    <div class="row">
        <div class="modal-header">
            <h4 class="modal-title text-bold"><?=Yii::t('app','Информация о пациенте');?></h4>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span class="btn-close"></span> </button>
        </div>
    </div>
    <div class="row full-height">
        <div class="panel-custom full-height bg-color-eceff1 padding-15-0">
            <div class="col-xs-12">
                <p class="margin-0 padding-5-0 text-bold text-uppercase font-size-12"><?=Yii::t('app','Запись на прием к врачу');?></p>
            </div>
            <div class="user-item-panel user-item-panel-type online">
                <div class="user-item-panel-left">
                    <div class="user-item-image-panel">
                        <div class="user-item-image" style="background-image: url('<?=$doctor->getThumbnail('100','100')?>')"></div>
                    </div>
                </div>
                <div class="user-item-panel-right">
                    <a href="javascript::void(0)" class="name"><?=$doctor->first_name.' '.$doctor->last_name ?></a>
                    <span class="speciality"><?=$doctor->getSpecialty()->name?></span>
                </div>
            </div>
            <p class="col-xs-12 border-bottom"></p>
            <p class="margin-0-15 padding-5-0 text-bold text-uppercase font-size-12"><?=Yii::t('app','Клиника');?></p>
            <div class="col-xs-12 border-bottom margin-0-0-15-0">
                <div class="special-panel">
                    <div class="image">
                        <?= Html::img($clinic->getMainImage()->one()->getThumbnail('270','270'));?>
                    </div>
                    <div class="text-panel">
                        <a target="_blank" href="<?=Url::to(['/medbase/clinic/view','url'=>$clinic->slug])?>" class="link-custom"><?=$clinic->name?></a>
                    </div>
                </div>
            </div>
            <div class="col-xs-12 ma">
                <p class="text-bold text-uppercase font-size-12"><?=Yii::t('app','Адрес клиники');?></p>
                <div class="doctor-reception-info-address">
                    <i class="fa fa-map-marker text-success font-size-40"></i>
                    <p>
                        <?=$clinic->address?>
                    </p>
                </div>
            </div>

        </div>
    </div>
</div>
<div class="col-md-8 col-sm-8 doctor-reception-form full-height">
    <div class="row">
        <div class="modal-header">
            <h4 class="modal-title text-bold"><?=Yii::t('app','Записаться на прием');?></h4>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span class="btn-close"></span> </button>
        </div>
        <div class="modal-body padding-0-15 margin-15-0">
            <div class="row">

                <?php $form = ActiveForm::begin([
                    'id' => 'doctor-reception-form',
                    'action'=>Url::to(['/askdoctor/doctor-reception/ajax-add-reception'])
                ]); ?>
                <div class="col-sm-6">
                    <?=$form->field($model, 'date_reception',[
                        'template' => '
                                    {label}
                                    {input}
                                    <div class="calendar border-color-546e7a" id="date-datepicker"></div>
                                    {error}'
                    ])->textInput(['class'=>'hide']);?>

                    <?=$form->field($model, 'doctor_id',[
                        'template' =>'{input}'
                    ])->textInput(['class'=>'hide','value'=>$doctor->id]);?>



                </div>
                <div class="col-sm-6">



                            <?=$form->field($model, 'time',[
                                'template' => '
                                    {label}
                                    <div class="input-group clock" data-placement="bottom" data-align="top" data-autoclose="true">
                                        {input}
                                               <span class="input-group-addon">
                                            <i class="fa fa-clock-o"></i>
                                        </span>
                                    </div>
                                    {error}'

                                ])->dropDownList([
                                                    '07:00'=>'07:00',
                                                    '08:00'=>'08:00',
                                                    '09:00'=>'09:00',
                                                    '10:00'=>'10:00',
                                                    '11:00'=>'11:00',
                                                    '12:00'=>'12:00',
                                                    '13:00'=>'13:00',
                                                    '14:00'=>'14:00',
                                                    '15:00'=>'15:00',
                                                    '16:00'=>'16:00',
                                                    '17:00'=>'17:00',
                                                    '18:00'=>'18:00',
                                                    '19:00'=>'19:00',
                                                    '20:00'=>'20:00',
                                                    '21:00'=>'21:00',
                                                  ]
                                ,['class'=>'form-control doctor-reception-time','title'=>Yii::t('app','Select time ...')]);?>

                    <?=$form->field($model, 'comment')->textarea();?>

                    <div class="form-group">
                        <button class="btn btn-success full-width"> <?=Yii::t('app','Отправить заявку')?> <i class="loder-panel btn-loder"><img src="/img/ripple2.svg"></i></button>
                    </div>
                </div>

                <?php ActiveForm::end(); ?>
            </div>
        </div>
    </div>
</div>
<?else:?>

    <div class="col-md-4 col-sm-4 doctor-reception-info full-height">
        <div class="row">
            <div class="modal-header">
                <h4 class="modal-title text-bold"><?=Yii::t('app','Информация о пациенте');?></h4>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span class="btn-close"></span> </button>
            </div>
        </div>
        <div class="row full-height">
            <div class="panel-custom full-height bg-color-eceff1 padding-15-0">
                <div class="col-xs-12">
                    <p class="margin-0 padding-5-0 text-bold text-uppercase font-size-12"><?=Yii::t('app','Запись на прием к врачу');?></p>
                </div>
                <div class="user-item-panel user-item-panel-type online">
                    <div class="user-item-panel-left">
                        <div class="user-item-image-panel">
                            <div class="user-item-image" style="background-image: url('<?=$doctor->getThumbnail('100','100')?>')"></div>
                        </div>
                    </div>
                    <div class="user-item-panel-right">
                        <a href="javascript::void(0)" class="name"><?=$doctor->first_name.' '.$doctor->last_name ?></a>
                        <span class="speciality"><?=$doctor->getSpecialty()->name?></span>
                    </div>
                </div>
                <p class="col-xs-12 border-bottom"></p>
                <p class="margin-0-15 padding-5-0 text-bold text-uppercase font-size-12"><?=Yii::t('app','Клиника');?></p>
                <div class="col-xs-12 border-bottom margin-0-0-15-0">
                    <div class="special-panel">
                        <div class="image">
                            <?= Html::img($clinic->getMainImage()->one()->getThumbnail('270','270'));?>
                        </div>
                        <div class="text-panel">
                            <a target="_blank" href="<?=Url::to(['/medbase/clinic/view','url'=>$clinic->slug])?>" class="link-custom"><?=$clinic->name?></a>
                        </div>
                    </div>
                </div>
                <div class="col-xs-12 ma">
                    <p class="text-bold text-uppercase font-size-12"><?=Yii::t('app','Адрес клиники');?></p>
                    <div class="doctor-reception-info-address">
                        <i class="fa fa-map-marker text-success font-size-40"></i>
                        <p>
                            <?=$clinic->address?>
                        </p>
                    </div>
                </div>

            </div>
        </div>
    </div>
    <div class="col-md-8 col-sm-8 doctor-reception-form full-height">
        <div class="row">
            <div class="modal-header">
                <h4 class="modal-title text-bold"><?=Yii::t('app','Записаться на прием');?></h4>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span class="btn-close"></span> </button>
            </div>
            <div class="modal-body padding-0-15 margin-15-0">
                <div class="alert alert-danger"><i class="fa fa-commenting"></i> <?=Yii::t('app','You can not make an appointment')?></div>

            </div>
        </div>
    </div>


<?endif?>