<?php

use yii\helpers\Html;
use yii\grid\GridView;
use kartik\icons\Icon;

/* @var $this yii\web\View */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = Yii::t('app', 'Пакет истории');
$this->params['breadcrumbs'][] = [
                                    'label'=>Yii::t('app','Ваш профиль'),
                                    'url'=>'/user/user/profile'
                                 ];
$this->params['breadcrumbs'][] = $this->title;
?>

<div class="profile user-package-history">
            <div class="container">
                    <div class="row">
                    <div class="col-md-3 col-sm-3 left">
                        <div class="profile-image">
                             <?= Html::img($user->getThumbnail('270','270'));?>
                        </div>
                        <ul class="list-unstyled">
                                <li>
                                    <?if(trim($user->city) != "" AND $user->city != '0'):?>
                                        <label><?=Yii::t('app','City')?></label><?=$user->city?>
                                    <?endif;?>
                                </li>
                                <li>
                                    <?if(trim($user->country) != "" AND $user->country != '0'):?>
                                        <label><?=Yii::t('app','Country')?></label><?=$user->country?>
                                    <?endif;?>
                                </li>
                                
                                <li>
                                    <?if(trim($user->phone) != "" AND $user->phone != '0'):?>
                                        <label><?=Yii::t('app','Phone')?></label><?=$user->phone?>
                                    <?endif;?>
                                </li>
                                <li>
                                    <?if(trim($user->email) != "" AND $user->email != '0'):?>
                                        <label><?=Yii::t('app','Email')?> </label><?=$user->email?>
                                    <?endif;?>
                                </li>
                                <li>
                                    <label><?=Yii::t('app','Зарегистрирован')?></label><?=date("j.m.Y",$user->create_time)?>
                                </li>
                           </ul>
                    </div>
                    <div class="col-md-9 col-sm-9 right">
                         <div class="profile-header">
                                <div class="name"> <div class="name"><?=$user->first_name.' '.$user->last_name; ?></div></div>
                                
                                <ul class="nav nav-pills">
                                    <li class="active"><?= Html::a(Yii::t('app','История'),['/askdoctor/user-package-history/index']);?></li>
                                    <li><?= Html::a(Yii::t('app','Редактировать профиль'),['/user/user/profileupdate']);?></li>
                                </ul>
                           </div>
                        <div class="profile-main">
                            <div class="title"><?=Yii::t('app','История')?></div>
                 
                            <div class="grid-view history-tabel">
                            
                                    <?= GridView::widget([
                                        'dataProvider' => $dataProvider,
                                        'tableOptions'=>[
                                                    'class' => 'table', 
                                                    ],
                                        'layout'=>"{items}\n{pager}",            
                                        'columns' => [
                                            ['class' => 'yii\grid\SerialColumn'],
                                
                                            'id',
                                            [
                                                'class' => 'yii\grid\DataColumn',
                                                'attribute' => 'type',
                                                'label'=>Yii::t('app','Действие'),
                                                'format' => 'raw',
                                                'value' =>  function ($data) {
                                                            
                                                            if ($data['type'] == 0){
                                                                 $value = Icon::show('minus text-danger');
                                                            }elseif($data['type'] == 1){
                                                                 $value = Icon::show('plus text-success');}
                                                           
                                                            return $value;
                                                        },
                                            ],
                                           
                                            [
                                                'attribute' =>  'quantity',
                                                'label'=>Yii::t('app','Количество'),
                                            ],
                                            [
                                                'attribute' => 'message',
                                                'label'=>Yii::t('app','Сообщение'),
                                            ],
                                            [
                                                'attribute' => 'data_created',
                                                'label'=>Yii::t('app','Дата'),
                                            ],
                                           
                                
                                            //['class' => 'yii\grid\ActionColumn'],
                                        ],
                                    ]); ?>
                            </div>
                        </div>
                   </div>
               </div>
            </div>
        </div>

