<?php

use yii\helpers\Url;
use yii\helpers\Html;
?>
<li class="<?=$itemOptions['class']?>" data-id="<?=$model->id?>" data-page="<?=$page?>">
    <div class="main-item-panel">
        <div class="main-item-panel-left">
            <a href="<?=Url::to(['/medbase/clinic/view','url'=>$model->slug])?>" class="image">
                <img src="<?

                   if($model->getMainImage()->one())
                        echo $model->getMainImage()->one()->getThumbnail('135','135');
                    else
                        echo $model->getModelImage()->getThumbnailNotImage('135','135');

                ?>">
            </a>
            <h3 class="raiting-total text-bold"><?=$model->getRaringCount()?></h3>
            <div class="raiting-block no-caption">
                <input value="<?=$model->getRaringCount()?>" type="text" class="rating-input_" disabled data-size="xs"/>
            </div>
            <span class="reviews-count"><?=$model->getReviewsCount()?> <?= Yii::t('app','review'); ?></span>
            <div class="work-time">
                <i class="fa fa-calendar" aria-hidden="true"></i>
                <ul class="list-unstyled">
                    <li>
                        <span><?= Yii::t('app','ПН–ПТ'); ?></span>
                        <span><?=$model->work_time_monday_friday?></span>
                    </li>
                    <li>
                        <span><?= Yii::t('app','СБ'); ?></span>
                        <span><?=$model->work_time_saturday?></span>
                    </li>
                    <li>
                        <span><?= Yii::t('app','ВС'); ?></span>
                        <span><?=$model->work_time_sunday?></span>
                    </li>
                </ul>
            </div>
        </div>
        <div class="main-item-panel-right">
            <a href="<?=Url::to(['/medbase/clinic/view','url'=>$model->slug])?>" class="name"><?=$model->name?></a>
            <span class="speciality"><?=Yii::t('app','Клиника');?></span>
            <div class="place-work-panel type-a">
                <div class="place-work-address">
                    <i class="fa fa-map-marker" aria-hidden="true"></i>
                    <p><?=$model->address?></p>
                </div>
            </div>

            <div class="description">
                <?=$model->short_description?>
            </div>

            <ul class="list-unstyled contact-panel">
                <li>
                    <span><i class="fa fa-phone" aria-hidden="true"></i><?= Yii::t('app','телефон'); ?></span>
                    <p>
                        <?=$model->phone?>
                    </p>
                </li>
                <?if($model->fax):?>
                    <li>
                        <span><i class="fa fa-fax" aria-hidden="true"></i><?= Yii::t('app','факс'); ?></span>
                        <p>
                            <?=$model->fax?>
                        </p>
                    </li>
                <?endif?>

                <?if($model->email):?>
                    <li>
                        <span><i class="fa fa-envelope" aria-hidden="true"></i> <?= Yii::t('app','эл. почта'); ?></span>
                        <p>
                            <?=$model->email?>
                        </p>
                    </li>
                <?endif?>

            </ul>
            <ul class="list-unstyled stock-list">
                <?
                $i = 1;
                foreach($model->getDiscountArray(date('Y-m-d',time())) as $discount):?>
                    <li>
                        <a href="<?=Url::to(['/page/page/detail','url'=>$discount['page_url']])?>" class="link-custom">
                            <span><?=Yii::t('app','stock'); ?> ! </span>
                            <p><?=$discount['short_description']?></p>
                        </a>
                    </li>

                <?
                    if($i == 10)
                        break;
                    $i++;
                endforeach;?>
            </ul>
        </div>
    </div>
</li>
