<?

use yii\helpers\Url;
use yii\bootstrap\ActiveForm;
use app\modules\medbase\models\Category;
use kartik\widgets\Select2;
use app\modules\medbase\models\Clinic;
use app\modules\user\models\User;
use kartik\widgets\FileInput;
use app\modules\core\models\Language;

$url = Url::to(['/medbase/med-history/edit','id'=>$model->id,'returnUrl'=>Url::to(['/medbase/med-history/index'])]);
?>
<div class="panel_ padding-30-0">
    <?
    $form = ActiveForm::begin([
        'id' => 'profile-form',
        'action'=>$url,
        'options' => ['enctype' => 'multipart/form-data','class'=>'padding-15-0'],
    ]);
    ?>

        <div class="col-sm-6">
            <div class="row">
                <?= $form->field($model, 'title')->textInput() ?>
            </div>
        </div>
        <div class="col-sm-7">
            <div class="row">
                <?=$form->field($model, 'category_id')->widget(Select2::classname(), [
                    'data' => Category::getTreeArray(1,true),
                    'options' => ['placeholder' => Yii::t('app','Select category ...')],
                    'theme'=> 'bootstrap',
                    'pluginOptions' => [
                        'allowClear' => true
                    ],
                ]); ?>
            </div>
        </div>

        <div class="col-sm-7">
            <div class="row">
                <?=$form->field($model, 'clinic_id')->widget(Select2::classname(), [
                    'data' => Clinic::getListData(),
                    'options' => ['placeholder' => Yii::t('app','Select clinic...')],
                    'theme'=> 'bootstrap',
                    'pluginOptions' => [
                        'allowClear' => true,
                    ],
                    'pluginEvents' => [
                        //"change" => "function() { console.log($(this).val()); }",
                        //"select2:opening" => "function() { log('select2:opening'); }",
                        //"select2:open" => "function() { log('open'); }",
                        //"select2:closing" => "function() { log('close'); }",
                        //"select2:close" => "function() { log('close'); }",
                        //"select2:selecting" => "function() { log('selecting'); }",
                        "select2:select" => "function() {
                                            var data = 'clinic_id='+$(this).val();
                                            $.ajax({
                                                //dataType: 'json',
                                                type: 'post',
                                                data:data,
                                                url:'".Url::to(['/user/user/ajax-json-user-for-clinic'])."',
                                                success:function(data_){
                                                        $('#medhistory-doctor_id').html('')
                                                        $('#medhistory-doctor_id').select2({ data: data_ });
                                                        $('#medhistory-doctor_id').prop('disabled', false);
                                                        $('#medhistory-doctor_id').select2({ width: 'resolve' });
                                                        $('#medhistory-doctor_id').select2({ theme: 'bootstrap' });
                                                  }
                                              })
                                         }",
                        //"select2:unselecting" => "function() { log('unselecting'); }",
                        //"select2:unselect" => "function() { log('unselect'); }"
                    ]
                ]);?>
            </div>
        </div>
        <div class="col-sm-7">
            <div class="row">
                <?=$form->field($model, 'doctor_id')->widget(Select2::classname(), [
                    'data' => User::getListDataForClinic($model->clinic_id),
                    'options' => ['placeholder' => Yii::t('app','Select doctor...')],
                    'disabled' => ($model->clinic_id)?false:true,
                    'theme'=> 'bootstrap',
                    'pluginOptions' => [
                        'allowClear' => true,
                    ],
                ]);?>
            </div>
        </div>

        <div class="row">
            <div class="col-sm-6">
                <?=$form->field($model, 'description')->textarea(['rows'=>4]) ?>
            </div>
            <div class="col-sm-6">
                <?=$form->field($model, 'complaints_symptom')->textarea(['rows'=>4]) ?>
            </div>
        </div>

        <?=$form->field($model, 'diagnosis')->textarea(['rows'=>4]) ?>

        <?=$form->field($model, 'doctor_conclusion')->textarea(['rows'=>4]) ?>

        <?=$form->field($model, 'doctor_recommendation')->textarea(['rows'=>4]) ?>

        <?=$form->field($model, 'doctor_recommendation')->textarea(['rows'=>4]) ?>

        <?=$form->field($model, 'note')->textarea(['rows'=>4]) ?>
    <div class="form-group">
       <div class="file-input-custom-type-b">
            <?
            echo FileInput::widget([
                'id'=>'fileInput_',
                'name' => 'files',
                'language' => Language::getUrl(),
                'options' => [
                    'multiple' => true,
                ],

                'pluginOptions' => [
                    'uploadUrl' => Url::to(['/medbase/med-history/upload','id'=>$model->id]),
                    'deleteUrl' => Url::to(['/medbase/med-history/ajax-delete-file']),
                    'allowedFileExtensions' => ['jpg', 'png','zip','pdf','docx'],
                    'overwriteInitial' => false,
                    'uploadAsync' => true,
                    'browseOnZoneClick' => true,
                    'previewFileType'=>'any',
                    'showClose' => false,
                    'showRemove' => false,
                    'initialPreviewAsData'=> false,
                    'initialPreview' => $model->getFilesDataForFileInput('initialPreview'),
                    'initialPreviewConfig'=>  $model->getFilesDataForFileInput('initialPreviewConfig'),
                    'initialPreviewThumbTags'=>  $model->getFilesDataForFileInput('initialPreviewThumbTags'),

                    'fileActionSettings'=>[
                        'owDrag' => true,
                        'removeIcon' => Yii::t('app','Удалить'),
                        'removeClass' => 'btn btn-xs btn-danger',
                        'removeTitle' => Yii::t('app','Remove file'),
                        'uploadIcon' => Yii::t('app','Загрузить'),
                        'uploadClass' => 'btn btn-xs btn-primary',
                        'uploadTitle' => Yii::t('app','Upload file'),
                        'zoomIcon' => '<i class="glyphicon glyphicon-zoom-in"></i>',
                        'zoomClass' => 'btn btn-xs btn-default',
                        'zoomTitle' => 'View Details',
                        'dragIcon' => '<i class="glyphicon glyphicon-menu-hamburger"></i>',
                        'dragClass' => 'text-info',
                        'dragTitle' => 'Move / Rearrange',
                        'dragSettings' => [],
                        'indicatorNew' => '<i class="glyphicon glyphicon-hand-down "></i>',
                        'indicatorSuccess' => '<i class="glyphicon glyphicon-ok-sign "></i>',
                        'indicatorError' => '<i class="glyphicon glyphicon-exclamation-sign"></i>',
                        'indicatorLoading' => '<i class="glyphicon glyphicon-hand-up text-muted"></i>',
                        'indicatorNewTitle' => Yii::t('app','Not uploaded yet'),
                        'indicatorSuccessTitle' => Yii::t('app','Uploaded'),
                        'indicatorErrorTitle' => Yii::t('app','Upload Error'),
                        'indicatorLoadingTitle' => Yii::t('app','Uploading ...')
                    ],
                    'layoutTemplates' => [
                        'preview' => '<div class="file-preview {class}">
                                           {close}
                                           <div class="{dropClass}">
                                               <div class="clearfix"><div class="file-drop-zone-title-custom"><i class="fa fa-upload"></i> '.Yii::t('app','Выберете или перетащите файл для загрузки').'</div>
                                               <div class="file-preview-thumbnails">
                                           </div>
                                       </div>
                                       <div class="file-preview-status text-center text-success"></div>
                                            <div class="kv-fileinput-error"></div>
                                       </div>
                                       </div>',
                        'actions' => '{drag}
                                    <div class="file-actions">
                                       <div class="file-footer-buttons">
                                          {delete} {upload} <button type="button" class="btn btn-success btn-save">'.Yii::t('app','Save').'<i class="loder-panel btn-loder"><img src="/img/ripple2.svg"></i></button>
                                       </div>
                                       <div class="clearfix"></div>
                                    </div>',
                        'zoomCache' => '',
                        'footer' => '<div class="file-thumbnail-footer" id="{id}">
                                        <div class="file-footer-caption" title="{caption}">
                                            {size}
                                            <a target="_blank" href="{download_url}" class="download-link"><i class="fa fa-download"></i> Download</a>
                                        </div>
                                        {progress}
                                        <div class="form-group padding-0">
                                            <label class="control-label">'.Yii::t('app','Описание').'</label>
                                            <textarea class="form-control scrollbar-custom">{description}</textarea>
                                        </div>
                                        {actions}
                                     </div>',
                        'actionDrag' => '',
                    ],
                    'previewMarkupTags' => [
                        'tagAfter' => '</div>{footer}</div>'
                    ],
                    'previewContentTemplates' => [
                        'image' => '<img src="{data}" class="file-preview-image kv-preview-data" title="{caption}" alt="{caption}">',
                    ],


                ]
            ]);
            ?>
        </div>
    </div>

        <div class="form-group">
            <button class="btn btn-success"><?= Yii::t('app','Save'); ?></button>
        </div>
    <?php ActiveForm::end(); ?>
</div>

<?
$js = "

    function sendDescriptionAjax(data){
        $.ajax({
            url:'".Url::to(['/medbase/med-history/axaj-file-description'])."',
            data: data,
            method:'POST',
            dataType:'json',
            success:function(data){

                $('#'+data.id).find('.btn-save').removeClass('loder-show')
                $('#'+data.id).find('.btn-save').hide()
            }
        })
    }

    function descriptionSaveBtn(){
        $('.btn-save').click(function(e){

            $(this).addClass('loder-show')
            var parent = $(this).parents('.file-thumbnail-footer');
            var id = parent.attr('id')
            var description = parent.find('textarea').val()

            var data = 'id='+id+'&description='+description;

            sendDescriptionAjax(data)
            return false;
        })
    }

    function showBtnSave(){
        $('textarea').keyup(function(){
             console.log($(this).val())
             var parent = $(this).parents('.file-thumbnail-footer');
             parent.find('.btn-save').show()
        })
    }

    function deleteFile(){
        $('.delete-file').click(function(){
            var id =  $(this).attr('id')
            var _data = 'key='+id;
            $.ajax({
                url:'".Url::to(['/medbase/med-history/ajax-delete-file'])."',
                data: _data,
                method:'POST',
                dataType:'json',
                success:function(data){
                    console.log('delete')
                }
            })
        })
    }

    showBtnSave()
    descriptionSaveBtn()

$('#fileInput_').on('fileuploaded', function(event, data, previewId, index) {
    var form = data.form, files = data.files, extra = data.extra,
        response = data.response, reader = data.reader;

    console.log(previewId)

    var preview = $('#'+previewId);
    var description = preview.find('.file-thumbnail-footer textarea').val()
    var id = data.response.id;

    preview.find('.file-footer-buttons .kv-file-remove').addClass('delete-file')
    preview.find('.file-footer-buttons .kv-file-remove').attr('id',id)

    preview.find('.file-thumbnail-footer').attr('id',id)

    var data = 'id='+id+'&description='+description;

    sendDescriptionAjax(data)
    descriptionSaveBtn()
    showBtnSave()
    deleteFile()

});

$('#fileInput_').on('initPreviewCache', function(event, data, previewId, index) {
    var form = data.form, files = data.files, extra = data.extra,
        response = data.response, reader = data.reader;

        console.log('initPreviewCache')

});

$('#fileInput_').on('fileselect', function(event, numFiles, label) {

    $('.file-preview .file-preview-frame').each(function(){
           var fileThumbnailFooter = $(this).find('.file-thumbnail-footer')
           var textarea =  fileThumbnailFooter.find('textarea')
           if(fileThumbnailFooter.attr('id') == '{id}'){
                textarea.val('')
                fileThumbnailFooter.find('.kv-file-upload').click()
           }

    });
});

/*------------------------------  fileinputLocales   --------------------------------------*/

(function ($) {
    'use strict';

    $.fn.fileinputLocales['uz'] = {
        fileSingle: '".Yii::t('app','файл')."' ,
        filePlural: '".Yii::t('app','файлы')."',
        browseLabel: '".Yii::t('app','Выбрать &hellip;')."',
        removeLabel: '".Yii::t('app','Удалить')."',
        removeTitle: '".Yii::t('app','Очистить выбранные файлы')."',
        cancelLabel: '".Yii::t('app','Отмена')."',
        cancelTitle: '".Yii::t('app','Отменить текущую загрузку')."',
        uploadLabel: '".Yii::t('app','Загрузить')."',
        uploadTitle: '".Yii::t('app','Загрузить выбранные файлы')."',
        msgNo: 'нет',
        msgNoFilesSelected: '',
        msgCancelled: '".Yii::t('app','Отменено')."',
        msgZoomModalHeading: '".Yii::t('app','Подробное превью')."',
        msgSizeTooSmall: '".Yii::t('app','File \"{name}\" (<b>{size} KB</b>) is too small and must be larger than <b>{minSize} KB</b>.')."',
        msgSizeTooLarge: '".Yii::t('app','Файл \"{name}\" (<b>{size} KB</b>) превышает максимальный размер <b>{maxSize} KB</b>.')."',
        msgFilesTooLess: '".Yii::t('app','Вы должны выбрать как минимум <b>{n}</b> {files} для загрузки.')."',
        msgFilesTooMany: '".Yii::t('app','Количество выбранных файлов <b>({n})</b> превышает максимально допустимое количество <b>{m}</b>.')."',
        msgFileNotFound: '".Yii::t('app','Файл \"{name}\" не найден!')."',
        msgFileSecured: '".Yii::t('app','Ограничения безопасности запрещают читать файл \"{name}\".')."',
        msgFileNotReadable: '".Yii::t('app','Файл \"{name}\" невозможно прочитать.')."',
        msgFilePreviewAborted: '".Yii::t('app','Предпросмотр отменен для файла \"{name}\".')."',
        msgFilePreviewError: '".Yii::t('app','Произошла ошибка при чтении файла \"{name}\".')."',
        msgInvalidFileName: '".Yii::t('app','Invalid or unsupported characters in file name \"{name}\".')."',
        msgInvalidFileType: '".Yii::t('app','Запрещенный тип файла для \"{name}\". Только \"{types}\" разрешены.')."',
        msgInvalidFileExtension: '".Yii::t('app','Запрещенное расширение для файла \"{name}\". Только \"{extensions}\" разрешены.')."',
        msgFileTypes: {
            'image': 'image',
            'html': 'HTML',
            'text': 'text',
            'video': 'video',
            'audio': 'audio',
            'flash': 'flash',
            'pdf': 'PDF',
            'object': 'object'
        },
        msgUploadAborted: '".Yii::t('app','Выгрузка файла прервана')."',
        msgUploadThreshold: '".Yii::t('app','Обработка...')."',
        msgUploadBegin: '".Yii::t('app','Initializing...')."',
        msgUploadEnd: '".Yii::t('app','Done')."',
        msgUploadEmpty: '".Yii::t('app','Недопустимые данные для загрузки')."',
        msgValidationError: '".Yii::t('app','Ошибка проверки')."',
        msgLoading: '".Yii::t('app','Загрузка файла {index} из {files} &hellip;')."',
        msgProgress: '".Yii::t('app','Загрузка файла {index} из {files} - {name} - {percent}% завершено.')."',
        msgSelected: '".Yii::t('app','Выбрано файлов: {n}')."',
        msgFoldersNotAllowed: '".Yii::t('app','Разрешено перетаскивание только файлов! Пропущено {n} папок.')."',
        msgImageWidthSmall: '".Yii::t('app','Ширина изображения {name} должна быть не меньше {size} px.')."',
        msgImageHeightSmall: '".Yii::t('app','Высота изображения {name} должна быть не меньше {size} px.')."',
        msgImageWidthLarge: '".Yii::t('app','Ширина изображения \"{name}\" не может превышать {size} px.')."',
        msgImageHeightLarge: '".Yii::t('app','Высота изображения \"{name}\" не может превышать {size} px.')."',
        msgImageResizeError: '".Yii::t('app','Не удалось получить размеры изображения, чтобы изменить размер.')."',
        msgImageResizeException: '".Yii::t('app','Ошибка при изменении размера изображения.<pre>{errors}</pre>')."',
        msgAjaxError: '".Yii::t('app','Something went wrong with the {operation} operation. Please try again later!')."',
        msgAjaxProgressError: '".Yii::t('app','{operation} failed')."',
        ajaxOperations: {
            deleteThumb: 'file delete',
            uploadThumb: 'file upload',
            uploadBatch: 'batch file upload',
            uploadExtra: 'form data upload'
        },
        dropZoneTitle: '".Yii::t('app','Перетащите файлы сюда &hellip;')."',
        dropZoneClickTitle: '".Yii::t('app','<br>(Или щёлкните, чтобы выбрать {files})')."',
        fileActionSettings: {
            removeTitle: '".Yii::t('app','Удалить файл')."',
            uploadTitle: '".Yii::t('app','Загрузить файл')."',
            zoomTitle: '".Yii::t('app','посмотреть детали')."',
            dragTitle: '".Yii::t('app','Move / Rearrange')."',
            indicatorNewTitle: '".Yii::t('app','Еще не загружен')."',
            indicatorSuccessTitle: '".Yii::t('app','Загружен')."',
            indicatorErrorTitle: '".Yii::t('app','Ошибка загрузки')."',
            indicatorLoadingTitle: '".Yii::t('app','Загрузка ...')."'
        },
        previewZoomButtonTitles: {
            prev: 'View previous file',
            next: 'View next file',
            toggleheader: 'Toggle header',
            fullscreen: 'Toggle full screen',
            borderless: 'Toggle borderless mode',
            close: 'Close detailed preview'
        }
    };
})(window.jQuery);

";
$this->registerJs($js);
?>

<script>


    //$('textarea').keyup

</script>
