<?

use yii\helpers\Url;
use yii\bootstrap\ActiveForm;
use app\modules\medbase\models\Category;
use kartik\widgets\Select2;
use app\modules\medbase\models\Clinic;
use app\modules\user\models\User;
use kartik\widgets\FileInput;

$url = Url::to(['/medbase/med-history/edit','returnUrl'=>Url::to(['/medbase/med-history/index'])]);

?>

<div class="panel_ padding-30-0">

    <?
    $form = ActiveForm::begin([
        'id' => 'profile-form',
        'action'=>$url,
        'options' => ['enctype' => 'multipart/form-data','class'=>'padding-15-0'],
    ]);
    ?>

    <div class="col-sm-6">
        <div class="row">
            <?= $form->field($model, 'title')->textInput() ?>
        </div>
    </div>
    <div class="col-sm-7">
        <div class="row">
            <?=$form->field($model, 'category_id')->widget(Select2::classname(), [
                'data' => Category::getTreeArray(1,true),
                'options' => ['placeholder' => Yii::t('app','Select category ...')],
                'theme'=> 'bootstrap',
                'pluginOptions' => [
                    'allowClear' => true
                ],
            ]); ?>
        </div>
    </div>

    <div class="col-sm-7">
        <div class="row">
            <?=$form->field($model, 'clinic_id')->widget(Select2::classname(), [
                'data' => Clinic::getListData(),
                'options' => ['placeholder' => Yii::t('app','Select clinic...')],
                'theme'=> 'bootstrap',
                'pluginOptions' => [
                    'allowClear' => true,
                ],
                'pluginEvents' => [
                    //"change" => "function() { console.log($(this).val()); }",
                    //"select2:opening" => "function() { log('select2:opening'); }",
                    //"select2:open" => "function() { log('open'); }",
                    //"select2:closing" => "function() { log('close'); }",
                    //"select2:close" => "function() { log('close'); }",
                    //"select2:selecting" => "function() { log('selecting'); }",
                    "select2:select" => "function() {
                                            var data = 'clinic_id='+$(this).val();
                                            $.ajax({
                                                //dataType: 'json',
                                                type: 'post',
                                                data:data,
                                                url:'".Url::to(['/user/user/ajax-json-user-for-clinic'])."',
                                                success:function(data_){
                                                        $('#medhistory-doctor_id').html('')
                                                        $('#medhistory-doctor_id').select2({ data: data_ });
                                                        $('#medhistory-doctor_id').prop('disabled', false);
                                                        $('#medhistory-doctor_id').select2({ width: 'resolve' });
                                                        $('#medhistory-doctor_id').select2({ theme: 'bootstrap' });
                                                  }
                                              })
                                         }",
                    //"select2:unselecting" => "function() { log('unselecting'); }",
                    //"select2:unselect" => "function() { log('unselect'); }"
                ]
            ]);?>
        </div>
    </div>
    <div class="col-sm-7">
        <div class="row">
            <?=$form->field($model, 'doctor_id')->widget(Select2::classname(), [
                'data' => User::getListDataForClinic($model->clinic_id),
                'options' => ['placeholder' => Yii::t('app','Select doctor...')],
                'disabled' => ($model->clinic_id)?false:true,
                'theme'=> 'bootstrap',
                'pluginOptions' => [
                    'allowClear' => true,
                ],
            ]);?>
        </div>
    </div>

    <div class="row">
        <div class="col-sm-6">
            <?=$form->field($model, 'description')->textarea(['rows'=>4]) ?>
        </div>
        <div class="col-sm-6">
            <?=$form->field($model, 'complaints_symptom')->textarea(['rows'=>4]) ?>
        </div>
    </div>

    <?=$form->field($model, 'diagnosis')->textarea(['rows'=>4]) ?>

    <?=$form->field($model, 'doctor_conclusion')->textarea(['rows'=>4]) ?>

    <?=$form->field($model, 'doctor_recommendation')->textarea(['rows'=>4]) ?>

    <?=$form->field($model, 'doctor_recommendation')->textarea(['rows'=>4]) ?>

    <?=$form->field($model, 'note')->textarea(['rows'=>4]) ?>
    <div class="form-group">
        <div class="file-input-custom-type-b">
            <?
            echo FileInput::widget([
                'id'=>'fileInput_',
                'name' => 'files',
                'language' => 'uz',
                'options' => [
                    'multiple' => true,
                ],

                'pluginOptions' => [
                    'uploadUrl' => Url::to(['/medbase/med-history/upload-temp']),
                    'deleteUrl' => Url::to(['/medbase/med-history/ajax-delete-file']),
                    'allowedFileExtensions' => ['jpg', 'png','zip','pdf','docx'],
                    'overwriteInitial' => false,
                    'uploadAsync' => true,
                    'browseOnZoneClick' => true,
                    'previewFileType'=>'any',
                    'showClose' => false,
                    'showRemove' => false,
                    'initialPreviewAsData'=> false,
                    'initialPreview' => false,
                    'initialPreviewConfig'=>  false,
                    'initialPreviewThumbTags'=>  false,

                    'fileActionSettings'=>[
                        'owDrag' => true,
                        'removeIcon' => Yii::t('app','Удалить'),
                        'removeClass' => 'btn btn-xs btn-danger',
                        'removeTitle' => Yii::t('app','Remove file'),
                        'uploadIcon' => Yii::t('app','Загрузить'),
                        'uploadClass' => 'btn btn-xs btn-primary',
                        'uploadTitle' => Yii::t('app','Upload file'),
                        'zoomIcon' => '<i class="glyphicon glyphicon-zoom-in"></i>',
                        'zoomClass' => 'btn btn-xs btn-default',
                        'zoomTitle' => 'View Details',
                        'dragIcon' => '<i class="glyphicon glyphicon-menu-hamburger"></i>',
                        'dragClass' => 'text-info',
                        'dragTitle' => 'Move / Rearrange',
                        'dragSettings' => [],
                        'indicatorNew' => '<i class="glyphicon glyphicon-hand-down "></i>',
                        'indicatorSuccess' => '<i class="glyphicon glyphicon-ok-sign "></i>',
                        'indicatorError' => '<i class="glyphicon glyphicon-exclamation-sign"></i>',
                        'indicatorLoading' => '<i class="glyphicon glyphicon-hand-up text-muted"></i>',
                        'indicatorNewTitle' => Yii::t('app','Not uploaded yet'),
                        'indicatorSuccessTitle' => Yii::t('app','Uploaded'),
                        'indicatorErrorTitle' => Yii::t('app','Upload Error'),
                        'indicatorLoadingTitle' => Yii::t('app','Uploading ...')
                    ],
                    'layoutTemplates' => [
                        'preview' => '<div class="file-preview {class}">
                                           {close}
                                           <div class="{dropClass}">
                                               <div class="clearfix"><div class="file-drop-zone-title-custom"><i class="fa fa-upload"></i> '.Yii::t('app','Выберете или перетащите файл для загрузки').'</div>
                                               <div class="file-preview-thumbnails">
                                           </div>
                                       </div>
                                       <div class="file-preview-status text-center text-success"></div>
                                            <div class="kv-fileinput-error"></div>
                                       </div>
                                       </div>',
                        'actions' => '{drag}
                                    <div class="file-actions">
                                       <div class="file-footer-buttons">
                                          {delete} {upload}
                                       </div>
                                       <div class="clearfix"></div>
                                    </div>',
                        'zoomCache' => '',
                        'footer' => '<div class="file-thumbnail-footer">
                                        <div class="file-footer-caption" title="{caption}">
                                            {size}
                                        </div>
                                        {progress}
                                        <div class="form-group padding-0">
                                            <label class="control-label">'.Yii::t('app','Описание').'</label>
                                            <textarea name="fileDescription[]" class="form-control scrollbar-custom"></textarea>
                                        </div>
                                        {actions}
                                     </div>',
                        'actionDrag' => '',
                    ],
                    'previewMarkupTags' => [
                        'tagAfter' => '</div>{footer}</div>'
                    ],
                    'previewContentTemplates' => [
                        'image' => '<img src="{data}" class="file-preview-image kv-preview-data" title="{caption}" alt="{caption}">',
                    ],


                ]
            ]);
            ?>
        </div>
    </div>

    <div class="form-group">
        <button class="btn btn-success"><?= Yii::t('app','Save'); ?></button>
    </div>
    <?php ActiveForm::end(); ?>
</div>

<?
$js = "

    function deleteFile(){

        $('.delete-file').click(function(){

            var id =  $(this).attr('id')
            var _data = 'key='+id;

            $.ajax({
                url:'".Url::to(['/medbase/med-history/ajax-delete-file'])."',
                data: _data,
                method:'POST',
                dataType:'json',
                success:function(data){
                    console.log('delete')
                }
            })
        })
    }


$('#fileInput_').on('fileuploaded', function(event, data, previewId, index) {
    var form = data.form, files = data.files, extra = data.extra,
        response = data.response, reader = data.reader;

    var preview = $('#'+previewId);
    file = data.response.file
    preview.find('.file-thumbnail-footer').append('<input type=\"hidden\" name=\"fileName[]\" value='+file+'>')
    deleteFile()
});

$('#fileInput_').on('fileselect', function(event, numFiles, label) {




    $('.file-preview .file-preview-frame').each(function(){
           console.log('asdasdasd')
           var fileThumbnailFooter = $(this).find('.file-thumbnail-footer')
           var textarea =  fileThumbnailFooter.find('textarea')

           if(!$(this).hasClass('file-preview-success')){
                fileThumbnailFooter.find('.kv-file-upload').click()
           }

    });
});

";
$this->registerJs($js);
?>


