<?

use Yii;
use yii\helpers\Url;
use app\modules\page\models\Page;

$page = Page::find()->where('slug="med-history-page"')->one();

if($page)
{
    Yii::$app->view->registerMetaTag([
        'name' => 'description',
        'content' => $page->meta_description,
    ]);
    Yii::$app->view->registerMetaTag([
        'name' => 'keywords',
        'content' => $page->keywords,
    ]);

    $this->title = $page->name;
}
?>

<div class="content">
    <section class="page-top-title">
        <div class="container">
            <h1><?=$page->name?></h1>
        </div>
    </section>
    <div class="container">
        <div class="row">
            <div class="col-sm-8">
                <?=app\modules\core\widgets\includefile\IncludeFile::widget(['file' => 'med_history_text_1']);?>

                <?=\app\extensions\alert\Alert::widget()?>

                <ul class="nav nav-tabs tabs-custom">
                    <li <?if($model->isNewRecord)echo 'class="active"';?>><a href="#panel-1" data-toggle="tab" aria-expanded="true"><i class="fa fa-file-text-o" aria-hidden="true"></i><?=Yii::t('app','История болезни'); ?></a></li>
                    <li <?if(!$model->isNewRecord)echo 'class="active"';?>><a href="#panel-2" data-toggle="tab" aria-expanded="false"><i class="fa fa-file-o file-plus-custom" aria-hidden="true"></i><?=Yii::t('app','Загрузить анализы'); ?></a></li>
                </ul>
                <div class="tab-content">
                    <div role="tabpanel" class="tab-pane fade <?if($model->isNewRecord)echo 'active in';?>" id="panel-1">

                        <div class="panel-custom margin-0-0-30-0">
                            <?=\app\widgets\ListView::widget([
                                'id'=>'med-history-list',
                                'query'=>$query,
                                'pageSize'=>10,
                                'options' => [
                                    'class' => 'list-unstyled time-line-list',
                                    'tag'=>'ul'
                                ],
                                'itemView'=>'_item',
                                'btn'=>'load-more-med-history',
                                'event'=>[
                                            'before'=>'function(){}',
                                            'after'=>'function(){

                                }',]
                            ])?>

                            <div class="panel-custom margin-15-0 text-center">
                                <button class="btn btn-success" id="load-more-med-history"><?=Yii::t('app','Load more');?> <i class="loder-panel btn-loder"><img src="/img/ripple2.svg"></i></button>
                            </div>

                        </div>
                    </div>
                    <div role="tabpanel" class="tab-pane fade <?if(!$model->isNewRecord)echo 'active in';?>" id="panel-2">
                        <?
                        if($model->isNewRecord)
                           echo $this->render('_new-form',['model'=>$model]);
                        else
                           echo $this->render('_form',['model'=>$model]);
                        ?>
                    </div>
                </div>
            </div>
            <div class="col-sm-4">
                <div class="filter-panel">

                    <?=\app\widgets\filter\FilterAlphabetItemWidget::widget([
                        'id'=>'filter_clinics',
                        'title'=>Yii::t('app','Clinic'),
                        'placeholder'=>Yii::t('app','Search for clinic'),
                        'model_header'=>Yii::t('app','select clinic'),
                        'dataList'=>$clinics,
                        'attribute'=>'clinic',
                    ]);?>

                    <div class="col-xs-12">
                        <?=\app\widgets\filter\FilterDatepickerWidget::widget([
                            'id'=>'filter_date',
                            'title'=>Yii::t('app','Архив'),
                            'attribute'=>'created',
                        ]);?>
                    </div>
                </div>
            </div>
        </div>
    </div>
    

</div>

