<?php
use \yii;
use yii\helpers\Html;
use yii\helpers\Url;
use yii\widgets\ListView;

$this->title = $pageCategory->name;

?>

<div class="content">
    <section class="page-top-title">
        <div class="container">
            <h1>
                <?
                if(Yii::$app->request->queryParams['char'])
                    echo Yii::t('app',"Список болезней на {char}",['char'=>Yii::$app->request->queryParams['char']]);
                else
                    echo $pageCategory->name;
                ?>
            </h1>
        </div>
    </section>
    <div class="container">
        <div class="row">
            <div class="col-sm-8">
                <div class="panel-border">
                    <?=\app\widgets\ListView::widget([
                        'id'=>'encyclopedia-list',
                        'query'=>$query,
                        'pageSize'=>15,
                        'options' => [
                            'class' => 'list-unstyled encyclopedia-list',
                            'tag'=>'ul'
                        ],
                        'itemView'=>'_list_encyclopedia',
                        'btn'=>'load-more-encyclopedia-list',
                        'event'=>[
                            'before'=>'function(){}',
                            'after'=>'function(){}',
                        ]
                    ])?>

                </div>

            <div class="row">
                <div class="col-xs-12 text-center margin-15-0">
                    <button class="btn btn-success" id="load-more-encyclopedia-list"><?=Yii::t('app','Load more');?> <i class="loder-panel btn-loder"><img src="/img/ripple2.svg"></i></button>
                </div>
            </div>
            </div>
            <div class="col-sm-4">
                <div class="filter-panel">
                    <?= \app\widgets\filter\FilterTextSearchWidget::widget([
                        'id' => 'encyclopedia-search',
                        'action' => Url::toRoute('/page/page/encyclopedia'),
                        'title' => Yii::t('app','Поиск'),
                        'placeholder' => Yii::t('app','Поиск'),
                        'attribute' => 'search'
                    ])?>
                    <div class="col-xs-12">
                        <p class="text-bold text-uppercase margin-15-0"><?=Yii::t('app','По алфавиту')?></p>
                        <?= app\extensions\alphabetical\Alphabetical::widget();?>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
