<?
use yii\helpers\Url;
use yii\bootstrap\Html;
use yii\bootstrap\ActiveForm;

$model->scenario = 'profileEdit';

?>
<div class="panel height-275 panel-default">
    <div class="panel-heading"><?=Yii::t('app','Settings');?></div>
    <div class="panel-body">

        <?php $form = ActiveForm::begin([
            'id' => '_profileEdit',
            'action'=>Url::to(['/user/user/profil-edit'])
        ]); ?>

        <div class="row">

            <div class="col-xs-12">
                <div class="row">
                    <div class="col-md-6">
                        <?=$form->field($model, 'first_name') ?>
                    </div>
                    <div class="col-md-6">
                        <?=$form->field($model, 'last_name') ?>
                    </div>
                </div>
            </div>

            <div class="col-xs-12">
                <div class="row">

                    <div class="col-md-6">
                        <?=$form->field($model, 'middle_name');?>
                    </div>

                    <div class="col-md-6">
                        <?=$form->field($model, 'email');?>
                    </div>

                </div>
            </div>

            <div class="col-md-6">

                <?= $form->field($model, 'push_notification',[
                    'template' => "<div class='checkbox-panel'>
                                            {input}
                                            {label}
                                       </div>",
                ])->label("<span><i class='fa fa-check'></i></span> <p class='font-size-12''>".$model->getAttributeLabel('push_notification')."</p>")
                  ->checkbox([],false);
                ?>

                <?= $form->field($model, 'sms_notification',[
                    'template' => "<div class='checkbox-panel'>
                                            {input}
                                            {label}
                                       </div>",
                ])->label("<span><i class='fa fa-check'></i></span> <p class='font-size-12''>".$model->getAttributeLabel('sms_notification')."</p>")
                    ->checkbox([],false);
                ?>

            </div>

            <div class="col-md-6">
                <div class="form-group text-right">
                    <button class="btn btn-success full-width margin-15-0">
                        <?=Yii::t('app','Save')?>
                        <i class="loder-panel btn-loder"><img src="/img/ripple2.svg"></i>
                    </button>
                </div>
            </div>

        </div>

        <?php ActiveForm::end(); ?>
    </div>
    <div class="panel-footer">
        <?= Html::a(Yii::t('app','Редактировать профиль'),['/user/user/profile-update'],['class'=>'font-size-12 text-bold link-success']);?>
    </div>
</div>
<?
$js = "

$('#_profileEdit').on('beforeSubmit', function(event, jqXHR, settings) {

                var form = $(this);
                if(form.find('.has-error').length)
                        return false;

                form.addClass('loder-show')
                $.ajax({
                        url: form.attr('action'),
                        type: 'post',
                        data: form.serialize(),
                        success: function(data) {
                            if(data == 1)
                                showInfo('success saveing','success')
                            else
                                showInfo('error saveing','danger')

                                form.removeClass('loder-show')
                        }
                });
                return false;
        })
";


$this->registerJs($js);


?>
