<?php
    use yii\helpers\Html;
    use \yii\helpers\Url;

    $clinic = $model->getClinic();
?>
<li class="<?=$itemOptions['class']?>" data-id="<?=$model->id?>" data-page="<?=$page?>">
    <div class="main-item-panel">
        <div class="main-item-panel-left">
            <a href="<?=Url::to(['/user/user/view','id'=>$model->id])?>" class="image">
                <img src="<?=$model->getThumbnail('135','135')?>">
            </a>
            <p class="last-login font-size-10"><?=$model->getLastLogin()?></p>
            <h3 class="raiting-total text-bold"><?=$model->getRaringCount()?></h3>
            <div class="raiting-block no-caption">
                <input value="<?=$model->getRaringCount()?>" type="text" class="rating-input_" disabled data-size="xs"/>
            </div>
            <span class="reviews-count"><?=$model->getReviewsCount()?> <?= Yii::t('app','review'); ?></span>
            <div class="experience"><i class="icon-doctor-min"></i> <?=$model->work_experience?> <?=Yii::t('app','year experience');?></div>

        </div>
        <div class="main-item-panel-right">
            <a href="<?=Url::to(['/user/user/view','id'=>$model->id])?>" class="name"><?=$model->first_name." ".$model->last_name?></a>
            <span class="speciality"><?=$model->getSpecialty()->name?></span>
            <div class="description">
                <p>
                    <?=$model->keywords?>
                </p>
            </div>

            <div class="place-work-panel">
                <a href="<?=Url::to(['/medbase/clinic/view','url'=>$clinic->slug])?>" class="text-bold"><?=$clinic->name?></a>
                <div class="place-work-address">
                    <i class="fa fa-map-marker" aria-hidden="true"></i>
                    <p><?=$clinic->address?></p>
                </div>
            </div>

            <div class="main-item-panel-left-bottom">
                <a href="<?=Url::to(['/askdoctor/questions/questions','doctor_id'=>$model->id])?>" class="btn btn-success"><?=Yii::t('app','Задать вопрос');?></a>
                <a href="#" class="btn btn-success doctor-reception-modal" data-id="<?=$model->id?>"><?=Yii::t('app','Записаться на прием');?> <i class="loder-panel btn-loder"><img src="/img/ripple2.svg"></i></a>
            </div>

        </div>
    </div>
</li>
