<?php

/**
 * @var $model \app\modules\user\models\User
 * @var $this yii\web\View
 */

use kartik\helpers\Html;
use kartik\widgets\ActiveForm;

$this->title = Yii::t('app', 'Change a password');
$this->params['breadcrumbs'] = [
    [
        'label' => Yii::t('app', 'ВАШ ПРОФИЛЬ'),
        'url' => '/user/user/profile'
    ],
 
    [
        'label' => Yii::t('app', 'Редактировать профиль'),
        'url' => ['/user/user/profileupdate']
    ],
    
    $this->title,
];
($model->user_type == 2)?$class = 'profile-doctor profile-doctor-edit':$class ='profile-user';
?>

<div class="content">
    <section class="page-top-title">
        <div class="container">
            <h1><?=$this->title?></h1>
        </div>
    </section>
    <div class="panel-custom margin-0-0-30-0">
        <div class="container">
            <div class="row">
                <div class="col-md-8">
                    <div class="main-item-panel">
                        <div class="main-item-panel-left">
                            <a class="image">
                                <?=Html::img($model->getThumbnail('135','135'));?>
                            </a>
                        </div>
                        <div class="main-item-panel-right">

                            <?=\app\extensions\alert\Alert::widget() ?>

                            <?php
                            $form = ActiveForm::begin(
                                [
                                    'action' => \yii\helpers\Url::toRoute(['/user/user/change-password']),
                                    'id' => 'change-password-form',
                                    'type' => ActiveForm::TYPE_VERTICAL,
                                    'method' => 'POST',
                                    'options' => ['class'=>'padding-15-0'],
                                ]
                            );
                            ?>

                                <div class="row">
                                    <div class="col-sm-7 col-xs-12">
                                        <?= $form->field($model, 'password')->passwordInput()->label(Yii::t('app', 'Current password')) ?>
                                    </div>
                                </div>

                                <div class="row">
                                    <div class="col-sm-7 col-xs-12">
                                        <?= $form->field($model, 'newPassword')->passwordInput() ?>
                                    </div>
                                </div>

                                <div class="row">
                                    <div class="col-sm-7 col-xs-12">
                                        <?= $form->field($model, 'confirmPassword')->passwordInput() ?>
                                    </div>
                                </div>

                                <div class="row">
                                    <div class="col-sm-7 col-xs-12">
                                        <?= Html::submitButton(Yii::t('app', 'Save'), ['class' => 'btn btn-success']) ?>
                                    </div>
                                </div>
                            <?php ActiveForm::end(); ?>
                        </div>
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="filter-panel">
                        <ul class="list-unstyled nav nav-custom-type-a">
                            <li>
                                <?= Html::a(Yii::t('app','Редактировать профиль'),['/user/user/profile-update']);?>
                            </li>
                            <li class="active">
                                <?=Html::a( Yii::t('app', 'Change password'), ['/user/user/change-password']);?>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>




