<?php

/**
 * @var $model \app\modules\user\models\User
 * @var $propertyGroups \app\models\PropertyGroup[]
 * @var $services array
 * @var $this yii\web\View
 */


use \yii\helpers\Url;
use yii\widgets\ListView;
use kartik\widgets\ActiveForm;
use yii\authclient\widgets\AuthChoice;
use yii\helpers\Html;
use kartik\widgets\FileInput;
use app\modules\askdoctor\models\UserPackage;
use app\modules\askdoctor\models\QuestionsTheme;
use app\modules\askdoctor\models\UserPackageHistory;
use yii\widgets\Pjax;

$this->title = Yii::t('app','Удалить профиль');
$this->params['breadcrumbs'] = [
    [
      'label' => Yii::t('app', 'ВАШ ПРОФИЛЬ'),
      'url' => ['/user/user/profile']
    ],
    

    $this->title,
];

?>
<div class="content">
    <section class="page-top-title">
        <div class="container">
            <h1><?=$this->title?></h1>
        </div>
    </section>
    <div class="panel-custom margin-0-0-30-0">
        <div class="container">
            <div class="row">
                <div class="col-md-8">
                    <div class="main-item-panel">
                        <div class="main-item-panel-left">
                            <a class="image">
                                <?= Html::img($model->getThumbnail('135','135'));?>
                            </a>
                        </div>
                        <div class="main-item-panel-right">

                            <?=\app\extensions\alert\Alert::widget() ?>
                            <h4 class="text-bold border-bottom padding-15-0 ">
                                <?=Yii::t('app','Вы действительно хотите удалить профиль')?>
                            </h4>
                            <br>
                            <div class="row">
                                <div class="col-sm-4">
                                    <?= Html::a(Yii::t('app','Yes'),['/user/user/delete-profile','deleteProfile'=>1],['class'=>'btn btn-danger full-width']);?>
                                </div>
                                <div class="col-sm-4">
                                    <?= Html::a(Yii::t('app','No'),['/user/user/profile'],['class'=>'btn btn-success full-width']);?>
                                </div>



                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="filter-panel">
                        <ul class="list-unstyled nav nav-custom-type-a">
                            <li>
                                <?= Html::a(Yii::t('app','Редактировать профиль'),['/user/user/profile-update']);?>
                            </li>
                            <li>
                                <?=Html::a( Yii::t('app', 'Change password'), ['/user/user/change-password']);?>
                            </li>
                            <li  class="active">
                                <?= Html::a(Yii::t('app','Удалить профиль'),['/user/user/delete-profile']);?>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>


