<?php

/**
 * @var $model \app\modules\user\models\User
 * @var $propertyGroups \app\models\PropertyGroup[]
 * @var $services array
 * @var $this yii\web\View
 */

use kartik\widgets\ActiveForm;
use yii\helpers\Html;
use kartik\widgets\FileInput;

$this->title = Yii::t('app', 'Your files');
$this->params['breadcrumbs'] = [
    [
        'label' => Yii::t('app', 'Personal cabinet'),
        'url' => ['/user/user/profile']
    ],
    $this->title,
];
?>
<?php
$form = ActiveForm::begin([
    'id' => 'profile-form',
    'type' => ActiveForm::TYPE_VERTICAL,
    'options' => ['enctype' => 'multipart/form-data'],
]);
?>
<div class="row">
    <div class="col-md-6 col-sm-12">
        <h1 class="h2"><?= $this->title ?></h1>
        
        <?= $form->field($model, 'user_file[]')->fileInput(['multiple'=>'multiple'])?>
        
        <div class="form-group">
            <?=
            Html::a(
                Yii::t('app', 'Personal cabinet'),
                ['/user/user/profile']
            )
            ?>
        </div>
   
    </div>
    
</div>
<div class="row">
    <div class="col-md-12">
        <div class="form-group">
            <?= Html::submitButton(Yii::t('app', 'Save'), ['class' => 'btn btn-primary']) ?>
        </div>
    </div>
</div>
<?php ActiveForm::end(); ?>
<div class="row">
    <div class="col-md-6 col-sm-12 ">
    <?php
     if($model_files)
     {
       
        foreach ($model_files as $file) {
        echo '<div class="col-md-6 col-sm-12 thumbnail">';
            echo Html::img('files/'.$file->file);
            echo Html::a('Delete',['/user/user/file_delete','id'=>$file->id]);
        echo '</div>';
        
        }
     }
    ?>
    </div>
</div>