<?php
use yii\helpers\Html;
use \kartik\widgets\ActiveForm;

/* @var $this yii\web\View */
/* @var $form yii\bootstrap\ActiveForm */
/* @var $model \app\modules\user\models\LoginForm */

$this->title = Yii::t('app', 'Авторизация');
$this->params['breadcrumbs'][] = $this->title;
?>
<section class="page-top-title padding-15-0">
    <div class="container">
        <h1 class="text-center"><?= Html::encode($this->title) ?></h1>
    </div>
</section>


<section class="panel-custom padding-30-0">
    <div class="container">
        <div class="form-blog login-form">
            <?php $form = ActiveForm::begin(['id' => 'login-form']); ?>
                <?= $form->field($model, 'phone',
                    [
                        "template" => "
                            {label}
                        <div class='input-group-cutom-type type-left type-padding-left'>
                            <span class='input-group-addon'>+</span> {input}
                        </div>
                            {hint}
                            {error}",
                        'inputOptions'=>[ 'placeholder'=>'998977131212']
                    ]) ?>

                <?= $form->field($model, 'password')->passwordInput() ?>

                <?= $form->field($model, 'rememberMe',[
                    'template' => "<div class='checkbox-panel'>
                                            {input}
                                            {label}
                                       </div>
                                       ".Html::a(Yii::t('app', 'Забыли пароль?'), ['/user/user/request-password-reset'],['class'=>'pull-right font-size-13 link-custom']),

                    ])->label("<span><i class='fa fa-check'></i></span> <p class='font-size-12''>".$model->getAttributeLabel('rememberMe')."</p>")
                      ->checkbox([],false);
                ?>

                <div class="form-group">
                    <?= Html::submitButton(Yii::t('app', 'Login'), ['class' => 'btn btn-success full-width']) ?>
                </div>
                <div class="form-group">
                    <?= Html::a(Yii::t('app', 'Sign up'), ['/user/user/signup'], ['class' => 'btn btn-success full-width']) ?>
                </div>

            <?php ActiveForm::end(); ?>
            <div style="clear:both;"></div>
        </div>
    </div>
</section>

    <div class="auth-clients-title"><?//Yii::t('app','Авторизация через социальные сети')?></div>
<?
/*
 app\widgets\AuthChoice::widget([
    'baseAuthUrl' => ['/user/user/auth'],
    'clientCollection' => 'apiServiceClientCollection',
])
*/ ?>