<?php

use yii\helpers\Html;
use \yii\helpers\Url;
use yii\widgets\ActiveForm;
use app\modules\core\models\Language;

$this->title = Yii::t('app','Добавить статью');
$this->params['breadcrumbs'] = [
    [
        'label' => Yii::t('app', 'ВАШ ПРОФИЛЬ'),
        'url' => ['/user/user/profile']
    ],

    $this->title,
];

?>
<div class="content">
        <section class="page-top-title">
            <div class="container">
                <h1><?=$this->title?></h1>
            </div>
        </section>
        <div class="container">
            <div class="row">
                <div class="col-md-8">
                    <div class="main-item-panel margin-0-0-30-0">
                        <div class="main-item-panel-left">
                            <a href="#" class="image">
                                <?=Html::img($model->getThumbnail('135','135'));?>
                            </a>
                        </div>
                        <div class="main-item-panel-right">

                            <?=\app\extensions\alert\Alert::widget() ?>

                            <?php $form = ActiveForm::begin(['options' => ['enctype' => 'multipart/form-data']]); ?>

                            <div class="row">
                                <div class="col-sm-9">
                                    <?
                                    if($page->isNewRecord)
                                        $data_value = false;
                                    else{
                                        if($file = $page->getMainImage()->one())
                                            $data_value = $file->getThumbnail(408,380);
                                        else
                                            $data_value = false;
                                    }
                                    echo $form->field($page, 'image')->fileInput(['id'=>"drop-zone",'data-value'=>$data_value,'value'=>''])->label(false) ?>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-sm-9">
                                    <?= $form->field($page, 'name'.Language::getLanguageForForm())->textInput(['maxlength' => true])->label($page->getAttributeLabel('name')) ?>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-sm-9">
                                    <?= $form->field($page, 'announce'.Language::getLanguageForForm())->textarea(['rows' => 5])->label($page->getAttributeLabel('announce')) ?>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-sm-10">
                                    <?= $form->field($page, 'content'.Language::getLanguageForForm())->textarea(['rows' => 10])->label($page->getAttributeLabel('content')) ?>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-xs-12">
                                    <?= Html::input('submit','draft',Yii::t('app','Сохранить в черновик'),['class' =>'btn btn-success']) ?>
                                    <?= Html::input('submit','published',Yii::t('app','Сохранить и опубликовать'),['class' =>'btn btn-success']) ?>
                                </div>
                            </div>
                            <?php ActiveForm::end(); ?>
                        </div>
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="filter-panel">
                        <ul class="list-unstyled nav nav-custom-type-a">
                            <li>
                                <a href="<?=Url::to(['/user/user/page-edit'])?>"><?=Yii::t('app','Добавить статью')?></a></li>
                            <li>
                            <li>
                                <a href="<?=Url::to(['/user/user/page-list'])?>"><?=Yii::t('app','Все статьи')?></a></li>
                            <li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?
$js = "
     $('#drop-zone').ezdz({
        className:     'file-upload-panel',
        text:'<div class=\"icon-panel\"> <span></span> <p> ".Yii::t('app','Выберете или перетащите файл для загрузки')."</p> </div>',
    });
";

$this->registerJs($js);
?>