<?

use Yii;
use yii\helpers\Url;
use yii\bootstrap\Html;

$this->title = Yii::t('app','Мой статьи');
$this->params['breadcrumbs'] = [
    [
        'label' => Yii::t('app', 'ВАШ ПРОФИЛЬ'),
        'url' => ['/user/user/profile']
    ],

    $this->title,
];

?>

<div class="content">
    <section class="page-top-title">
        <div class="container">
            <h1><?=$this->title?></h1>
        </div>
    </section>
    <div class="container">
        <div class="row">
            <div class="col-md-8">
                <div class="panel-border">

                    <ul class="nav nav-tabs nav-justified type-a">
                        <li  class="active"><a href="#panel-1" data-toggle="tab" aria-expanded="true"><?= Yii::t('app','ОПУБЛИКОВАННЫЕ СТАТЬИ'); ?></a></li>
                        <li><a href="#panel-2" data-toggle="tab" aria-expanded="false"> <?=Yii::t('app','ЧЕРНОВИК');?></a></li>
                    </ul>

                    <div class="tab-content">
                        <div role="tabpanel" class="tab-pane fade active in" id="panel-1">

                            <?=\app\widgets\ListView::widget([
                                'id'=>'page-list-published',
                                'query'=>$query_published,
                                'pageSize'=>10,
                                'options' => [
                                    'class' => 'list-unstyled min-news-list-custom edit',
                                    'tag'=>'ul'
                                ],
                                'itemView'=>'//../modules/page/views/page/_min-edit-item',
                                'btn'=>'load-more-published',
                                'event'=>[
                                    'before'=>'function(){}',
                                    'after'=>'function(){}',
                                ]
                            ])?>

                            <div class="row">
                                <div class="col-xs-12 text-center margin-15-0">
                                    <button class="btn btn-success" id="load-more-published"><?=Yii::t('app','Load more');?> <i class="loder-panel btn-loder"><img src="/img/ripple2.svg"></i></button>
                                </div>
                            </div>

                        </div>

                        <div role="tabpanel" class="tab-pane fade" id="panel-2">
                            <?=\app\widgets\ListView::widget([
                                'id'=>'page-list-draft',
                                'query'=>$query_draft,
                                'pageSize'=>10,
                                'options' => [
                                    'class' => 'list-unstyled min-news-list-custom edit',
                                    'tag'=>'ul'
                                ],
                                'itemView'=>'//../modules/page/views/page/_min-edit-item',
                                'btn'=>'load-more-draft',
                                'event'=>[
                                    'before'=>'function(){}',
                                    'after'=>'function(){}',
                                ]
                            ])?>

                            <div class="row">
                                <div class="col-xs-12 text-center">
                                    <button class="btn btn-success" id="load-more-draft"><?=Yii::t('app','Load more');?> <i class="fa fa-hourglass-3 preloader-custom"></i></button>
                                </div>
                            </div>

                        </div>
                    </div>
                </div>

            </div>
            <div class="col-md-4">
                <div class="filter-panel">
                    <ul class="list-unstyled nav nav-custom-type-a">
                        <li>
                            <a href="<?=Url::to(['/user/user/page-edit'])?>">Добавить запись</a></li>
                        <li>
                    </ul>
                </div>
            </div>
        </div>
    </div>
    <section class="container panel-custom med-card-panel margin-30-0-0-0">
        <div class="container">
            <div class="row">
                <div class="col-md-6 col-xs-12">
                    <h1 class="font-size-48 text-color-fff text-bold">Медицинская <br> карта</h1>
                    <p class="font-size-18 text-color-fff text-light">Вся ваша прошлая и будущая медицинская <br> информация в одном надежном, защищенном, <br> всегда доступном месте.</p>
                    <a href="#" class="btn btn-success">Завести карту</a>
                </div>
                <div class="col-md-6 col-xs-12">
                    <img class="image-med-card" src="/img/med-card.png">
                </div>

            </div>
        </div>
    </section>
</div>