<?php
use \Yii;
use yii\helpers\Html;
use yii\bootstrap\ActiveForm;
use app\modules\user\models\User;

/* @var $this yii\web\View */
/* @var $form yii\bootstrap\ActiveForm */
/* @var $model \app\modules\user\models\PasswordResetRequestForm */

$this->title = Yii::t('app', 'Верификация пользователя');
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="content">
    <section class="page-top-title padding-15-0">
        <div class="container">
            <h1 class="text-center"><?= Html::encode($this->title) ?></h1>
        </div>
    </section>



    <section class="panel-custom padding-30-0">
        <div class="container">
            <div class="row">
                <div class="col-xs-12">
                    <h4 class="text-center">
                        <?=app\modules\core\widgets\includefile\IncludeFile::widget(['file' => 'phone_active_text']);?>
                    </h4>
                    <hr>
                </div>
            </div>

            <?=\app\extensions\alert\Alert::widget() ?>

            <div class="form-blog login-form">
                <?php $form = ActiveForm::begin(['id' => 'request-password-reset-form']); ?>
                <?= $form->field($model,'code',['inputOptions'=>['placeholder'=>Yii::t('app','Введите код')]])->textInput()->label(false);?>
                <div class="form-group">
                    <?= Html::submitButton(Yii::t('app','Подтвердить'), ['class' => 'btn btn-success  full-width']) ?>
                </div>
                <?php ActiveForm::end(); ?>

                <?php echo Html::beginForm(); ?>
                <div class="form-group">
                    <?=Html::hiddenInput('send_sms','1');?>
                    <?= Html::submitButton(Yii::t('app','Повторно отправить'), ['class' => 'btn btn-success full-width']) ?>
                </div>
                <?php echo Html::endForm();?>
                <div style="clear:both;"></div>
            </div>
        </div>
    </section>

</div>

