<?php
use yii\helpers\Html;
use yii\bootstrap\ActiveForm;

/* @var $this yii\web\View */
/* @var $form yii\bootstrap\ActiveForm */
/* @var $model \app\modules\user\models\RegistrationForm */

$this->title = Yii::t('app', 'Signup');
$this->params['breadcrumbs'][] = $this->title;
if ($model->username_is_temporary) $model->username = '';
?>
<div class="form-center form-registration">
    <div class="form-blog">
    
    
    
        <h1><?= Html::encode($this->title) ?></h1>
    
        <p><?= Yii::t('app', 'Please fill in required fields to complete registration') ?></p>
        <?php $form = ActiveForm::begin(
                             [
                              'id' => 'form-signup', 
                              'action' => ['/user/user/complete-registration'],
                              'enableAjaxValidation' => true,
                              ]); ?>
        <?= \app\widgets\Alert::widget() ?>
        
                <?= $form->field($model, 'username') ?>
                <?= $form->field($model, 'email') ?>
                <?= $form->field($model, 'first_name') ?>
                <?= $form->field($model, 'last_name') ?>
                <?= $form->field($model, 'user_type')->radioList([
                   1=>'<span>'.Yii::t('app', 'Пользователь').'</span>',
                   2=>'<span>'.Yii::t('app', 'Врач').'</span>',
                   ])->label(false); ?>
                 <div style="clear: both;"></div>
                 <br />
                 <?= $form->field($model, 'theme_price')->textInput() ?>  
                 <div style="clear: both;"></div>
                 <div class="form-group">
                    <?= Html::submitButton(Yii::t('app', 'Complete registration'), ['class' => 'btn btn-success btn-big', 'name' => 'signup-button']) ?>
                </div>
    
            
        
        <?php ActiveForm::end(); ?>
    </div>
</div>
<style>

.field-user-theme_price
{
    display: none;
}

</style>
<?
 
 $js = "
        $(window).load(function(){
           
            if($('input:checked').val())
            $('.field-user-theme_price').show();
        })
        $('input[type=radio]').change(function () {
            
            if($(this).val() == 2)
                $('.field-user-theme_price').slideDown(300);
            else
                $('.field-user-theme_price').slideUp(300);
        })
 ";
 $this->registerJs($js);

?>
