<?php

use \yii\helpers\Url;
use yii\helpers\Html;
use yii\bootstrap\Modal;
use kartik\widgets\Select2;
use kartik\widgets\FileInput;
use kartik\widgets\ActiveForm;
use app\modules\regions\models\City;
use app\modules\core\models\Language;
use app\modules\user\models\UserFile;
use app\modules\medbase\models\Clinic;
use app\modules\regions\models\Country;
use app\modules\askdoctor\models\Specialty;


$this->title = Yii::t('app', 'Редактировать профиль');
$this->params['breadcrumbs'] = [
    [
        'label' => Yii::t('app', 'Ваш профиль'),
        'url' => ['/user/user/profile']
    ],
    $this->title,
];

?>

<div class="content">
    <section class="page-top-title">
        <div class="container">
            <h1><?=$this->title?></h1>
        </div>
    </section>
    <div class="panel-custom margin-0-0-30-0">
        <div class="container">
            <div class="row">
                <div class="col-md-8">
                    <div class="main-item-panel">
                        <div class="main-item-panel-left">
                            <a class="image">
                                <?= Html::img($model->getThumbnail('270','270'),['class'=>'profile-image']);?>
                            </a>
                        </div>
                        <div class="main-item-panel-right">
                            <?=\app\extensions\alert\Alert::widget() ?>
                            <?
                            $form = ActiveForm::begin([
                                'id' => 'profile-form',
                                'type' => ActiveForm::TYPE_VERTICAL,
                                'options' => ['enctype' => 'multipart/form-data','class'=>'padding-15-0'],
                            ]);
                            ?>
                            <div class="row">
                                <div class="col-sm-7 col-xs-12">
                                    <?= $form->field($model, 'first_name'.Language::getLanguageForForm()) ?>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-sm-7 col-xs-12">
                                    <?= $form->field($model, 'last_name'.Language::getLanguageForForm()) ?>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-sm-7 col-xs-12">
                                    <?= $form->field($model, 'middle_name'.Language::getLanguageForForm()) ?>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-sm-7 col-xs-12">
                                    <?= $form->field($model, 'email') ?>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-sm-8 col-xs-12">
                                    <?=$form->field($model, 'country_id')->widget(Select2::classname(), [
                                        'data' => Country::getListData(),
                                        'options' => ['placeholder' => Yii::t('app','Выберите страну ...')],
                                        'theme'=> 'bootstrap',
                                        'pluginOptions' => [
                                            'allowClear' => true
                                        ],
                                        'pluginEvents' => [
                                            //"change" => "function() { console.log($(this).val()); }",
                                            //"select2:opening" => "function() { log('select2:opening'); }",
                                            //"select2:open" => "function() { log('open'); }",
                                            //"select2:closing" => "function() { log('close'); }",
                                            //"select2:close" => "function() { log('close'); }",
                                            //"select2:selecting" => "function() { log('selecting'); }",
                                            "select2:select" => "function() {
                                            var data = 'country_id='+$(this).val();
                                            $.ajax({
                                                //dataType: 'json',
                                                type: 'post',
                                                data:data,
                                                url:'".Url::to(['/regions/city/ajax-city-json'])."',
                                                success:function(data_){

                                                        $('#user-city_id').html('')
                                                        $('#user-city_id').select2({ data: data_ });
                                                        $('#user-city_id').prop('disabled', false);
                                                        $('#user-city_id').select2({ width: 'resolve' });
                                                        $('#user-city_id').select2({ theme: 'bootstrap' });

                                                  }
                                              })
                                         }",
                                            //"select2:unselecting" => "function() { log('unselecting'); }",
                                            //"select2:unselect" => "function() { log('unselect'); }"
                                        ]
                                    ]); ?>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-sm-8 col-xs-12">
                                    <?=$form->field($model, 'city_id')->widget(Select2::classname(), [
                                        'data' =>City::getListDataForCountry($model->country_id),
                                        'options' => ['placeholder' => Yii::t('app','Выберите город ...')],
                                        'disabled' => ($model->country_id)?false:true,
                                        'theme'=> 'bootstrap',
                                        'pluginOptions' => [
                                            'allowClear' => true,
                                        ],
                                    ]);?>
                                </div>
                            </div>


                            <div class="row">
                                <div class="col-sm-8 col-xs-12">
                                    <?= $form->field($model, 'specialty_id')->dropDownList(Specialty::getListData(),['prompt'=>Yii::t('app','Выберите специальность...')])->label(Yii::t('app','Cпециальность'))?>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-sm-8 col-xs-12">
                                    <?= $form->field($model, 'clinic_id')->dropDownList(Clinic::getListData(),['prompt'=>Yii::t('app','Выберите клиника...')])->label(Yii::t('app','Клиника'))?>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-xs-12">
                                    <?= $form->field($model, 'job'.Language::getLanguageForForm())->textarea(['rows'=>5])?>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-xs-12">
                                    <?= $form->field($model, 'education'.Language::getLanguageForForm())->textarea(['rows'=>5])?>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-xs-12">
                                    <?= $form->field($model, 'experience'.Language::getLanguageForForm())->textarea(['rows'=>5]) ?>
                                </div>
                            </div>


                                <div class="documents">
                                    <div class="title">Дипломы, сертификаты и другие документы</div>

                                    <div class="file-input-custom-type-a">
                                        <?
                                        $userFile = new UserFile();

                                        $initialPreview  = $userFile->getInitialPreview($model->id);

                                        echo  $form->field($model, 'user_file')->widget(FileInput::classname(), [
                                        'options' => ['multiple' => true],
                                        'pluginOptions' => [
                                            'language' => 'uz',
                                            'showBrowse'=>false,
                                            'showRemove'=>false,
                                            'showUpload'=>false,
                                            'showCancel'=>false,
                                            'previewFileType'=>'any',
                                            'browseOnZoneClick' => true,
                                            'uploadUrl' => Url::to(['/user/user/upload-user-file']),
                                            'deleteUrl' => Url::to(['/user/user/ajax-delete-file']),
                                            'maxFileCount' => 5,
                                            'maxFileSize' => 1024 * 1,
                                            'dropZoneEnabled'=>true,
                                            'overwriteInitial'=>false,
                                            'uploadAsync' => true,
                                            'allowedFileExtensions' => ['png','jpg'],
                                            'showCaption' => false,
                                            'showClose'   => false,
                                            'removeLabel'=>Yii::t('app','Delete'),
                                            'layoutTemplates'=>[

                                                'preview' => '<div class="file-preview {class}">
                                                                                                            {close}
                                                                                                            <div class="{dropClass}">
                                                                                                            <div class="clearfix"><div class="file-drop-zone-title-custom"><i class="fa fa-upload" aria-hidden="true"></i> Выберете или перетащите файл для загрузки</div>
                                                                                                            <div class="file-preview-thumbnails">
                                                                                                            </div>
                                                                                                            </div>
                                                                                                            <div class="file-preview-status text-center text-success"></div>
                                                                                                            <div class="kv-fileinput-error"></div>
                                                                                                            </div>
                                                                                                        </div>',
                                                'actions' => '{drag}
                                                                                                        <div class="file-actions">
                                                                                                            <div class="file-footer-buttons">
                                                                                                            {upload} {delete}
                                                                                                            </div>
                                                                                                            <div class="clearfix"></div>
                                                                                                        </div>',
                                                'zoomCache' => '',
                                                'progress' =>  '<div class="progress">
                                                                    <div class="{class}" role="progressbar"
                                                                 aria-valuenow="{percent}" aria-valuemin="0" aria-valuemax="100" style="width:{percent}%;">
                                                                        {status}
                                                                     </div>
                                                                </div>',

                                                'footer'     => '<div class="file-thumbnail-footer">
                                                                                                   {progress}
                                                                                                    {actions}
                                                                                                 </div>',
                                                'actionDrag' => '',
                                            ],
                                            'previewMarkupTags'=> [
                                                'tagAfter' => '</div>{footer}</div>'
                                            ],
                                            'previewContentTemplates' => [
                                                'image' => '<img src="{data}" class="file-preview-image kv-preview-data" title="{caption}" alt="{caption}">',
                                            ],
                                            'fileActionSettings' => [
                                                'showRemove' => true,
                                                'showUpload' => true,
                                                'showZoom' => true,
                                                'showDrag' => true,
                                                'removeIcon' => '<i class="fa fa-trash"></i> <span>'.Yii::t('app','Delete').'</span>',
                                                'removeClass' => 'btn btn-xs btn-danger',
                                                'removeTitle' => Yii::t('app','Remove file'),
                                                'uploadIcon' => '<i class="fa fa-upload"></i> <span>'.Yii::t('app','Upload').'</span>',
                                                'uploadClass' => 'btn btn-xs btn-success',
                                                'uploadTitle' =>  Yii::t('app','Upload file'),
                                                'zoomIcon' => '<i class="glyphicon glyphicon-zoom-in"></i>',
                                                'zoomClass' => 'btn btn-xs btn-default',
                                                'zoomTitle' => Yii::t('app','View Details'),
                                                'dragIcon' => '<i class="glyphicon glyphicon-menu-hamburger"></i>',
                                                'dragClass' => 'text-info',
                                                'dragTitle' => Yii::t('app','Move / Rearrange'),
                                                'dragSettings' => [],
                                                'indicatorNew' => '<i class="glyphicon glyphicon-hand-down "></i>',
                                                'indicatorSuccess' => '<i class="glyphicon glyphicon-ok-sign "></i>',
                                                'indicatorError' => '<i class="glyphicon glyphicon-exclamation-sign"></i>',
                                                'indicatorLoading' => '<i class="glyphicon glyphicon-hand-up text-muted"></i>',
                                                'indicatorNewTitle' => 'Not uploaded yet',
                                                'indicatorSuccessTitle' => 'Uploaded',
                                                'indicatorErrorTitle' => 'Upload Error',
                                                'indicatorLoadingTitle' => 'Uploading ...'
                                            ],
                                            'initialPreviewAsData' => false,
                                            'initialPreview'=> $initialPreview['initialPreview'],
                                            'initialPreviewConfig' => $initialPreview['initialPreviewConfig'],
                                        ],
                                    ])->label(false);?>
                                    </div>
                                </div>
                            <div class="row">
                                <div class="col-sm-12 col-xs-12">
                                    <button type="submit" class="btn btn-success"><?=Yii::t('app','Сохранить')?></button>
                                </div>
                            </div>

                            <?php ActiveForm::end(); ?>
                        </div>
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="filter-panel">

                        <ul class="list-unstyled nav nav-custom-type-a">
                            <li class="active">
                                <?= Html::a(Yii::t('app','Редактировать профиль'),['/user/user/profile-update']);?>
                            </li>
                            <li>
                                <?=Html::a( Yii::t('app', 'Change password'), ['/user/user/change-password']);?>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<?php
$js = "
    function updateImage()
    {
        $.ajax({
            //dataType: 'json',
            type: 'post',
            url:'/user/user/user-image',
            success:function(data){
                  $('.profile-image').attr('src',data)
              }
          })
    }
    $(document).ready(function() {
        $('.fancybox').fancybox();
    });


(function ($) {
    'use strict';

    $.fn.fileinputLocales['uz'] = {
        fileSingle: 'файл',
        filePlural: 'файлы',
        browseLabel: 'Выбрать &hellip;',
        removeLabel: 'Удалить',
        removeTitle: 'Очистить выбранные файлы',
        cancelLabel: 'Отмена',
        cancelTitle: 'Отменить текущую загрузку',
        uploadLabel: 'Загрузить',
        uploadTitle: 'Загрузить выбранные файлы',
        msgNo: 'нет',
        msgNoFilesSelected: '',
        msgCancelled: 'Отменено',
        msgZoomModalHeading: 'Подробное превью',
        msgSizeTooSmall: 'File \"{name}\" (<b>{size} KB</b>) is too small and must be larger than <b>{minSize} KB</b>.',
        msgSizeTooLarge: 'Файл \"{name}\" (<b>{size} KB</b>) превышает максимальный размер <b>{maxSize} KB</b>.',
        msgFilesTooLess: 'Вы должны выбрать как минимум <b>{n}</b> {files} для загрузки.',
        msgFilesTooMany: 'Количество выбранных файлов <b>({n})</b> превышает максимально допустимое количество <b>{m}</b>.',
        msgFileNotFound: 'Файл \"{name}\" не найден!',
        msgFileSecured: 'Ограничения безопасности запрещают читать файл \"{name}\".',
        msgFileNotReadable: 'Файл \"{name}\" невозможно прочитать.',
        msgFilePreviewAborted: 'Предпросмотр отменен для файла \"{name}\".',
        msgFilePreviewError: 'Произошла ошибка при чтении файла \"{name}\".',
        msgInvalidFileName: 'Invalid or unsupported characters in file name \"{name}\".',
        msgInvalidFileType: 'Запрещенный тип файла для \"{name}\". Только \"{types}\" разрешены.',
        msgInvalidFileExtension: 'Запрещенное расширение для файла \"{name}\". Только \"{extensions}\" разрешены.',
        msgFileTypes: {
            'image': 'image',
            'html': 'HTML',
            'text': 'text',
            'video': 'video',
            'audio': 'audio',
            'flash': 'flash',
            'pdf': 'PDF',
            'object': 'object'
        },
        msgUploadAborted: 'Выгрузка файла прервана',
        msgUploadThreshold: 'Обработка...',
        msgUploadBegin: 'Initializing...',
        msgUploadEnd: 'Done UZ',
        msgUploadEmpty: 'Недопустимые данные для загрузки',
        msgValidationError: 'Ошибка проверки',
        msgLoading: 'Загрузка файла {index} из {files} &hellip;',
        msgProgress: 'Загрузка файла {index} из {files} - {name} - {percent}% завершено.',
        msgSelected: 'Выбрано файлов: {n}',
        msgFoldersNotAllowed: 'Разрешено перетаскивание только файлов! Пропущено {n} папок.',
        msgImageWidthSmall: 'Ширина изображения {name} должна быть не меньше {size} px.',
        msgImageHeightSmall: 'Высота изображения {name} должна быть не меньше {size} px.',
        msgImageWidthLarge: 'Ширина изображения \"{name}\" не может превышать {size} px.',
        msgImageHeightLarge: 'Высота изображения \"{name}\" не может превышать {size} px.',
        msgImageResizeError: 'Не удалось получить размеры изображения, чтобы изменить размер.',
        msgImageResizeException: 'Ошибка при изменении размера изображения.<pre>{errors}</pre>',
        msgAjaxError: 'Something went wrong with the {operation} operation. Please try again later!',
        msgAjaxProgressError: '{operation} failed',
        ajaxOperations: {
            deleteThumb: 'file delete',
            uploadThumb: 'file upload',
            uploadBatch: 'batch file upload',
            uploadExtra: 'form data upload'
        },
        dropZoneTitle: 'Перетащите файлы сюда &hellip;',
        dropZoneClickTitle: '<br>(Или щёлкните, чтобы выбрать {files})',
        fileActionSettings: {
            removeTitle: 'Удалить файл',
            uploadTitle: 'Загрузить файл',
            zoomTitle: 'посмотреть детали',
            dragTitle: 'Move / Rearrange',
            indicatorNewTitle: 'Еще не загружен',
            indicatorSuccessTitle: 'Загружен',
            indicatorErrorTitle: 'Ошибка загрузки',
            indicatorLoadingTitle: 'Загрузка ...'
        },
        previewZoomButtonTitles: {
            prev: 'View previous file',
            next: 'View next file',
            toggleheader: 'Toggle header',
            fullscreen: 'Toggle full screen',
            borderless: 'Toggle borderless mode',
            close: 'Close detailed preview'
        }
    };
})(window.jQuery);



";
$this->registerJs($js);
?>














