<?php

use \yii\helpers\Url;
use yii\helpers\Html;
use kartik\widgets\Select2;
use kartik\widgets\FileInput;
use kartik\widgets\ActiveForm;
use app\modules\core\models\Language;
use yii\authclient\widgets\AuthChoice;
use app\modules\regions\models\City;
use app\modules\regions\models\Country;
use app\modules\askdoctor\models\Specialty;

use yii\bootstrap\Modal;


$this->title = Yii::t('app', 'Редактировать профиль');
$this->params['breadcrumbs'] = [
    [
        'label' => Yii::t('app', 'Ваш профиль'),
        'url' => ['/user/user/profile']
    ],
    $this->title,
];
?>

<div class="content">
    <section class="page-top-title">
        <div class="container">
            <h1><?=$this->title?></h1>
        </div>
    </section>
    <div class="panel-custom margin-0-0-30-0">
        <div class="container">
            <div class="row">
                <div class="col-md-8">
                    <div class="main-item-panel">
                        <div class="main-item-panel-left">
                            <a href="javascripti(0)" data-toggle="modal" data-target="#upload_file_model" class="image">
                                <?= Html::img($model->getThumbnail('270','270'),['class'=>'profile-image']);?>
                            </a>

                            <?
                            Modal::begin([
                                'header'=>'<h4 class="modal-title text-bold">'.Yii::t('app','Изменить фото').'</h4> <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span class="btn-close"></span> </button>',
                                'size'=>'modal-size-500',
                                'toggleButton' => false,
                                'closeButton' => false,
                                'id'=>'upload_file_model',
                                'options'=>['class'=>'avatar-file-input'],
                            ]);

                            $form_image = ActiveForm::begin([
                                'options'=>['enctype'=>'multipart/form-data'] // important
                            ]);

                            echo $form_image->field($model, 'image')->widget(FileInput::classname(), [
                                'options' => ['multiple' => false],
                                'language' =>'uz',
                                'pluginOptions' => [
                                    'uploadUrl' => Url::to(['/user/user/upload-image']),
                                    'uploadExtraData' => [
                                        'user_id' => $model->id,
                                    ],
                                    'maxFileCount' => 1,
                                    'maxFileSize' => 1024 * 1,
                                    'dropZoneEnabled'=>false,
                                    'allowedFileExtensions' => ['png','jpg'],
                                    'showCaption' => false,
                                    'showClose'   => false,
                                    'removeLabel'=>Yii::t('app','Delete'),
                                    'layoutTemplates'=>[
                                        'progress'=>'<div class="progress">
                                                        <div class="{class}" role="progressbar"
                                                     aria-valuenow="{percent}" aria-valuemin="0" aria-valuemax="100" style="width:{percent}%;">
                                                            {percent}
                                                         </div>
                                                    </div>',

                                        'footer'=>'<div class="file-thumbnail-footer">
                                                      <div class="file-footer-caption" title="{caption}">{caption}</div>
                                                      {progress}
                                                   </div>',
                                        'btnBrowse'=>'<div tabindex="500" class="{css}"{status}>{icon}'. Yii::t('app','Browse').'</div>',
                                        'btnLink'=>'<a href="{href}" tabindex="500" title="{title}" class="{css}"{status}>{icon}'.Yii::t('app','Upload').'</a>',
                                        'actionDelete'=>'',
                                    ],
                                ],
                                'pluginEvents' => [

                                    "fileuploaderror" => "function() {
                                                                                $('.fileinput-upload').attr('disabled','disabled')
                                                                             }",
                                    "fileuploaded" => "function() {
                                                                           setTimeout(function(){
                                                                            $('.fileinput-remove').click();
                                                                            $('#upload_file_model').modal('hide');
                                                                           }, 500);
                                                                             updateImage();
                                                                          }",
                                    /*
                                    "fileclear" => "function() { console.log('fileclear'); }",
                                    "filereset" => "function() { console.log('filereset'); }",
                                    "filebatchuploadcomplete" => "function() { console.log('filebatchuploadcomplete'); }",
                                    "filebatchuploadsuccess" => "function() { console.log('filebatchuploadsuccess'); }",
                                    "filecleared" => "function() { console.log('filecleared'); }",
                                    "fileerror" => "function() { console.log('fileerror'); }",
                                    "filefoldererror" => "function() { console.log('filefoldererror'); }",
                                    "filebatchuploaderror" => "function() { console.log('filebatchuploaderror'); }",
                                    "filedeleteerror" => "function() { console.log('filedeleteerror'); }",
                                    "filecustomerror" => "function() { console.log('filecustomerror'); }",
                                    "filesuccessremove" => "function() { console.log('filesuccessremove'); }",
                                    */
                                ]

                            ])->label(false);

                            ActiveForm::end();
                            echo "<div style='clear:both;'></div>";
                            Modal::end();
                            ?>


                        </div>
                        <div class="main-item-panel-right">

                            <?=\app\extensions\alert\Alert::widget() ?>

                            <?
                                $form = ActiveForm::begin([
                                    'id' => 'profile-form',
                                    'type' => ActiveForm::TYPE_VERTICAL,
                                    'options' => ['enctype' => 'multipart/form-data','class'=>'padding-15-0'],
                                ]);
                            ?>

                            <div class="row">
                                <div class="col-sm-7 col-xs-12">
                                    <?= $form->field($model, 'first_name'.Language::getLanguageForForm())->label(Yii::t('app','First Name')) ?>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-sm-7 col-xs-12">
                                    <?= $form->field($model, 'last_name'.Language::getLanguageForForm())->label(Yii::t('app','Last Name')) ?>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-sm-7 col-xs-12">
                                    <?= $form->field($model, 'middle_name'.Language::getLanguageForForm())->label(Yii::t('app','Middle name')) ?>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-sm-7 col-xs-12">
                                    <?= $form->field($model, 'email') ?>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-sm-8 col-xs-12">
                                    <?=$form->field($model, 'country_id')->widget(Select2::classname(), [
                                        'data' => Country::getListData(),
                                        'options' => ['placeholder' => Yii::t('app','Выберите страну ...')],
                                        'theme'=> 'bootstrap',
                                        'pluginOptions' => [
                                            'allowClear' => true
                                        ],
                                        'pluginEvents' => [
                                            //"change" => "function() { console.log($(this).val()); }",
                                            //"select2:opening" => "function() { log('select2:opening'); }",
                                            //"select2:open" => "function() { log('open'); }",
                                            //"select2:closing" => "function() { log('close'); }",
                                            //"select2:close" => "function() { log('close'); }",
                                            //"select2:selecting" => "function() { log('selecting'); }",
                                            "select2:select" => "function() {
                                            var data = 'country_id='+$(this).val();
                                            $.ajax({
                                                //dataType: 'json',
                                                type: 'post',
                                                data:data,
                                                url:'".Url::to(['/regions/city/ajax-city-json'])."',
                                                success:function(data_){

                                                        $('#user-city_id').html('')
                                                        $('#user-city_id').select2({ data: data_ });
                                                        $('#user-city_id').prop('disabled', false);
                                                        $('#user-city_id').select2({ width: 'resolve' });
                                                        $('#user-city_id').select2({ theme: 'bootstrap' });

                                                  }
                                              })
                                         }",
                                            //"select2:unselecting" => "function() { log('unselecting'); }",
                                            //"select2:unselect" => "function() { log('unselect'); }"
                                        ]
                                    ]); ?>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-sm-8 col-xs-12">
                                    <?=$form->field($model, 'city_id')->widget(Select2::classname(), [
                                        'data' =>City::getListDataForCountry($model->country_id),
                                        'options' => ['placeholder' => Yii::t('app','Выберите город ...')],
                                        'disabled' => ($model->country_id)?false:true,
                                        'theme'=> 'bootstrap',
                                        'pluginOptions' => [
                                            'allowClear' => true,

                                        ],
                                    ]);?>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-sm-12 col-xs-12">
                                    <button type="submit" class="btn btn-success"><?=Yii::t('app','Сохранить')?></button>
                                </div>
                            </div>

                            <?php ActiveForm::end(); ?>
                        </div>
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="filter-panel">

                        <ul class="list-unstyled nav nav-custom-type-a">
                            <li class="active">
                                <?= Html::a(Yii::t('app','Редактировать профиль'),['/user/user/profile-update']);?>
                            </li>
                            <li>
                                <?=Html::a( Yii::t('app', 'Change password'), ['/user/user/change-password']);?>
                            </li>
                            <li>
                                <?= Html::a(Yii::t('app','Удалить профиль'),['/user/user/delete-profile']);?>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<?php
$js = "
    function updateImage()
    {
        $.ajax({
            //dataType: 'json',
            type: 'post',
            url:'/user/user/user-image',
            success:function(data){
                  $('.profile-image').attr('src',data)
              }
          })
    }
    $(document).ready(function() {
        $('.fancybox').fancybox();
    });
";
$this->registerJs($js);
?>

