<?php

/**
 * @var $model \app\modules\user\models\RegistrationForm
 * @var $this \yii\web\View
 */

use kartik\widgets\ActiveForm;
use yii\helpers\Html;

$this->title = Yii::t('app', 'Signup');
$this->params['breadcrumbs'][] = $this->title;

?>
<section class="page-top-title padding-15-0">
    <div class="container">
        <h1 class="text-center"><?= Html::encode($this->title) ?></h1>
    </div>
</section>

<section class="panel-custom padding-30-0">
    <div class="container">
        <?=\app\extensions\alert\Alert::widget()?>

        <div class="form-blog login-form">
            <?php
            $form = ActiveForm::begin([
                'id' => 'signun-form',
                'type' => ActiveForm::TYPE_VERTICAL,
                // 'enableAjaxValidation' => true,
            ]);
            ?>
            <?= $form->field($model, 'first_name')->textInput(['autocomplete' => 'off']) ?>
            <?= $form->field($model, 'last_name')->textInput(['autocomplete' => 'off']) ?>
            <?= $form->field($model, 'phone',
                [
                    "template" => "
                            {label}
                        <div class='input-group-cutom-type type-left type-padding-left'>
                            <span class='input-group-addon'>+</span> {input}
                        </div>
                            {hint}
                            {error}"
                ])->textInput(['autocomplete' => 'off','placeholder'=>'998977131212','maxlength' => 12]) ?>

            <?= $form->field($model, 'password')->passwordInput(['autocomplete' => 'off']) ?>
            <?= $form->field($model, 'confirmPassword_signup')->passwordInput(['autocomplete' => 'off']) ?>

            <?/*= $form->field($model, 'user_type')->radioList([
                1=>'<span id=user_type_1>'.Yii::t('app', 'Пользователь').'</span>',
                2=>'<span id=user_type_2>'.Yii::t('app', 'Врач').'</span>',
            ])->label(false); */?>

            <div class="form-group">
                <div class="checkbox-panel">
                    <?=Html::checkbox('chec',false,['id'=>'agree',]);?>
                    <label for="agree">
                        <span><i class="fa fa-check"></i></span>
                        <p class="font-size-12"><?=Yii::t('app','I have read and agree to the terms of service')?></p>
                    </label>
                </div>
            </div>

            <div class="form-group">
                <?= Html::submitButton(Yii::t('app', 'Signup'), ['class' => 'btn btn-success full-width btn-signup','disabled'=>'disabled']) ?>
            </div>
            <?php ActiveForm::end(); ?>
            <div style="clear:both;"></div>
        </div>
    </div>
</section>

<div class="auth-clients-title"><?//=Yii::t('app','Регистрация через социальные сети')?></div>
<?
/*
= app\widgets\AuthChoice::widget([
    'baseAuthUrl' => ['/user/user/auth'],
    'clientCollection' => 'apiServiceClientCollection',
])*/ ?>
<?
 $js = "$('#agree').change(function () {
            if($('#agree').is(':checked'))
             $('.btn-signup').removeAttr('disabled');
          else
             $('.btn-signup').attr('disabled','disabled');
        })";
 $this->registerJs($js);
?>











