<?php
use \yii\helpers\Url;
use yii\widgets\ListView;
use yii\helpers\Html;
use yii\widgets\Pjax;
use app\modules\page\models\Page;
use app\modules\askdoctor\models\Clinic;

$breadcrumbs = Yii::t('app', 'Врачи');


    if($page){
        Yii::$app->view->registerMetaTag([
            'name' => 'description',
            'content' => $page->meta_description,
        ]);
        Yii::$app->view->registerMetaTag([
            'name' => 'keywords',
            'content' => $page->keywords,
        ]);

        $this->title = $page->title;
    }

$this->params['breadcrumbs'] = [
    $breadcrumbs,
];

?>

 <div class="content">
        <section class="page-top-title">
            <div class="container">
                <h1><?=$this->title?></h1>
            </div>
        </section>
        <div class="container">
            <div class="row">
                <div class="col-md-8">
                    <div class="pane-custom margin-0-0-30-0">
                        <?=\app\widgets\ListView::widget([
                            'id'=>'user-list',
                            'query'=>$query,
                            'pageSize'=>10,
                            'options' => [
                                'class' => 'list-unstyled main-item-list',
                                'tag'=>'ul'
                            ],
                            'itemView'=>'_user',
                            'btn'=>'load-more-user',
                            'event'=>[
                                'before'=>'function(){}',
                                'after'=>'function(){
                            ratingInput()
                            doctorReceptionModal()
                        }',]
                        ])?>

                        <div class="row">
                            <div class="col-xs-12 text-center">
                                <button class="btn btn-success" id="load-more-user"><?=Yii::t('app','Load more');?> <i class="loder-panel btn-loder"><img src="/img/ripple2.svg"></i></button>
                            </div>
                        </div>

                    </div>

                </div>
                <div class="col-md-4">
                    <div class="filter-panel">

                        <?=\app\widgets\filter\FilterAlphabetItemWidget::widget([
                            'id'=>'filter_specialty',
                            'title'=>Yii::t('app','Специализация'),
                            'placeholder'=>Yii::t('app','Поиск по специализация'),
                            'model_header'=>Yii::t('app','Выберите специальность врача'),
                            'dataList'=>$specialty,
                            'attribute'=>'specialty',
                        ]);?>

                        <?=\app\widgets\filter\FilterAlphabetItemWidget::widget([
                            'id'=>'filter_clinics',
                            'title'=>Yii::t('app','Clinic'),
                            'placeholder'=>Yii::t('app','Search for clinic'),
                            'model_header'=>Yii::t('app','select clinic'),
                            'dataList'=>$clinics,
                            'attribute'=>'clinic',
                        ]);?>


                        <?=\app\widgets\filter\FilterListGroupWidget::widget([
                            'id'=>'filter_area',
                            'title'=>Yii::t('app','region'),
                            'placeholder'=>Yii::t('app','Search for region'),
                            'model_header'=>Yii::t('app','select region'),
                            'dataList'=>$citys,
                            'attribute'=>'area',
                        ]);?>

                        <?=\app\widgets\filter\FilterCategoryWidget::widget([
                            'id'=>'filter_analysis',
                            'title'=>Yii::t('app','Analysis'),
                            'placeholder'=>Yii::t('app','Search for analysis'),
                            'attribute'=>'analysis',
                            'slug'=>'analysis',
                        ]);?>

                        <?=\app\widgets\filter\FilterCategoryWidget::widget([
                            'id'=>'filter_service',
                            'title'=>Yii::t('app','Service'),
                            'placeholder'=>Yii::t('app','Search for service'),
                            'attribute'=>'service',
                            'slug'=>'service',
                        ]);?>
                        <div class="filter-panel-bottom text-center">
                            <a href="<?=Url::to(['/user/user/list'])?>" class="btn btn-danger"><?=Yii::t('app','Очистить');?></a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

<?=\app\modules\askdoctor\widgets\DoctorReceptionModal::widget();?>
<?php
$js = "


";

$this->registerJs($js);
?>


