<?php

use yii\helpers\Url;
use yii\widgets\Pjax;
use yii\helpers\Html;
use yii\widgets\ListView;
use kartik\widgets\FileInput;
use kartik\widgets\DatePicker;
use kartik\widgets\ActiveForm;
use yii\authclient\widgets\AuthChoice;

$this->title = $model->first_name." ".$model->last_name." ".$model->title;

$this->params['breadcrumbs'] = [
    $model->first_name." ".$model->last_name,
   ];
?>

<div class="content">
    <section class="page-top-title">
        <div class="container">
            <h1><?=Yii::t('app','doctor profile');?></h1>
        </div>
    </section>
    <div class="container">
        <div class="row">
            <div class="col-md-8">
                <div class="main-item-panel margin-0-0-30-0">
                    <div class="main-item-panel-left">
                        <a href="#" class="image">
                            <?= Html::img($model->getThumbnail('270','270'));?>
                        </a>
                        <p class="last-login font-size-10"><?=$model->getLastLogin()?></p>
                        <h3 class="raiting-total text-bold"><?=$model->getRaringCount()?></h3>
                        <div class="raiting-block no-caption">
                            <input value="<?=$model->getRaringCount()?>" type="text" class="rating-input_" disabled data-size="xs"/>
                        </div>
                        <span class="reviews-count"><?=$model->getReviewsCount()?> <?= Yii::t('app','review'); ?></span>
                        <div class="experience"><i class="icon-doctor-min"></i> <?=$model->work_experience?> <?=Yii::t('app','year experience');?></div>
                    </div>
                    <div class="main-item-panel-right">
                        <a href="#" class="name"><?=$model->first_name.' '.$model->last_name ?></a>
                        <span class="speciality"><?=$model->getSpecialty()->name?></span>

                        <div class="main-item-panel-left-bottom">
                            <a href="<?=Url::to(['/askdoctor/questions/questions','doctor_id'=>$model->id])?>" class="btn btn-success"><?=Yii::t('app','Задать вопрос');?></a>
                            <a href="#" class="btn btn-success doctor-reception-modal" data-id="<?=$model->id?>"><?=Yii::t('app','Записаться на прием');?> <i class="loder-panel btn-loder"><img src="/img/ripple2.svg"></i></a>
                        </div>

                        <div class="description">
                            <p>
                                <?=$model->keywords?>
                            </p>
                        </div>

                        <div class="place-work-panel">
                            <a href="#" class="text-bold"><?=$model->getClinic()->name?></a>
                            <div class="place-work-address">
                                <i class="fa fa-map-marker" aria-hidden="true"></i>
                                <p><?=$model->getClinic()->address?></p>
                            </div>
                        </div>

                        <div class="place-work-panel">
                            <a href="#" class="text-bold"><?=Yii::t('app','Образование')?></a>
                            <div class="place-work-address">
                                <i class="fa fa-mortar-board" aria-hidden="true"></i>
                                    <span>
                                        <p> <?=$model->education?></p>
                                    </span>
                            </div>
                        </div>

                        <div class="place-work-panel">
                            <a href="#" class="text-bold"><?=Yii::t('app','Опыт работы')?></a>
                            <div class="place-work-address">
                                <i class="fa fa-stethoscope" aria-hidden="true"></i>
                                    <span>
                                        <p><?=$model->experience?></p>
                                    </span>
                            </div>
                        </div>

                    </div>
                    <div class="row">

                    <?=\app\modules\user\widgets\UserFileGallreyScroll::widget(['user_id'=>$model->id]); ?>

                    <div class="main-item-pane-bottom">
                        <ul class="nav nav-tabs type-a">
                            <li class="active"><a href="#panel-1" data-toggle="tab" aria-expanded="true"><i class="fa fa-plus-square" aria-hidden="true"></i><?=Yii::t('app','о врачах');?> </a></li>
                            <li><a href="#panel-4" data-toggle="tab" aria-expanded="false"><i class="fa fa-commenting" aria-hidden="true"></i><?=Yii::t('app','Отзывы');?> <?=$model->getReviewsCount()?></a></li>
                            <li><a href="#panel-5" data-toggle="tab" aria-expanded="false"><i class="fa fa-newspaper-o" aria-hidden="true"></i><?=Yii::t('app','Новости');?></a></li>
                        </ul>
                        <div class="tab-content">
                            <div role="tabpanel" class="tab-pane fade active in" id="panel-1">
                                <div class="raiting-statistics-panel">
                                    <div class="col-sm-8">
                                        <div class="row">
                                            <div class="col-sm-6 ">
                                                <p><?=Yii::t('app','Средний бал');?> </p>
                                                <span class="text-bold font-size-40"><?=$model->getRaringCount()?></span>
                                            </div>
                                            <div class="col-sm-6 ">
                                                <p><?=Yii::t('app','Кол-во отзывов');?></p>
                                                <span class="text-bold font-size-40"><?=$model->getReviewsCount()?></span>
                                            </div>
                                            <div class="col-sm-9">
                                                <p class="text"><i class="fa fa-star-half-full" aria-hidden="true"></i> <?=Yii::t('app','Рейтинг врача рассчитывается на основе реальных отзывов пациентов');?></p>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="col-sm-4 ">
                                        <p><?=Yii::t('app','Рейтинг врача');?> </p>
                                        <div class="raiting-block no-caption">
                                            <input value="<?=$model->rating?>" type="text" class="rating-input_" disabled data-size="xs"/>
                                        </div>
                                    </div>
                                </div>
                                <div class="panel-border-top">
                                    <div class="col-xs-12">
                                        <?=$model->description?>
                                    </div>
                                </div>
                            </div>
                            <div role="tabpanel" class="tab-pane fade" id="panel-4">
                                <?=$this->render('_user-comment',['model'=>$model]);?>
                            </div>
                            <div role="tabpanel" class="tab-pane fade" id="panel-5">
                                <?=$this->render('_page-list',['model'=>$model,'query_page'=>$query_page]);?>
                            </div>
                        </div>
                    </div>

                    </div>
                </div>

            </div>
            <div class="col-md-4">
                <div class="filter-panel">

                    <div class="col-xs-12">
                        <p class="text-bold margin-15-0-0-0"><?=Yii::t('app','Похожие врачи')?></p>
                    </div>

                        <?=\app\widgets\ListView::widget([
                            'id'=>'user-list',
                            'query'=>$doctorQuery,
                            'pageSize'=>10,
                            'options' => [
                                'class' => 'list-unstyled min-user-list',
                                'tag'=>'ul'
                            ],
                            'itemView'=>'_min-item-type',
                            'btn'=>'load-more-user',
                            'event'=>[
                                'before'=>'function(){}',
                                'after'=>'function(){}',]
                        ])?>




                </div>
            </div>
        </div>
    </div>
</div>
<?=\app\modules\askdoctor\widgets\DoctorReceptionModal::widget();?>




