<?php

use yii\helpers\Url;
use yii\widgets\Pjax;
use yii\helpers\Html;
use yii\widgets\ListView;
use kartik\widgets\FileInput;
use kartik\widgets\DatePicker;
use kartik\widgets\ActiveForm;
use yii\authclient\widgets\AuthChoice;

$this->title = $model->first_name." ".$model->last_name." ".$model->title;

$this->params['breadcrumbs'] = [
    $model->first_name." ".$model->last_name,
];
?>

<div class="content">
    <section class="page-top-title">
        <div class="container">
            <h1><?//=Yii::t('app','doctor profile');?></h1>
        </div>
    </section>
    <div class="container">
        <div class="row">
            <div class="col-md-9">
                <div class="main-item-panel margin-0-0-30-0">
                    <div class="main-item-panel-left">
                        <a href="#" class="image">
                            <?= Html::img($model->getThumbnail('270','270'));?>
                        </a>
                        <p class="last-login font-size-10"><?=$model->getLastLogin()?></p>
                    </div>
                    <div class="main-item-panel-right">
                        <a  class="name"><?=$model->first_name.' '.$model->last_name ?></a>

                        <hr>

                        <div class="place-work-panel">
                            <a class="text-bold"><?=Yii::t('app','Зарегистрирован')?></a>
                            <div class="place-work-address">
                                <i class="fa fa-calendar-check-o"></i>
                                    <span>
                                        <p class="text-bold">
                                          <?= Yii::$app->formatter->asDate($model->create_time, 'long')?>
                                        </p>
                                    </span>
                            </div>
                        </div>


                        <div class="place-work-panel">
                            <a  class="text-bold"><?=Yii::t('app','date birth')?></a>
                            <div class="place-work-address">
                                <i class="fa fa-calendar"></i>
                                    <span>
                                        <p class="text-bold">
                                            <?= Yii::$app->formatter->asDate($model->date_birth, 'long')?>
                                        </p>
                                    </span>
                            </div>
                        </div>

                        <?if($country = $model->getCountry()->one()):?>
                            <div class="place-work-panel">
                                <a href="#" class="text-bold"><?=Yii::t('app','country')?></a>
                                <div class="place-work-address">
                                    <i class="fa fa-globe"></i>
                                    <span>
                                        <p class="font-size-18 text-bold">
                                            <?=$country->name?>
                                        </p>
                                    </span>
                                </div>
                            </div>
                        <?endif?>


                        <?if($city = $model->getCity()->one()):?>
                            <div class="place-work-panel">
                                <a class="text-bold"><?=Yii::t('app','city')?></a>
                                <div class="place-work-address">
                                    <i class="fa fa-map-marker"></i>
                                    <span>
                                        <p class="text-bold">
                                            <?=$city->name?>
                                        </p>
                                    </span>
                                </div>
                            </div>
                        <?endif?>




                    </div>
                </div>

            </div>
            <div class="col-md-4">
                <div class="filter-panel">

                </div>
            </div>
        </div>
    </div>
</div>
<?=\app\modules\askdoctor\widgets\DoctorReceptionModal::widget();?>




