<?php
use yii\helpers\Html;
use yii\helpers\Url;

if($count_new_question > 0)
    $question_badge = 'badge-custom';
else
    $question = '';

if($countHistory > 0)
    $countHistoryBadge = 'badge-custom';
else
    $countHistoryBadge = '';


if($notificationCount > 0)
    $notificationCountBadge = 'badge-custom';
else
    $notificationCountBadge = '';


?>
<?if($user):?>
       <div class="user-fixed-panel scrollbar-custom">
           <span class="btn-close user-fixed-panel-close"></span>
           <div class="user-panel-custom">
               <a href="<?=Url::toRoute(['/user/user/profile'])?>" class="image-panel">
                   <span class="image">
                       <?= Html::img($user->getThumbnail('100','100'));?>
                   </span>
                   <i class="fa fa-camera" aria-hidden="true"></i>
               </a>
               <p class="name"><?=$user->first_name.' '.$user->last_name?></p>
           </div>
           <ul class="list-unstyled nav-custom-type">
               <?if($user->user_type == 1):?>
               <li>
                   <a href="<?=Url::to(['/user/user/list'])?>">
                       <i class="add-chat"></i>
                       <span><?=Yii::t('app','Задайте вопрос')?></span>
                   </a>
               </li>
               <?endif?>
               <li>
                   <a href="<?=Url::to(['/askdoctor/questions/questions'])?>">
                       <i class="chat <?=$question_badge?>"></i>
                       <span><?=Yii::t('app','Сообщения')?></span>
                   </a>
               </li>
               <li>
                   <a href="<?=Url::to(['/notification/notification/list'])?>">
                       <i class="notification <?=$notificationCountBadge?>"></i>
                       <span><?=Yii::t('app','Уведомления')?></span>
                   </a>
               </li>

               <?if($user->user_type == 1):?>
                   <li>
                       <a href="<?=Url::to(['/medbase/med-history/index'])?>">
                           <i class="heartbeat <?=$countHistoryBadge?>"></i>
                           <span><?=Yii::t('app','История болезни')?></span>
                       </a>
                   </li>
               <?endif?>

               <li>
                   <a href="<?=Url::to(['/askdoctor/doctor-reception/index'])?>">
                       <i class="receptionist"></i>
                       <span><?=Yii::t('app','Запис на прием')?></span>
                   </a>
               </li>
               <?/*?>
               <li>
                   <a href="#">
                       <i class="help"></i>
                       <span><?=Yii::t('app','Помощь и поддержка')?></span>
                   </a>
               </li>
               <?*/?>
               <li>
                   <a href="<?=Url::to(['/page/page/encyclopedia'])?>">
                       <i class="encyclopedia"></i>
                       <span><?=Yii::t('app','Encyclopedia')?></span>
                   </a>
               </li>
               <li>
                   <a href="<?=Url::to(['/user/user/profile-update'])?>">
                       <i class="setting"></i>
                       <span><?=Yii::t('app','настройки')?></span>
                   </a>
               </li>
               <li>
                   <a href="<?=Url::toRoute(['/user/user/logout'])?>">
                       <i class="log-aut"></i>
                       <?= Yii::t('app', 'Logout')?>
                   </a>
               </li>
           </ul>
       </div>

<!--
<div class="user-authorized pull-right">
    <a href="<?=Url::toRoute(['/user/user/profile'])?>">
         <?=$user->first_name?>
         <?if($count_new_question > 0):?>
            <span><?=$count_new_question?></span>
         <?endif;?>
         <?//= Html::img($user->getThumbnail('31','31'));?>
    </a>
    <ul class="list-unstyled">
        <li><a href="<?=Url::toRoute(['/user/user/profile'])?>"><?= Yii::t('app', 'Мой профиль')?></a></li>
        <li>
            <a href="<?=Url::toRoute(['/askdoctor/questions/question-list'])?>"><?= Yii::t('app', 'Сообщения')?> 
                <span>
                     <?if($count_new_question > 0):?>
                        <?=$count_new_question?>
                     <?endif;?>
                </span>
            </a>
        </li>
        <?if($user->isDoctor()):?>
        <li><a href="<?=Url::toRoute(['/page/page/create'])?>"><?= Yii::t('app', 'Мой статьи')?></a></li>
        <?endif;?>
        <li></li>
    </ul>
</div>
-->
<?endif?>



