<?php
use yii\helpers\Html;
use yii\bootstrap\ActiveForm;
use yii\captcha\Captcha;

use app\extensions\menu\Menu;
use app\extensions\sms\Sms;
use app\widgets\navigation\models\Navigation;

/* @var $this yii\web\View */
/* @var $form yii\bootstrap\ActiveForm */
/* @var $model app\models\ContactForm */

$this->title = Yii::t('app','Контакты');
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="content">
    <section class="page-top-title padding-15-0">
        <div class="container">
            <h1><?=Yii::t('app','Контакты')?></h1>
        </div>
    </section>

    <section class="panel-custom margin-0-0-30-0">
        <div class="container">
            <div class="panel-border">

                <div class="col-xs-12">
                    <h3><?=Yii::t('app','Контактная информация')?></h3>

                    <ul class="list-unstyled contact-data-list">
                        <li><a href="tel:+998 97 713-12-12"><i class="fa fa-phone" aria-hidden="true"></i>+998 97 713-12-12</a></li>
                        <li><a href="mailto:info@askdoctor.uz"><i class="fa fa-envelope-o" aria-hidden="true"></i>info@askdoctor.uz</a></li>
                        <li><a href="https://www.facebook.com/askdoctor.uz"><i class="fa fa-facebook" aria-hidden="true"></i>facebook.com/askdoctor.uz</a></li>
                        <li><a href="https://telegram.me/askdoctor"><i class="fa fa-paper-plane" aria-hidden="true"></i>telegram.me/askdoctor</a></li>
                    </ul>


                    <div  class="row">
                        <div class="col-xs-12">
                            <h3><?=Yii::t('app','Форма обратной связи')?></h3>
                        </div>
                    </div>
                    <?=\app\extensions\alert\Alert::widget()?>
                    <div class="contact-form">
                        <?php $form = ActiveForm::begin(['id' => 'contact-form']); ?>
                        <div class="row">
                            <div class="col-sm-6">
                                <?= $form->field($model, 'name') ?>
                                <?= $form->field($model, 'email') ?>
                                <?= $form->field($model, 'subject') ?>
                            </div>
                            <div class="col-sm-6">
                                <?= $form->field($model, 'body')->textArea(['rows' => 6]) ?>

                                <div class="form-group">
                                    <button type="submit" class="btn btn-success full-width" ><?=Yii::t('app','Send')?></button>
                                </div>

                            </div>
                        </div>
                        <?php ActiveForm::end(); ?>
                    </div>

                </div>

            </div>
        </div>
    </section>
</div>
<?
/*
 $sms = new Sms;
 
 if($sms->send('998909937099','Тест смс',true))
    echo 'Y';
 else
    echo 'N' 
*/  
?>

