<?php
use yii\helpers\Url;
use app\extensions\menu\Menu;
use app\widgets\navigation\models\Navigation;
?>

<!-- Before footer -->
<footer>
    <div class="container">
        <div class="col-sm-2 col-xs-12">
            <p class="text-uppercase text-bold font-size-16"><?=Navigation::find()->where(['url'=>'service'])->one()->name;?></p>

            <?
            $service_menu  = Navigation::getMenu('service');
            echo Menu::widget([
                'options'=>['class'=>'list-unstyled nav-panel'],
                'activateParents'=>false,
                'submenuTemplate' => "\n<ul class='dropdown-menu'>\n{items}\n</ul>\n",
                'items' => $service_menu,
            ]);

            ?>
        </div>
        <div class="col-sm-2 col-xs-12">
            <div class="row">
                <p class="text-uppercase text-bold font-size-16"><?=Navigation::find()->where(['url'=>'patient'])->one()->name;?></p>
                <?
                $patient_menu  = Navigation::getMenu('patient');
                echo Menu::widget([
                    'options'=>['class'=>'list-unstyled nav-panel'],
                    'activateParents'=>false,
                    'submenuTemplate' => "\n<ul class='dropdown-menu'>\n{items}\n</ul>\n",
                    'items' => $patient_menu,
                ]);

                ?>
            </div>
        </div>
        <div class="col-sm-3 col-xs-12">
            <?
            $empty_menu  = Navigation::getMenu('empty');
            echo Menu::widget([
                'options'=>['class'=>'list-unstyled nav-panel padding-30-0'],
                'activateParents'=>false,
                'submenuTemplate' => "\n<ul class='dropdown-menu'>\n{items}\n</ul>\n",
                'items' => $empty_menu,
            ]);

            ?>
        </div>
        <div class="col-sm-5 col-xs-12 footer-info">
            <p class="p-margin text-uppercase text-bold font-size-16"><?=Yii::t('app','Звоните нам')?></p>
            <p class="p-margin text-light font-size-16"> <i class="fa fa-clock-o" aria-hidden="true"></i><?=app\modules\core\widgets\includefile\IncludeFile::widget(['file' => 'footer_text_1']);?> </p>
            <p class="p-margin text-light font-size-16"> <i class="fa fa-phone" aria-hidden="true"></i> (+998 97) 713-12-12</p>
            <div class="row">
                <a data-toggle="modal" data-target="#back_call"  href="#" class="text-light link col-sm-6 col-xs-12"><i class="fa fa-reply" aria-hidden="true"></i> <?=Yii::t('app','Обратный звонок')?></a>
            </div>
        </div>
    </div>
    <div class="footer-bottom">
        <div class="container">
            <p class="text-color-9ba3a7 margin-0">© <?=Yii::t('app','2014-2017 AskDoctor. Все права защищены.')?></p>
            <ul class="list-unstyled social-list">
                <?=app\modules\core\widgets\includefile\IncludeFile::widget(['file' => 'social-list']);?>
            </ul>

        </div>
    </div>
</footer>
<?php $this->endBody() ?>
</body>


