<?php
include('blocks/header.php');

use \Yii;
use yii\helpers\Url;
use yii\widgets\Breadcrumbs;
use app\extensions\menu\Menu;
use app\widgets\LanguageSelector;
use app\extensions\menu\MobileMenu;
use app\modules\core\models\Language;
use app\modules\user\widgets\UserAuthorized;
use app\widgets\navigation\models\Navigation;
use app\modules\user\models\User;

$user = User::findIdentity(Yii::$app->user->id);
?>
    <body class="window-load login">
<?php //$this->beginBody() ?>
    <div id="mobile-menu" class="monile-panel">
        <div class="monile-panel-header">
            <?=LanguageSelector::widget([
                'options'=>['class'=>'list-unstyled language']
            ]);?>
            <?=Yii::t('app','AppStore');?>
            <?=Yii::t('app','GooglePlay');?>
        </div>
        <div class="monile-panel-body">

            <?
            $mein_navigation  = Navigation::getMenu('mainMenu');
            echo Menu::widget([
                'options'=>['class'=>'list-unstyled nav mobile-nav'],
                'activateParents'=>false,
                'submenuTemplate' => "\n<ul class='dropdown-menu'>\n{items}\n</ul>\n",
                'items' => $mein_navigation,
            ]);
            ?>
        </div>
        <div class="monile-panel-footer">
            <?if($user->user_type != 2):?>
                <a href="<?=Url::to(['/user/user/list'])?>" class="btn btn-success full-width btn-question"><?=Yii::t('app','Задайте вопрос')?></a>
            <?endif?>
        </div>

    </div>

    <main id="main-panel">
        <span class="main-panel_"></span>
        <?=UserAuthorized::widget(['viewFile'=>'user-authorized/view']);?>

        <!-- Before header -->
        <header>
            <div class="container">
                <div class="row">
                    <div class="left col-md-5">
                        <a href="<?=Url::to(['/default/index'])?>" class="logo"><img src="/img/logo.png"></a>
                        <?
                        $mein_navigation  = Navigation::getMenu('mainMenu');
                        echo Menu::widget([
                            'options'=>['class'=>'list-unstyled nav-header'],
                            'activateParents'=>false,
                            'submenuTemplate' => "\n<ul class='dropdown-menu'>\n{items}\n</ul>\n",
                            'items' => $mein_navigation,
                        ]);
                        ?>
                    </div>
                    <div class="right col-md-7">
                        <button class="btn-mobile-menu toggle-button"></button>
                        <?=UserAuthorized::widget(['viewFile'=>'user-authorized/mobile-btn-user-panel']);?>
                        <a href="<?=Url::to(['/default/index'])?>" class="logo"><img src="/img/logo.png"></a>
                        <?=Yii::t('app','AppStore');?>
                        <?=Yii::t('app','GooglePlay');?>

                        <?=LanguageSelector::widget([
                            'options'=>['class'=>'list-unstyled language']
                        ]);?>
                        <button class="btn btn-search"><i class="fa fa-search" aria-hidden="true"></i></button>
                        <span class="phone_"><i class="fa fa-phone" aria-hidden="true"></i> (+998 97) 713-12-12</span>

                        <?if($user->user_type != 2):?>
                            <a href="<?=Url::to(['/user/user/list'])?>" class="btn btn-success btn-question"><?=Yii::t('app','Задайте вопрос')?></a>
                        <?endif?>

                    </div>
                </div>
            </div>
            <?=\app\widgets\AutoCompleteSearchUser::widget([
                'id'          => 'header-user-autoCompleteSearch',
                'url'         => Url::to(['/user/user/doctor-search-ajax']),
                'placeholder' => Yii::t('app','Введите специальность или фамилию врача'),
            ])?>
        </header>

        <!-- End header -->

        <!-- Before content -->
        <?=$content?>
        <!-- End content -->
    </main>


<?php $this->endBody() ?>
    </body>
<!-- Modal -->
<div class="modal fade" id="modal-info" tabindex="-1" role="dialog">
    <div class="modal-dialog modal-info" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title text-bold"></h4>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span class="btn-close"></span> </button>
            </div>
            <div class="modal-body padding-0-15">
                <div class="alert alert-success" role="alert"> <strong>Well done!</strong> You successfully read this important alert message. </div>
            </div>
        </div>
    </div>
</div>
</html>
<?php $this->endPage() ?>
