/* Korzinkaning modalniy oknosini html bilan toldirish yani rezultatlani yozish */
function showCart(res)
{
	$('#cart .modal-body').html(res);

	// modalniy oknoni ishga tushirish
	$('#cart').modal();
}


/* korzinkani shundo korish uchun funksiya */
function getCart()
{
	$.ajax({
		url: '/ru/cart/show', 
		type: 'GET', // get metodi bilan
		success: function(res){ 
			if( !(res) ) alert('Oshibka'); 
						
			showCart(res); // modalniy-okno chiqadi faqat 'pustoy korzinka' dib
		},
		error: function() {
			alert('Error!');
		}
	});

	return false;
}


/* Korzinkadan bittalab zagaslani ochirish uchun ajax zapros */
// $('.del-item') qilib viborka qise oshibka boladi chunki korzinka dinamik bunaqa holatda faqat jquery oldindan mavjudini yani statikini ishlatolidi
// dinamik kodlarni ishlatish uchun quyidagicha: ota teglari mavjud oshalani birinchi olamiza:
$('#cart .modal-body').on('click', '.del-item', function() {
	var id = $(this).data('id');

	$.ajax({
		url: '/ru/cart/del-item', // qaysi adresga danniylani yuborish
		data: {id: id}, // 'var id' ni 'id' peremenna qilib yuborish
		type: 'GET', 
		success: function(res){
			if( !(res) ) alert('Oshibka');
						
			showCart(res);
		},
		error: function() {
			alert('Error!');
		}
	});
});


/* Korzinkadan zagaslani hammasini ochirish ajax zaprosdan foydalanib */
function clearCart()
{
	$.ajax({
		url: '/ru/cart/clear', 
		type: 'GET', // get metodi bilan
		success: function(res){ 
			if( !(res) ) alert('Oshibka'); 
						
			showCart(res); // modalniy-okno chiqadi faqat 'pustoy korzinka' dib
		},
		error: function() {
			alert('Error!');
		}
	});
}

/* Korzinkaga zagazlani qoshish uchun Ajax zapros */
//$('#addToCart, .add-to-cart').on('click', function (e) {
$(document).on('click', '#addToCart, .add-to-cart', function(e) {
	e.preventDefault(); // yengi oyna ochilmasligi yani zagruzka bolmasli uchun toxtatish
	var id = $(this).data('id'), // ushbu klasga tegishli data-id atributi bor oshani qiymatini olish
		qty = $('#qty').val(); // zagasni sonini kirgizadigan polyadan qiymatni olish. agar boshqa 'qty' sini kiritadigan polyasi yo joydan zagas qilgan bosa bu peremenna 0 boladi

	$.ajax({
		url: '/ru/cart/add', // qaysi adresga danniylani yuborish
		data: {id: id, qty: qty}, // 'var id' ni 'id', 'var qty' ni 'qty' peremenna qilib serverga yuborish. yani bulani get yoki post orqali qabul qilib olinadi
		type: 'GET', // get metodi bilan
		success: function(res){ //res parametrini qabul qiladi. yani controller amallarni bajarib viewga murojat qiladi. viewda control yiggan danniyladan foydalanib modalniy oknoni html kodi hosil qilinadi va osha narsa 'res' yani natija bolib buyoqqa keladi. keyin tekshirilib modalniy okno korsatiladi
			if( !(res) ) alert('Oshibka'); // agar rezultat bosh bosa oshibka chiqarish
			
			// console.log(res); // isledovat element qilib consol bolimida chiqarish
			showCart(res); // tayyor view ning kodlarini funksiyaga yuborish. qoshgandan keyin srazi modulniy oynani chiqarish uchun
		},
		error: function() {
			alert('Error!');
		}
	});
});