<?php

use \Yii;
use yii\helpers\Html;
use yii\helpers\Url;
use app\modules\page\widgets\PagesList;
use yii\widgets\ListView;
use yii\widgets\Pjax;

$this->title =  $model->title;
$this->params['breadcrumbs'] = [

    [
        'label' =>Yii::t('app','Новости'),
        'url' => ['/page/page/news']
    ],

    $model->breadcrumbs_label,
];

if($user = $model->getUser()->one())
   $author = true;
else
    $author = false;
?>
<div class="content">
    <section class="page-top-title">
        <div class="container">
            <h1><?=$model->title?></h1>
        </div>
    </section>
    <div class="container">
        <div class="row">
            <div class="col-md-8">
                <div class="main-item-panel margin-0-0-30-0">
                    <div class="row">
                        <div class="col-sm-12 page-detail">
                            <p><img src="<?
                                if($model->getMainImage()->one())
                                    echo $model->getMainImage()->one()->file_name;
                                ?>"></p>
                            <p class="font-size-12 text-uppercase text-color-78909c">
                                <span ><?= Yii::$app->formatter->asDate($model->date_added, 'long')?></span>
                                <?if($author):?>
                                <span class=" padding-0-15">
                                    <?= Yii::t('app','Автор'); ?> :
                                    <a href="<?=Url::to(['/user/user/view','id'=>$user->id])?>" class="link-custom"><?=$user->first_name.' '.$user->last_name?></a>
                                </span>
                                <?endif?>
                            </p>
                            <p class="font-size-24 text-bold text-color-4caf50"><?=$model->title?></p>
                            <?=$model->content?>
                        </div>
                        <div class="main-item-pane-bottom">
                            <ul class="nav nav-tabs nav-justified type-a">
                                <li class="active"><a href="#panel-4" data-toggle="tab" aria-expanded="false"><i class="fa fa-commenting" aria-hidden="true"></i> <?=Yii::t('app','Отзывы');?></a></li>
                                <li><a href="#panel-5" data-toggle="tab" aria-expanded="false"><i class="fa fa-newspaper-o" aria-hidden="true"></i> <?= Yii::t('app','Другие овости');?></a></li>
                            </ul>
                            <div class="tab-content">
                                <div role="tabpanel" class="tab-pane fade active in" id="panel-4">
                                    <?= \app\modules\review\widgets\ReviewsWidget::widget(
                                        [
                                            'model' => $model,
                                        ]);
                                    ?>

                                </div>
                                <div role="tabpanel" class="tab-pane fade" id="panel-5">
                                    <?=\app\widgets\ListView::widget([
                                        'id'=>'page-list-published',
                                        'query'=>$page_query,
                                        'pageSize'=>10,
                                        'options' => [
                                            'class' => 'list-unstyled min-news-list-custom',
                                            'tag'=>'ul'
                                        ],
                                        'itemView'=>'//../modules/page/views/page/_min-item',
                                        'btn'=>'load-more-page',
                                        'event'=>[
                                            'before'=>'function(){}',
                                            'after'=>'function(){}',
                                        ]
                                    ])?>


                                    <div class="row">
                                        <div class="col-xs-12 text-center">
                                            <button class="btn btn-success" id="load-more-page"><?=Yii::t('app','Load more');?> <i class="loder-panel btn-loder"><img src="/img/ripple2.svg"></i></button>
                                        </div>
                                    </div>



                                </div>
                            </div>
                        </div>

                    </div>
                </div>

            </div>
            <div class="col-sm-4">
                <div class="filter-panel padding-15-0">
                    <div class="col-xs-12">
                        <?if($clinic = $model->getClinic()->one()):?>
                            <p class="text-bold text-uppercase margin-15-0"><?=Yii::t('app','Clinic')?></p>
                            <div class="special-panel border-bottom">
                                <div class="image">
                                    <img src="<?
                                    if($clinic->getMainImage()->one())
                                        echo $clinic->getMainImage()->one()->getThumbnail('120','70');
                                    else
                                        echo $clinic->getModelImage()->getThumbnailNotImage('120','70');

                                    ?>">
                                </div>
                                <div class="text-panel">
                                    <a href="<?=Url::to(['/medbase/clinic/view','url'=>$clinic->slug])?>" class="link-custom"><?=$clinic->name?></a>
                                </div>
                            </div>

                        <?endif?>

                        <?if($user = $model->getUser()->one()):?>
                            <p class="text-bold text-uppercase margin-15-0-0-0"><?=Yii::t('app','Автор')?></p>
                            <ul class="list-unstyled chat-list custom">
                                <li>
                                    <a href="<?=Url::to(['/user/user/view','id'=>$user->id])?>">
                                        <div class="left-panel">
                                            <div class="image">
                                                <img src="<?=$user->getThumbnail('135','135')?>">
                                            </div>
                                        </div>
                                        <div class="right-panel">
                                            <p class="name"><?=$user->first_name." ".$user->last_name?></p>
                                            <span class="speciality"><?=$user->getSpecialty()->name?></span>
                                        </div>
                                    </a>
                                </li>
                            </ul>
                        <?endif?>

                    </div>

                </div>
            </div>
        </div>
    </div>
</div>

