<?php

use \Yii;
use yii\helpers\Url;

$this->title = Yii::t('app','Новости');
$this->params['breadcrumbs'] = [
    $this->title,
];
?>

<div class="content">
    <section class="page-top-title">
        <div class="container">
            <h1> <?=$this->title?></h1>
        </div>
    </section>
    <div class="container">
        <div class="row">
            <div class="col-sm-8">


                <div class="panel-border">
                    <?=\app\widgets\ListView::widget([
                        'id'=>'news-list',
                        'query'=>$pageQuery,
                        'pageSize'=>5,
                        'options' => [
                            'class' => 'list-unstyled list-item-type',
                            'tag'=>'ul'
                        ],
                        'itemView'=>'_page-item',
                        'btn'=>'load-more-news-list',
                        'event'=>[
                            'before'=>'function(){}',
                            'after'=>'function(){}',
                        ]
                    ])?>

                </div>

                <div class="row">
                    <div class="col-xs-12 text-center margin-15-0">
                        <button class="btn btn-success" id="load-more-news-list"><?=Yii::t('app','Load more');?> <i class="loder-panel btn-loder"><img src="/img/ripple2.svg"></i></button>
                    </div>
                </div>

            </div>
            <div class="col-sm-4">
                <div class="filter-panel">
                    <div class="col-xs-12">
                        <?=\app\widgets\filter\FilterDatepickerWidget::widget([
                            'id'=>'filter_date',
                            'title'=>Yii::t('app','Архив'),
                            'attribute'=>'created',
                        ]);?>
                    </div>
                </div>
            </div>
        </div>
    </div>


</div>










<?
$js = "

";

 $this->registerJs($js);
 
 ?> 