<?php

use yii\helpers\Url;
use yii\bootstrap\ActiveForm;

if($page) {
    Yii::$app->view->registerMetaTag([
        'name' => 'description',
        'content' => $page->meta_description,
    ]);
    Yii::$app->view->registerMetaTag([
        'name' => 'keywords',
        'content' => $page->keywords,
    ]);

    $this->title = $page->name;
}
?>

<?=Yii::$app->controller->renderPartial('/layouts/blocks/innerHeader')?>

<div class="content type-a ">
    <section class="inner-page-bg">
        <div class="bearstrokes">
            <div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div>
        </div>
    </section>

    <section class="contact-page-panel panel-custom padding-0-0-30">
        <h1 class="title-type-a animated flipInY margin-20-0"><?=$page->name?></h1>
        <div class="map-panel">

            <div id="map"></div>

        </div>
        <div class="container">
            <div class="row contact-info-wrap custom--contact-info-wrap">
                <div class="col-sm-6 col-xs-12">
                    <div class="contact-info-panel">
                        <p class="font-size-20 text-center">
                            <?=app\modules\core\widgets\includefile\IncludeFile::widget(['file' => 'address']);?>
                        </p>

                        <hr class="margin-15-0">
                        <p class="text-uppercase text-color-9ba3a7 font-size-12"><?=Yii::t('app','СВЯЗЬ ЧЕРЕЗ WHATSAPP, VIBER, TELEGRAM')?> :</p>
                        <p>
                            <?=app\modules\core\widgets\includefile\IncludeFile::widget(['file' => 'phone_1']);?>
                        </p>

                        <hr class="margin-15-0">
                        <p class="text-uppercase text-color-9ba3a7 font-size-12"><?=Yii::t('app','Офис в Ташкенте')?> : </p>
                        <p>
                            <?=app\modules\core\widgets\includefile\IncludeFile::widget(['file' => 'phone_2']);?>
                        </p>

                        <hr class="margin-15-0">
                        <p class="text-uppercase text-color-9ba3a7 font-size-12"><?=Yii::t('app','Отдел маркетинга')?> : </p>
                        <p>
                            <?=app\modules\core\widgets\includefile\IncludeFile::widget(['file' => 'phone_3']);?>
                        </p>

                        <hr class="margin-15-0">
                        <p class="text-uppercase text-color-9ba3a7 font-size-12"><?=Yii::t('app','Для заказов обращаться')?> : </p>
                        <p>
                            <?=app\modules\core\widgets\includefile\IncludeFile::widget(['file' => 'email_1']);?>
                        </p>

                        <hr class="margin-15-0">
                        <p class="text-uppercase text-color-9ba3a7 font-size-12"><?=Yii::t('app','Для информации')?> : </p>
                        <p>
                            <?=app\modules\core\widgets\includefile\IncludeFile::widget(['file' => 'email_2']);?>
                        </p>

                        <ul class="list-unstyled social-list">   
                           
                            <li>
                                <a href="http://plus.google.com/+BekMegaTextile">
                                    <i class="fa fa-google-plus"></i>
                                </a>
                            </li>
                            <li>
                                <a href="https://www.facebook.com/bekmegatextile/">
                                    <i class="fa fa-facebook"></i>
                                </a>
                            </li>
                            <li>
                                <a href="https://twitter.com/bekmegatextile">
                                    <i class="fa fa-twitter"></i>
                                </a>
                            </li>
                            <li>
                                <a href="https://www.instagram.com/bekmegatextile/">
                                    <i class="fa fa-instagram"></i>
                                </a>
                            </li>
                            <li>
                                <a href="https://www.youtube.com/channel/UCIwnMw9Lo-mVAWaRkGc24NA">
                                    <i class="fa fa-youtube"></i>
                                </a>
                            </li>
                             <li>
                                <a href="http://vk.com/bekmegatextile">
                                    <i class="fa fa-vk"></i>
                                </a>
                            </li>
                            <li>
                                <a href="https://www.linkedin.com/in/bekmegatextile">
                                    <i class="fa fa-linkedin"></i>
                                </a>
                            </li>
                        </ul>
                    </div>
                </div>
                <div class="col-sm-6 col-xs-12">
                    <div class="form-panel contact-form-block custom--form-panel">
                        <p class="text-center font-size-18 text-uppercase padding-30-0"><?=Yii::t('app','Контактная форма')?></p>
                        <?php $form = ActiveForm::begin([
                            'id' => 'contact-form',
                                'options'=>['class'=>'panel-custom padding-15-0']
                        ]); ?>
                            <div class="col-sm-6 col-xs-12">
                                <?=$form->field($model, 'name')->textInput(['class'=>'form-control text-center','placeholder'=>$model->getAttributeLabel('name')])->label(false)?>
                                <?=$form->field($model, 'phone')->textInput(['class'=>'form-control text-center','placeholder'=>$model->getAttributeLabel('phone')])->label(false)?>
                            </div>
                            <div class="col-sm-6 col-xs-12">
                                <?=$form->field($model, 'last_name')->textInput(['class'=>'form-control text-center','placeholder'=>$model->getAttributeLabel('last_name')])->label(false)?>
                                <?=$form->field($model, 'email')->textInput(['class'=>'form-control text-center','placeholder'=>$model->getAttributeLabel('email')])->label(false)?>
                            </div>
                            <div class="col-xs-12">
                                <div class="form-group">
                                    <?= $form->field($model, 'body')->textArea(['class'=>'form-control text-center','rows' => 9,'placeholder'=>$model->getAttributeLabel('body')])->label(false) ?>
                                </div>
                            </div>
                            <div class="col-xs-12">
                                <div class="form-group">
                                    <button class="btn btn-default full-width"><?=Yii::t('app','Send')?></button>
                                </div>
                            </div>
                        <?php ActiveForm::end(); ?>
                    </div>
                </div>
            </div>
        </div>
    </section>
</div>
<script>
    var marker;
    function initMapContact() {
        var map = new google.maps.Map(document.getElementById("map"), {
            zoom: 14,
            disableDefaultUI: true,
            center: {lat:41.239516,lng:69.188003},
            styles:[
                {
                    "elementType": "geometry",
                    "stylers": [
                        {
                            "color": "#212121"
                        }
                    ]
                },
                {
                    "elementType": "labels.icon",
                    "stylers": [
                        {
                            "visibility": "off"
                        }
                    ]
                },
                {
                    "elementType": "labels.text.fill",
                    "stylers": [
                        {
                            "color": "#757575"
                        }
                    ]
                },
                {
                    "elementType": "labels.text.stroke",
                    "stylers": [
                        {
                            "color": "#212121"
                        }
                    ]
                },
                {
                    "featureType": "administrative",
                    "elementType": "geometry",
                    "stylers": [
                        {
                            "color": "#757575"
                        }
                    ]
                },
                {
                    "featureType": "administrative.country",
                    "elementType": "labels.text.fill",
                    "stylers": [
                        {
                            "color": "#9e9e9e"
                        }
                    ]
                },
                {
                    "featureType": "administrative.land_parcel",
                    "stylers": [
                        {
                            "visibility": "off"
                        }
                    ]
                },
                {
                    "featureType": "administrative.land_parcel",
                    "elementType": "labels",
                    "stylers": [
                        {
                            "visibility": "off"
                        }
                    ]
                },
                {
                    "featureType": "administrative.locality",
                    "elementType": "labels.text.fill",
                    "stylers": [
                        {
                            "color": "#bdbdbd"
                        }
                    ]
                },
                {
                    "featureType": "poi",
                    "elementType": "labels.text",
                    "stylers": [
                        {
                            "visibility": "off"
                        }
                    ]
                },
                {
                    "featureType": "poi",
                    "elementType": "labels.text.fill",
                    "stylers": [
                        {
                            "color": "#757575"
                        }
                    ]
                },
                {
                    "featureType": "poi.park",
                    "elementType": "geometry",
                    "stylers": [
                        {
                            "color": "#181818"
                        }
                    ]
                },
                {
                    "featureType": "poi.park",
                    "elementType": "labels.text.fill",
                    "stylers": [
                        {
                            "color": "#616161"
                        }
                    ]
                },
                {
                    "featureType": "poi.park",
                    "elementType": "labels.text.stroke",
                    "stylers": [
                        {
                            "color": "#1b1b1b"
                        }
                    ]
                },
                {
                    "featureType": "road",
                    "elementType": "geometry.fill",
                    "stylers": [
                        {
                            "color": "#2c2c2c"
                        }
                    ]
                },
                {
                    "featureType": "road",
                    "elementType": "labels.text.fill",
                    "stylers": [
                        {
                            "color": "#8a8a8a"
                        }
                    ]
                },
                {
                    "featureType": "road.arterial",
                    "elementType": "geometry",
                    "stylers": [
                        {
                            "color": "#373737"
                        }
                    ]
                },
                {
                    "featureType": "road.highway",
                    "elementType": "geometry",
                    "stylers": [
                        {
                            "color": "#3c3c3c"
                        }
                    ]
                },
                {
                    "featureType": "road.highway.controlled_access",
                    "elementType": "geometry",
                    "stylers": [
                        {
                            "color": "#4e4e4e"
                        }
                    ]
                },
                {
                    "featureType": "road.local",
                    "elementType": "labels",
                    "stylers": [
                        {
                            "visibility": "off"
                        }
                    ]
                },
                {
                    "featureType": "road.local",
                    "elementType": "labels.text.fill",
                    "stylers": [
                        {
                            "color": "#616161"
                        }
                    ]
                },
                {
                    "featureType": "transit",
                    "elementType": "labels.text.fill",
                    "stylers": [
                        {
                            "color": "#757575"
                        }
                    ]
                },
                {
                    "featureType": "water",
                    "elementType": "geometry",
                    "stylers": [
                        {
                            "color": "#000000"
                        }
                    ]
                },
                {
                    "featureType": "water",
                    "elementType": "labels.text.fill",
                    "stylers": [
                        {
                            "color": "#3d3d3d"
                        }
                    ]
                }
            ]
        });

        marker = new google.maps.Marker({
            map: map,
            icon: 'http://bekmegatextile.uz/images/marker.png',
            draggable: false,
            animation: google.maps.Animation.DROP,
            position: {lat:41.239522,lng:69.188004}
        });

    }
</script>
<?
$js = "

    function contactFormSend(){
        $('#contact-form').on('beforeSubmit', function(event, jqXHR, settings) {

            var form = $(this);

            if(form.find('.has-error').length)
                return false;

            form.addClass('load')

            $.ajax({
                    url: form.attr('action'),
                    type: 'post',
                    data: form.serialize(),
                    success: function(data) {

                    form.removeClass('load')

                        if(data == 1)
                            showInfo('success','success')
                        else
                            showInfo('error','danger')
                    }
            });
            return false;
        })
    }

    contactFormSend()

    function loadFunction(){
        document.title = '".$page->name."';
        initMapContact()
        bearstrokesLoad()
    }
    initMapContact()

";
$this->registerJs($js);
?>

