<?php

use yii\helpers\Url;

if($page) {
    Yii::$app->view->registerMetaTag([
        'name' => 'description',
        'content' => $page->meta_description,
    ]);
    Yii::$app->view->registerMetaTag([
        'name' => 'keywords',
        'content' => $page->keywords,
    ]);

    $this->title = $page->name;
}
?>
<?=Yii::$app->controller->renderPartial('/layouts/blocks/innerHeader')?>

<style>
    .list-item-type-a.opacity-0 {
        opacity: 1;
    }
</style>

<div class="content type-a ">
    <section class="inner-page-bg">
        <div class="bearstrokes">
            <div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div>
        </div>
    </section>

    <section class="product-panel changed--product-panel">

        <div class="horizontal-scroll-panel">
            <ul id="category-title-list" class="list-unstyled list-nav-category">
                <?
                $i = 0;
                ?>
                <?foreach($categories as $category):?>
                    <?
                    if($i == 0)
                        $active = 'active';
                    else
                        $active = '';

                    $i++;
                    ?>
                    <li class="<?=$active?>">
                        <a href="#" data-id="product-category-<?=$category->id?>"><?=$category->name?></a>
                    </li>
                <?endforeach?>

            </ul>
            <div class="horizontal-scroll-panel-scrollBar">
                <div class="horizontal-scroll-panel-scrollBar-inner">

                    <?
                    $i = 0;
                    ?>

                    <?foreach($categories as $category):?>
                        <?
                        if($i == 0)
                            $active = 'active';
                        else
                            $active = '';

                        $i++;
                        ?>

                        <ul id="product-category-<?=$category->id?>" class="list-unstyled list-item-type-a <?=$active?> changed--list-unstyled">

                            <?foreach($category->getProducts() as $product):?>

                                <li class="item_">
                                    <a onclick="modalAxaj(this,event)" href="<?=Url::to(['/page/page/ajax-modal','url'=>$product->slug])?>">
                                       <!-- <div class="item-panel-hover">
                                            <p><?=$product->name?></p>
                                        </div>-->
                                        <div class="item-panel-hover" style="position: relative;">
                                            <p><?=$product->name?></p>
                                            <!--<?php if( $product->is_new ): ?>
                                                <img style="position: absolute; top: 0; right: 0;" src="<?php echo Yii::$app->request->baseUrl . '/img/is_new.jpg' ?>">
                                            <?php endif; ?>-->                                            
                                        </div>
                                        <span style="background-image: url('<?
                                        if($image = $product->getMainImage()->one()){
                                            echo $image->getThumbnail(200,200);
                                        }else{
                                            echo '/images/not_foto.jpg';
                                        }
                                        ?>')"></span>
                                        
                                        <?php if( $product->is_new ): ?>
                                            <img style="position: absolute; top: 0; right: 0;" src="<?php echo Yii::$app->request->baseUrl . '/img/is_new.jpg' ?>">
                                        <?php endif; ?>
                                    </a>
                                </li>

                            <?endforeach?>

                        </ul>

                    <?endforeach?>

                </div>
            </div>
        </div>
    </section>

</div>

<?


$js = "


    function productCarousel(){


        var width               = $(window).width();
        var widthScrollBarInner = 2.5;
        var widthColumn         = 200;
        var widthColumnLast     = 190;
        var hideWidth           = 600

        if(width < 1400){

            widthScrollBarInner = 5
        }

        if(width < 992){
            widthScrollBarInner = 7
            widthColumn = 150
            widthColumnLast = 400
            hideWidth = 300
        }

        if(width < 600){
            hideWidth = 150
        }



        $('.horizontal-scroll-panel-scrollBar .list-item-type-a').each(function(){

            $(this).uncolumnize();

            var column = ( $(this).find('.item_').length / 2 )

            var width = (column * widthColumn) + widthColumnLast

            console.log(width)

            $(this).find('.item_').addClass('dontsplit');
            $(this).width(width)
            $(this).columnize({
                columns: column,
                lastNeverTallest : true
            });

        })

        var w = 0;

        $('.horizontal-scroll-panel-scrollBar .list-item-type-a').each(function(){
            w +=$(this).width();
        })

        w +=$(window).width()/widthScrollBarInner;

        $('.horizontal-scroll-panel-scrollBar .horizontal-scroll-panel-scrollBar-inner').width(w)
        $('.horizontal-scroll-panel-scrollBar').mCustomScrollbar({
            axis:'x',
            advanced:{
                //updateOnContentResize:false,
                autoExpandHorizontalScroll:true
            },
            theme:'dark-thin',
            autoHideScrollbar:true,
            autoDraggerLength:true,
            scrollInertia:500,
            scrollEasing:'linear',
            timeout:1000,
            //advanced:{autoExpandHorizontalScroll:false},
            callbacks:{
                onInit:function(){
                },
                whileScrolling:function(){
                    $('.horizontal-scroll-panel-scrollBar .list-item-type-a').each(function(){
                        var item = $(this);
                        var offset = item.offset()
                        var width = item.width() - hideWidth
                        var left = width + offset.left

                        if(left < 0){
                            item.addClass('opacity-0').removeClass('active')
                            var nextItem = item.next('.list-item-type-a')
                            nextItem.addClass('active')
                            $('.list-nav-category li').removeClass('active')
                            $('.list-nav-category').find('a[data-id='+nextItem.attr('id')+']').parents('li').addClass('active')

                        }else{
                            if(item.hasClass('opacity-0')){

                                $('.list-nav-category li').removeClass('active')
                                var nextItem = item.next('.list-item-type-a')
                                item.removeClass('opacity-0').addClass('active')
                                nextItem.removeClass('active')
                                $('.list-nav-category').find('a[data-id='+item.attr('id')+']').parents('li').addClass('active')
                            }
                        }

                    })

                    //
                },
                onScroll:function(){
                    //console.log('onScroll')
                },
                onTotalScroll:function(){
                    //console.log('Scrolled to end of content.');
                },
                onTotalScrollBack:function(){
                    //console.log('Scrolled back to the beginning of content.');
                }
            }
        });
        $('.horizontal-scroll-panel-scrollBar-inner').addClass('display-flex')
    }

    $(window).resize(function(){

        productCarousel()

    })


    $('#category-title-list li a').each(function(){
        $(this).click(function(e){
            var horizontalScrollBar = $('.horizontal-scroll-panel-scrollBar');

            $('.list-item-type-a').removeClass('active')
            horizontalScrollBar.find('#'+$(this).data('id')).addClass('active')
            horizontalScrollBar.mCustomScrollbar('scrollTo',horizontalScrollBar.find('#'+$(this).data('id')));
            return false;
        })
    })

     function loadFunction(){
        document.title = '$category->name : ".$page->name." BEK MEGA TEXTILE UZBEKISTAN TASHKENT';
        productCarousel()
        bearstrokesLoad()
     }
     
    // $(function  () {
    //   $('#category-title-list').sortable({
    //       containerSelector:'.horizontal-scroll-panel'
    //   });
    // });

     loadFunction()
";

$this->registerJs($js);

?>
