<?php

use yii\helpers\Url;

if($page) {
    Yii::$app->view->registerMetaTag([
        'name' => 'description',
        'content' => $page->meta_description,
    ]);
    Yii::$app->view->registerMetaTag([
        'name' => 'keywords',
        'content' => $page->keywords,
    ]);

    $this->title = $page->name;
}
?>
<?=Yii::$app->controller->renderPartial('/layouts/blocks/innerHeader')?>

<div class="content type-a ">
    <section class="inner-page-bg">
        <div class="bearstrokes">
            <div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div>
        </div>
    </section>

    <section class="awards-panel panel-custom position-relative">
        <h1 class="title-type-a padding-30-0 opacity-0"><?=$page->name?></h1>
        
        <div class="custom--awards-text" style="font-family: 'Roboto', sans-serif; font-size: 17px; margin-left: 20%; margin-right: 20%; width: 60%">
            <?=app\modules\core\widgets\includefile\IncludeFile::widget(['file' => 'vacancy_text_1']);?>
        </div>

        <!-- awards -->
        <div class="awards inner-panel-type type-b">

            <div class="awards-container clearfix scroll-reveal">
                <!-- <div class="awards--list"></div> -->

                <?foreach($vacancys as $vacancy):?>

                    <div class="awards--item opacity-0 custom--awards--item">
                        <span class="image" style="background-image: url('<?=$vacancy->getMainImage()->one()->file_name?>')"></span>
                        <p class="name"><?=$vacancy->name?></p>
                        <div class="inner-panel">
                            <a href="<?=Url::to(['/page/page/ajax-modal-vacancy','url'=>$vacancy->slug])?>" onclick="modalAxaj(this,event)" class="btn btn-default"><?=Yii::t('app','Подробнее')?></a>
                        </div>
                    </div>

                <? endforeach ?>
            </div>
        </div>
        <!-- /awards -->


    </section>

</div>

<?
$js = "

    $(window).scroll(function(){
        $('.awards--item').each(function(index) {
            scrollEffect($(this))
        })
    })

    function scrollEffect(item){
        var top    = item.offset().top
        var bottom = item.offset().top + item.height()
        var scroll = $(window).scrollTop()+ $(window).height()

        if(top < scroll){
            item.removeClass('opacity-0').addClass('animated slideInUp')
        }
    }

    $('.awards.inner-panel-type .awards--item .inner-panel a').click(function(e){
        $('#modal-product').modal('show')
        return false;
    })

    function awardsColumnize(){

        $('.awards-container').uncolumnize();
        var col = 4;

        if($(window).width() < 1150)
            col = 3;

        if($(window).width() < 992)
            col = 2;

        if($(window).width() < 500)
            col = 1;


        $('.awards--item').addClass('dontsplit');
        $('.awards-container').columnize({
            columns: col,
            lastNeverTallest : true
        });

    }

    $(window).load(function(){
        awardsColumnize()
    })

    $(window).resize(function(){
        awardsColumnize()
    })



    setTimeout(function () {
        $('.awards-panel .title-type-a').removeClass('opacity-0').addClass('animated slideInUp')
        $('.awards--item').each(function(index) {
            (function(that, i) {
                var t = setTimeout(function() {
                    scrollEffect($(that))
                }, 200 * i);
            })(this, index);
        });
    }, 1000)


     function loadFunction(){
        // document.title = '".$page->name."';
         bearstrokesLoad()
         awardsColumnize()
     }

";

$this->registerJs($js);

?>
