<?php

use yii\helpers\Url;

if($page) {
    Yii::$app->view->registerMetaTag([
        'name' => 'description',
        'content' => $page->meta_description,
    ]);
    Yii::$app->view->registerMetaTag([
        'name' => 'keywords',
        'content' => $page->keywords,
    ]);

    $this->title = $page->name;
}
?>
<?=Yii::$app->controller->renderPartial('/layouts/blocks/innerHeader')?>

<div class="content type-a ">
    <section class="inner-page-bg">
        <div class="bearstrokes">
            <div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div>
        </div>
    </section>



    <section class="awards-panel panel-custom position-relative">
        <h1 class="title-type-a opacity-0"><?=$page->name?></h1>


        <!-- awards -->
        <div class="awards type-a inner-panel-type">

            <div class="awards-container clearfix scroll-reveal">
                <!-- <div class="awards--list"></div> -->

                <?foreach($workers as $worker):?>
                <div class="awards--item opacity-0 custom--awards--item">
                    <span class="image" style="background-image: url('<?=$worker->image?>')"></span>
                    <div class="inner-panel">
                        <p class="name"><?=$worker->first_name.' '.$worker->last_name?></p>
                        <p class="position"><?=$worker->title?></p>
                        <ul class="list-unstyled social-list">
                            <li>
                                <a target="_blank" href="<?=$worker->facebook?>">
                                    <i class="fa fa-facebook"></i>
                                </a>
                            </li>
                            <li>
                                <a target="_blank" href="<?=$worker->twitter?>">
                                    <i class="fa fa-twitter"></i>
                                </a>
                            </li>
                            <li>
                                <a target="_blank" href="<?=$worker->instagram?>">
                                    <i class="fa fa-instagram"></i>
                                </a>
                            </li>
                        </ul>
                    </div>

                </div>
                <?endforeach ?>
            </div>
        </div>
        <!-- /awards -->
    </section>
</div>
<?
$js = "
 $(window).load(function(){
        setTimeout(function () {
            $('.awards-panel .title-type-a').removeClass('opacity-0').addClass('animated flipInY')
            $('.awards--item').each(function(index) {
                (function(that, i) {
                    var t = setTimeout(function() {
                        scrollA($(that))
                    }, 200 * i);
                })(this, index);
            });
        }, 500)
    })

    setTimeout(function () {
            $('.awards-panel .title-type-a').removeClass('opacity-0').addClass('animated flipInY')
            $('.awards--item').each(function(index) {
                (function(that, i) {
                    var t = setTimeout(function() {
                        scrollA($(that))
                    }, 200 * i);
                })(this, index);
            });
    }, 500)

    $(window).scroll(function(){

        $('.awards--item').each(function(index) {
            scrollA($(this))
        })

    })

    function scrollA(item){
        var top    = item.offset().top
        var bottom = item.offset().top + item.height()
        var scroll = $(window).scrollTop()+ $(window).height()

        if(top < scroll){
            item.removeClass('opacity-0').addClass('animated slideInLeft')
        }
    }

    function awardsColumnize(){

        $('.awards-container').uncolumnize();
        var col = 4;

        if($(window).width() < 1150)
            col = 3;

        if($(window).width() < 992)
            col = 2;

        if($(window).width() < 500)
            col = 1;

        $('.awards--item').addClass('dontsplit');
        $('.awards-container').columnize({
            columns: col,
            lastNeverTallest : true
        });

    }

    $(window).load(function(){
        awardsColumnize()
    })

    $(window).resize(function(){
        awardsColumnize()
    })



     function loadFunction(){
        document.title = '".$page->name."';
        awardsColumnize()
        bearstrokesLoad()
     }

";
$this->registerJs($js);
?>
